/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts":
/*!***********************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\Log.ts ***!
  \***********************************************************************************/
/***/ ((__unused_webpack_module, exports) => {


/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.filterKey = void 0;
const TAG = "SystemUI_Default";
const FILTER_KEYS = [
    new RegExp('hide', "gi")
];
function filterKey(target, propKey, descriptor) {
    const original = descriptor.value;
    descriptor.value = function (...args) {
        let filterResult = args.map((str) => {
            let tempStr = str;
            FILTER_KEYS.forEach((filterKey) => tempStr = tempStr.replace(filterKey, "**"));
            return tempStr;
        });
        const result = original.call(this, ...filterResult);
        return result;
    };
}
exports.filterKey = filterKey;
/**
 * Basic log class
 */
class Log {
    /**
     * print info level log
     *
     * @param {string} tag - Page or class tag
     * @param {string} log - Log needs to be printed
     */
    static showInfo(tag, log) {
        console.info(`${TAG} tag: ${tag} --> ${log}`);
    }
    /**
     * print debug level log
     *
     * @param {string} tag - Page or class tag
     * @param {string} log - Log needs to be printed
     */
    static showDebug(tag, log) {
        console.debug(`${TAG} tag: ${tag} --> ${log}`);
    }
    /**
     * print error level log
     *
     * @param {string} tag - Page or class tag
     * @param {string} log - Log needs to be printed
     */
    static showError(tag, log) {
        console.error(`${TAG} tag: ${tag} --> ${log}`);
    }
}
exports["default"] = Log;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\abilitymanager\\abilityManager.ts":
/*!*************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\abilitymanager\abilityManager.ts ***!
  \*************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {


/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
const Log_1 = __importDefault(__webpack_require__(/*! ../Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const TAG = 'AbilityManager';
class AbilityManager {
    static setContext(abilityName, context) {
        Log_1.default.showInfo(TAG, `setContext, abilityName: ${abilityName}`);
        globalThis[abilityName + '_Context'] = context;
    }
    static getContext(abilityName) {
        Log_1.default.showInfo(TAG, `getContext, abilityName: ${abilityName}`);
        if (!abilityName) {
            abilityName = AbilityManager.ABILITY_NAME_ENTRY;
        }
        return globalThis[abilityName + '_Context'];
    }
    static setAbilityData(abilityName, key, data) {
        Log_1.default.showInfo(TAG, `setAbilityData, abilityName: ${abilityName} key: ${key} data: ${JSON.stringify(data)}`);
        globalThis[abilityName + '_data_' + key] = data;
    }
    static getAbilityData(abilityName, key) {
        Log_1.default.showInfo(TAG, `getAbilityData, abilityName: ${abilityName} key: ${key} `);
        return globalThis[abilityName + '_data_' + key];
    }
    static startAbility(want, callback) {
        Log_1.default.showInfo(TAG, `startAbility, want: ${JSON.stringify(want)}`);
        let context = AbilityManager.getContext();
        context.startAbility(want).then(() => {
            Log_1.default.showInfo(TAG, `startAbility, then`);
            if (callback) {
                callback(null);
            }
        }).catch((error) => {
            Log_1.default.showInfo(TAG, `startAbility, error: ${JSON.stringify(error)}`);
            callback(error);
        });
    }
}
exports["default"] = AbilityManager;
AbilityManager.ABILITY_NAME_ENTRY = 'SystemUi_Entry';
AbilityManager.ABILITY_NAME_STATUS_BAR = 'SystemUi_StatusBar';
AbilityManager.ABILITY_NAME_NAVIGATION_BAR = 'SystemUi_NavigationBar';
AbilityManager.ABILITY_NAME_VOLUME_PANEL = 'SystemUi_VolumePanel';
AbilityManager.ABILITY_NAME_NOTIFICATION_MANAGEMENT = 'SystemUi_NotificationManagement';
AbilityManager.ABILITY_NAME_DROPDOWN_PANEL = 'SystemUi_DropdownPanel';
AbilityManager.ABILITY_NAME_NOTIFICATION_PANEL = 'SystemUi_NotificationPanel';
AbilityManager.ABILITY_NAME_CONTROL_PANEL = 'SystemUi_ControlPanel';
AbilityManager.ABILITY_NAME_BANNER_NOTICE = 'SystemUi_BannerNotice';
AbilityManager.ABILITY_NAME_APP_LIST = 'SystemUi_AppList';
AbilityManager.ABILITY_NAME_OWNER_WANT = 'Owner_Want';


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\product\\default\\notificationmanagement\\src\\main\\ets\\MainAbility\\MainAbility.ts?entry":
/*!*************************************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\product\default\notificationmanagement\src\main\ets\MainAbility\MainAbility.ts?entry ***!
  \*************************************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {


var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var _ohos_application_Ability_1  = globalThis.requireNapi('application.Ability') || (isSystemplugin('application.Ability', 'ohos') ? globalThis.ohosplugin.application.Ability : isSystemplugin('application.Ability', 'system') ? globalThis.systemplugin.application.Ability : undefined);
const Log_1 = __importDefault(__webpack_require__(/*! ../../../../../../../common/src/main/ets/default/Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const abilityManager_1 = __importDefault(__webpack_require__(/*! ../../../../../../../common/src/main/ets/default/abilitymanager/abilityManager */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\abilitymanager\\abilityManager.ts"));
var display = globalThis.requireNapi('display') || (isSystemplugin('display', 'ohos') ? globalThis.ohosplugin.display : isSystemplugin('display', 'system') ? globalThis.systemplugin.display : undefined);
const TAG = "NotificationManagement-MainAbility";
class MainAbility extends _ohos_application_Ability_1 {
    onCreate(want, launchParam) {
        Log_1.default.showInfo(TAG, "MainAbility onCreate");
        globalThis[abilityManager_1.default.ABILITY_NAME_NOTIFICATION_MANAGEMENT + '_want'] = want;
        display.getDefaultDisplay().then((dis) => {
            abilityManager_1.default.setAbilityData(abilityManager_1.default.ABILITY_NAME_APP_LIST, "dis", {
                width: dis.width,
                height: dis.height,
            });
        });
    }
    onDestroy() {
        Log_1.default.showInfo(TAG, "MainAbility onDestroy");
    }
    onWindowStageCreate(windowStage) {
        Log_1.default.showInfo(TAG, "MainAbility onWindowStageCreate");
        abilityManager_1.default.setContext(abilityManager_1.default.ABILITY_NAME_NOTIFICATION_MANAGEMENT, this.context);
        windowStage.setUIContent(this.context, "pages/notificationManagenment", null);
    }
    onWindowStageDestroy() {
        Log_1.default.showInfo(TAG, "MainAbility onWindowStageDestroy");
    }
    onForeground() {
        Log_1.default.showInfo(TAG, "MainAbility onForeground");
    }
    onBackground() {
        Log_1.default.showInfo(TAG, "MainAbility onBackground");
    }
}
globalThis.exports.default = MainAbility;
;


/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		var commonCachedModule = globalThis["__common_module_cache__"] ? globalThis["__common_module_cache__"][moduleId]: null;
/******/ 		if (commonCachedModule) { return commonCachedModule.exports; }
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		if (globalThis["__common_module_cache__"] && moduleId.indexOf("?name=") < 0 && Object.keys(globalThis["__common_module_cache__"]).indexOf(moduleId) >= 0) {
/******/ 		  globalThis["__common_module_cache__"][moduleId] = module;
/******/ 		}
/******/ 		__webpack_modules__[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	
/******/ 	// startup
/******/ 	// Load entry module and return exports
/******/ 	// This entry module is referenced by other modules so it can't be inlined
/******/ 	var __webpack_exports__ = __webpack_require__("D:\\code\\release\\my\\applications_systemui\\product\\default\\notificationmanagement\\src\\main\\ets\\MainAbility\\MainAbility.ts?entry");
/******/ 	
/******/ })()
;
//# sourceMappingURL=MainAbility.js.map