/******/ (() => { // webpackBootstrap
/******/ 	var __webpack_modules__ = ({

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Decorators.ts":
/*!******************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\Decorators.ts ***!
  \******************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

/*
 * Copyright (c) 2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.throttle = exports.debounce = void 0;
const Log_1 = __importDefault(__webpack_require__(/*! ./Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const TAG = "Decorators";
function debounce(timeout) {
    return function inner(target, propKey, descriptor) {
        let curFunc = 0;
        const original = descriptor.value;
        descriptor.value = function (...args) {
            Log_1.default.showInfo(TAG, `debounce invoke ${propKey} curFunc: ${curFunc}`);
            curFunc && clearTimeout(curFunc);
            curFunc = setTimeout(() => original.call(this, ...args), timeout);
        };
    };
}
exports.debounce = debounce;
function throttle(waitTime) {
    return function inner(target, propKey, descriptor) {
        let lastTime = 0;
        const original = descriptor.value;
        descriptor.value = function (...args) {
            let curTime = Date.now();
            Log_1.default.showInfo(TAG, `throttle invoke ${propKey} timeInterval: ${curTime - lastTime}`);
            if (curTime - lastTime >= waitTime) {
                original.call(this, ...args);
                lastTime = curTime;
            }
        };
    };
}
exports.throttle = throttle;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts":
/*!***********************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\Log.ts ***!
  \***********************************************************************************/
/***/ ((__unused_webpack_module, exports) => {

"use strict";

/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.filterKey = void 0;
const TAG = "SystemUI_Default";
const FILTER_KEYS = [
    new RegExp('hide', "gi")
];
function filterKey(target, propKey, descriptor) {
    const original = descriptor.value;
    descriptor.value = function (...args) {
        let filterResult = args.map((str) => {
            let tempStr = str;
            FILTER_KEYS.forEach((filterKey) => tempStr = tempStr.replace(filterKey, "**"));
            return tempStr;
        });
        const result = original.call(this, ...filterResult);
        return result;
    };
}
exports.filterKey = filterKey;
/**
 * Basic log class
 */
class Log {
    /**
     * print info level log
     *
     * @param {string} tag - Page or class tag
     * @param {string} log - Log needs to be printed
     */
    static showInfo(tag, log) {
        console.info(`${TAG} tag: ${tag} --> ${log}`);
    }
    /**
     * print debug level log
     *
     * @param {string} tag - Page or class tag
     * @param {string} log - Log needs to be printed
     */
    static showDebug(tag, log) {
        console.debug(`${TAG} tag: ${tag} --> ${log}`);
    }
    /**
     * print error level log
     *
     * @param {string} tag - Page or class tag
     * @param {string} log - Log needs to be printed
     */
    static showError(tag, log) {
        console.error(`${TAG} tag: ${tag} --> ${log}`);
    }
}
exports["default"] = Log;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\ResourceUtil.ts":
/*!********************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\ResourceUtil.ts ***!
  \********************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.ResourceUtil = void 0;
/**
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
const abilityManager_1 = __importDefault(__webpack_require__(/*! ./abilitymanager/abilityManager */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\abilitymanager\\abilityManager.ts"));
/**
 * Resource util
 */
class ResourceUtil {
    /**
     * Initialize ResourceManager
     */
    async initResourceManager() {
        if (!this.resMgr) {
            let context = abilityManager_1.default.getContext();
            this.resMgr = await context.resourceManager;
        }
        return this.resMgr;
    }
    /**
     * Get string value from NormalResource instance
     *
     * @param resource - NormalResource instance
     */
    async getString(resource) {
        await this.initResourceManager();
        return await this.resMgr.getString(resource.id);
    }
    /**
     * Get direction value from NormalResource instance
     *
     * @param resource - NormalResource instance
     */
    async getConfiguration() {
        await this.initResourceManager();
        return await this.resMgr.getConfiguration();
    }
}
exports.ResourceUtil = ResourceUtil;
let resourceUtil = new ResourceUtil();
exports["default"] = resourceUtil;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\ScreenLockManager.ts":
/*!*************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\ScreenLockManager.ts ***!
  \*************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

/*
 * Copyright (c) 2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.SCREEN_CHANGE_EVENT = void 0;
var commonEvent = globalThis.requireNapi('commonEvent') || (isSystemplugin('commonEvent', 'ohos') ? globalThis.ohosplugin.commonEvent : isSystemplugin('commonEvent', 'system') ? globalThis.systemplugin.commonEvent : undefined);
__webpack_require__(/*! commonEvent/commonEventSubscriber */ "../../api/commonEvent/commonEventSubscriber.d.ts");
const SingleInstanceHelper_1 = __importDefault(__webpack_require__(/*! ./SingleInstanceHelper */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\SingleInstanceHelper.ts"));
const EventManager_1 = __importDefault(__webpack_require__(/*! ./event/EventManager */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\event\\EventManager.ts"));
const Log_1 = __importDefault(__webpack_require__(/*! ./Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const EventUtil_1 = __webpack_require__(/*! ./event/EventUtil */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\event\\EventUtil.ts");
const Decorators_1 = __webpack_require__(/*! ./Decorators */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Decorators.ts");
exports.SCREEN_CHANGE_EVENT = "screenChangeEvent";
const TAG = "ScreenLockManager";
const SCREEN_COMMON_EVENT_INFO = {
    events: [commonEvent.Support.COMMON_EVENT_SCREEN_OFF, commonEvent.Support.COMMON_EVENT_SCREEN_ON],
};
const debounceTimeout = 500;
class ScreenLockManager {
    async init() {
        this.mSubscriber = await commonEvent.createSubscriber(SCREEN_COMMON_EVENT_INFO);
        commonEvent.subscribe(this.mSubscriber, (err, data) => {
            if (err.code != 0) {
                Log_1.default.showError(TAG, `Can't handle screen change, err: ${JSON.stringify(err)}`);
                return;
            }
            Log_1.default.showDebug(TAG, `screenChange, err: ${JSON.stringify(err)} data: ${JSON.stringify(data)}`);
            switch (data.event) {
                case commonEvent.Support.COMMON_EVENT_SCREEN_OFF:
                    this.notifyScreenEvent(false);
                    break;
                case commonEvent.Support.COMMON_EVENT_SCREEN_ON:
                    this.notifyScreenEvent(true);
                    break;
                default:
                    Log_1.default.showError(TAG, `unknow event`);
            }
        });
    }
    notifyScreenEvent(isScreenOn) {
        EventManager_1.default.publish(EventUtil_1.obtainLocalEvent(exports.SCREEN_CHANGE_EVENT, isScreenOn));
        Log_1.default.showDebug(TAG, `publish ${exports.SCREEN_CHANGE_EVENT} screenState: ${isScreenOn}`);
    }
}
__decorate([
    Decorators_1.debounce(debounceTimeout)
], ScreenLockManager.prototype, "notifyScreenEvent", null);
let sScreenLockManager = SingleInstanceHelper_1.default(ScreenLockManager, TAG);
exports["default"] = sScreenLockManager;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\SingleInstanceHelper.ts":
/*!****************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\SingleInstanceHelper.ts ***!
  \****************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

/**
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.getAudioManager = void 0;
const Log_1 = __importDefault(__webpack_require__(/*! ./Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
var audio = globalThis.requireNapi('multimedia.audio') || (isSystemplugin('multimedia.audio', 'ohos') ? globalThis.ohosplugin.multimedia.audio : isSystemplugin('multimedia.audio', 'system') ? globalThis.systemplugin.multimedia.audio : undefined);
const TAG = "SingleInstanceHelper";
const AUDIO_MANAGER_KEY = 'MultiMediaAudioManager';
function createOrGet(objectClass, storageKey) {
    if (!globalThis[storageKey]) {
        globalThis[storageKey] = new objectClass();
        Log_1.default.showInfo(TAG, `Create key of ${storageKey}`);
    }
    return globalThis[storageKey];
}
exports["default"] = createOrGet;
function getAudioManager() {
    if (!globalThis[AUDIO_MANAGER_KEY]) {
        globalThis[AUDIO_MANAGER_KEY] = audio.getAudioManager();
        Log_1.default.showInfo(TAG, `Create Audio Manager.`);
    }
    return globalThis[AUDIO_MANAGER_KEY];
}
exports.getAudioManager = getAudioManager;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\TimeManager.ts":
/*!*******************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\TimeManager.ts ***!
  \*******************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

/**
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.concatTime = exports.TIME_CHANGE_EVENT = void 0;
var settings = globalThis.requireNapi('settings') || (isSystemplugin('settings', 'ohos') ? globalThis.ohosplugin.settings : isSystemplugin('settings', 'system') ? globalThis.systemplugin.settings : undefined);
var commonEvent = globalThis.requireNapi('commonEvent') || (isSystemplugin('commonEvent', 'ohos') ? globalThis.ohosplugin.commonEvent : isSystemplugin('commonEvent', 'system') ? globalThis.systemplugin.commonEvent : undefined);
var featureAbility = globalThis.requireNapi('ability.featureAbility') || (isSystemplugin('ability.featureAbility', 'ohos') ? globalThis.ohosplugin.ability.featureAbility : isSystemplugin('ability.featureAbility', 'system') ? globalThis.systemplugin.ability.featureAbility : undefined);
__webpack_require__(/*! ability/dataAbilityHelper */ "../../api/ability/dataAbilityHelper.d.ts");
const Log_1 = __importDefault(__webpack_require__(/*! ./Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const EventManager_1 = __importDefault(__webpack_require__(/*! ./event/EventManager */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\event\\EventManager.ts"));
const SingleInstanceHelper_1 = __importDefault(__webpack_require__(/*! ./SingleInstanceHelper */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\SingleInstanceHelper.ts"));
const EventUtil_1 = __webpack_require__(/*! ./event/EventUtil */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\event\\EventUtil.ts");
const CommonEventManager_1 = __webpack_require__(/*! ./commonEvent/CommonEventManager */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\commonEvent\\CommonEventManager.ts");
exports.TIME_CHANGE_EVENT = "Time_Change_Event";
const TAG = "TimeManager";
const URI_VAR = "dataability:///com.ohos.settingsdata.DataAbility";
const TIME_FORMAT_KEY = settings.date.TIME_FORMAT;
const TIME_SUBSCRIBE_INFO = {
    events: [
        commonEvent.Support.COMMON_EVENT_TIME_CHANGED,
        commonEvent.Support.COMMON_EVENT_TIMEZONE_CHANGED,
        commonEvent.Support.COMMON_EVENT_TIME_TICK,
    ],
};
function fill(value) {
    return (value > 9 ? "" : "0") + value;
}
function concatTime(h, m) {
    return `${fill(h)}:${fill(m)}`;
}
exports.concatTime = concatTime;
class TimeManager {
    constructor() {
        this.mUse24hFormat = false;
    }
    init(context) {
        this.mManager = CommonEventManager_1.getCommonEventManager(TAG, TIME_SUBSCRIBE_INFO, () => this.notifyTimeChange(), (isSubscribe) => isSubscribe && this.notifyTimeChange());
        this.mManager.subscriberCommonEvent();
        this.mManager.applyPolicy([CommonEventManager_1.POLICY.SCREEN_POLICY]);
        this.initTimeFormat(context);
    }
    release() {
        var _a, _b;
        (_a = this.mManager) === null || _a === void 0 ? void 0 : _a.release();
        this.mManager = undefined;
        (_b = this.mSettingsHelper) === null || _b === void 0 ? void 0 : _b.off("dataChange", settings.getUriSync(TIME_FORMAT_KEY));
    }
    formatTime(date) {
        return concatTime(date.getHours() % (this.mUse24hFormat ? 24 : 12), date.getMinutes());
    }
    initTimeFormat(context) {
        Log_1.default.showInfo(TAG, "initTimeFormat");
        this.mSettingsHelper = featureAbility.acquireDataAbilityHelper(context, URI_VAR);
        const handleTimeFormatChange = () => {
            if (!this.mSettingsHelper) {
                Log_1.default.showError(TAG, `Can't get dataAbility helper.`);
                return;
            }
            let timeString = settings.getValueSync(this.mSettingsHelper, TIME_FORMAT_KEY, "24");
            Log_1.default.showDebug(TAG, `timeFormat change: ${timeString}`);
            this.mUse24hFormat = timeString == "24";
            this.notifyTimeChange();
        };
        try {
            this.mSettingsHelper.on("dataChange", settings.getUriSync(TIME_FORMAT_KEY), (err) => {
                if (err.code !== 0) {
                    Log_1.default.showError(TAG, `failed to getAbilityWant, code: ${err.code}.`);
                    return;
                }
                handleTimeFormatChange();
            });
        }
        catch (e) {
            Log_1.default.showError(TAG, `Can't listen timeformate change.`);
        }
        handleTimeFormatChange();
    }
    notifyTimeChange() {
        Log_1.default.showInfo(TAG, "notifyTimeChange");
        let args = {
            date: new Date(),
            timeFormat: this.mUse24hFormat,
        };
        EventManager_1.default.publish(EventUtil_1.obtainLocalEvent(exports.TIME_CHANGE_EVENT, args));
    }
}
let sTimeManager = SingleInstanceHelper_1.default(TimeManager, TAG);
exports["default"] = sTimeManager;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\abilitymanager\\abilityManager.ts":
/*!*************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\abilitymanager\abilityManager.ts ***!
  \*************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
const Log_1 = __importDefault(__webpack_require__(/*! ../Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const TAG = 'AbilityManager';
class AbilityManager {
    static setContext(abilityName, context) {
        Log_1.default.showInfo(TAG, `setContext, abilityName: ${abilityName}`);
        globalThis[abilityName + '_Context'] = context;
    }
    static getContext(abilityName) {
        Log_1.default.showInfo(TAG, `getContext, abilityName: ${abilityName}`);
        if (!abilityName) {
            abilityName = AbilityManager.ABILITY_NAME_ENTRY;
        }
        return globalThis[abilityName + '_Context'];
    }
    static setAbilityData(abilityName, key, data) {
        Log_1.default.showInfo(TAG, `setAbilityData, abilityName: ${abilityName} key: ${key} data: ${JSON.stringify(data)}`);
        globalThis[abilityName + '_data_' + key] = data;
    }
    static getAbilityData(abilityName, key) {
        Log_1.default.showInfo(TAG, `getAbilityData, abilityName: ${abilityName} key: ${key} `);
        return globalThis[abilityName + '_data_' + key];
    }
    static startAbility(want, callback) {
        Log_1.default.showInfo(TAG, `startAbility, want: ${JSON.stringify(want)}`);
        let context = AbilityManager.getContext();
        context.startAbility(want).then(() => {
            Log_1.default.showInfo(TAG, `startAbility, then`);
            if (callback) {
                callback(null);
            }
        }).catch((error) => {
            Log_1.default.showInfo(TAG, `startAbility, error: ${JSON.stringify(error)}`);
            callback(error);
        });
    }
}
exports["default"] = AbilityManager;
AbilityManager.ABILITY_NAME_ENTRY = 'SystemUi_Entry';
AbilityManager.ABILITY_NAME_STATUS_BAR = 'SystemUi_StatusBar';
AbilityManager.ABILITY_NAME_NAVIGATION_BAR = 'SystemUi_NavigationBar';
AbilityManager.ABILITY_NAME_VOLUME_PANEL = 'SystemUi_VolumePanel';
AbilityManager.ABILITY_NAME_NOTIFICATION_MANAGEMENT = 'SystemUi_NotificationManagement';
AbilityManager.ABILITY_NAME_DROPDOWN_PANEL = 'SystemUi_DropdownPanel';
AbilityManager.ABILITY_NAME_NOTIFICATION_PANEL = 'SystemUi_NotificationPanel';
AbilityManager.ABILITY_NAME_CONTROL_PANEL = 'SystemUi_ControlPanel';
AbilityManager.ABILITY_NAME_BANNER_NOTICE = 'SystemUi_BannerNotice';
AbilityManager.ABILITY_NAME_APP_LIST = 'SystemUi_AppList';
AbilityManager.ABILITY_NAME_OWNER_WANT = 'Owner_Want';


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\commonEvent\\CommonEventManager.ts":
/*!**************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\commonEvent\CommonEventManager.ts ***!
  \**************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.getCommonEventManager = exports.POLICY = void 0;
var commonEvent = globalThis.requireNapi('commonEvent') || (isSystemplugin('commonEvent', 'ohos') ? globalThis.ohosplugin.commonEvent : isSystemplugin('commonEvent', 'system') ? globalThis.systemplugin.commonEvent : undefined);
__webpack_require__(/*! commonEvent/commonEventData */ "../../api/commonEvent/commonEventData.d.ts");
const EventManager_1 = __importDefault(__webpack_require__(/*! ../event/EventManager */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\event\\EventManager.ts"));
const Log_1 = __importDefault(__webpack_require__(/*! ../Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const ScreenLockManager_1 = __webpack_require__(/*! ../ScreenLockManager */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\ScreenLockManager.ts");
var POLICY;
(function (POLICY) {
    POLICY["SCREEN_POLICY"] = "screenOnOffPolicy";
})(POLICY = exports.POLICY || (exports.POLICY = {}));
const policyMap = {
    screenOnOffPolicy: ScreenPolicy,
};
function getCommonEventManager(tag, subscribeInfos, commonEventCallback, subscribeStateChange) {
    const TAG = `CommonEvent_${tag}`;
    const SUBSCRIBE_INFOS = subscribeInfos;
    let unSubcribers = [];
    let policyClearCb = undefined;
    async function subscriberCommonEvent() {
        Log_1.default.showInfo(TAG, "registerSubscriber start");
        let subscriber = await commonEvent.createSubscriber(SUBSCRIBE_INFOS);
        commonEvent.subscribe(subscriber, (err, data) => {
            if (err.code != 0) {
                Log_1.default.showError(TAG, `Can't handle common event, err: ${JSON.stringify(err)}`);
                return;
            }
            Log_1.default.showInfo(TAG, `handle common event: ${data.event}`);
            commonEventCallback(data);
        });
        unSubcribers.push(() => commonEvent.unsubscribe(subscriber));
        subscribeStateChange && subscribeStateChange(true);
        Log_1.default.showInfo(TAG, `registerSubscriber success, size: ${unSubcribers.length}`);
    }
    function unSubscriberCommonEvent() {
        Log_1.default.showInfo(TAG, `UnSubcribers size: ${unSubcribers.length}`);
        unSubcribers.forEach((unsubscribe) => unsubscribe());
        unSubcribers.length = 0;
        subscribeStateChange && subscribeStateChange(false);
    }
    function applyPolicy(policys) {
        const innerManager = { subscriberCommonEvent, unSubscriberCommonEvent };
        policyClearCb = policyClearCb !== null && policyClearCb !== void 0 ? policyClearCb : new Map();
        policys.forEach((policy) => {
            if (policyClearCb) {
                !policyClearCb.has(policy) && policyClearCb.set(policy, policyMap[policy](innerManager));
                Log_1.default.showInfo(TAG, `apply policy: ${policy}`);
            }
        });
    }
    function release() {
        policyClearCb === null || policyClearCb === void 0 ? void 0 : policyClearCb.forEach((cb) => cb());
        policyClearCb === null || policyClearCb === void 0 ? void 0 : policyClearCb.clear();
        unSubscriberCommonEvent();
    }
    return { subscriberCommonEvent, unSubscriberCommonEvent, applyPolicy, release };
}
exports.getCommonEventManager = getCommonEventManager;
function ScreenPolicy(manager) {
    return EventManager_1.default.subscribe(ScreenLockManager_1.SCREEN_CHANGE_EVENT, (isScreenOn) => {
        isScreenOn ? manager.subscriberCommonEvent() : manager.unSubscriberCommonEvent();
    });
}


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\event\\EventBus.ts":
/*!**********************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\event\EventBus.ts ***!
  \**********************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.createEventBus = void 0;
/*
 * Copyright (c) 2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
const Log_1 = __importDefault(__webpack_require__(/*! ../Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const TAG = "EventBus";
function createEventBus() {
    let _cbs = {};
    function on(events, cb) {
        var _a;
        if (Array.isArray(events)) {
            events.forEach((e) => on(e, cb));
        }
        else {
            (_cbs[events] || (_cbs[events] = new Set())).add(cb);
            Log_1.default.showInfo(TAG, `add event[${events}] callback, size: ${(_a = _cbs[events]) === null || _a === void 0 ? void 0 : _a.size}`);
        }
        return () => off(events, cb);
    }
    function once(event, cb) {
        let newCallback = (args) => {
            cb(args);
            removeSelf();
        };
        function removeSelf() {
            off(event, newCallback);
        }
        return on(event, newCallback);
    }
    function off(event, cb) {
        var _a, _b;
        if (!event) {
            _cbs = {};
            Log_1.default.showInfo(TAG, `remove event[${event}] all callback`);
            return;
        }
        if (Array.isArray(event)) {
            event.forEach((e) => off(e, cb));
            return;
        }
        (_a = _cbs[event]) === null || _a === void 0 ? void 0 : _a.delete(cb);
        Log_1.default.showInfo(TAG, `remove event[${event}] callback, size: ${(_b = _cbs[event]) === null || _b === void 0 ? void 0 : _b.size}`);
    }
    function emit(event, args) {
        var _a;
        (_a = _cbs[event]) === null || _a === void 0 ? void 0 : _a.forEach((cb) => cb(args));
    }
    function stickyEmit(event, argument) { }
    return {
        on,
        once,
        off,
        emit,
    };
}
exports.createEventBus = createEventBus;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\event\\EventManager.ts":
/*!**************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\event\EventManager.ts ***!
  \**************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

/*
 * Copyright (c) 2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
__webpack_require__(/*! application/ServiceExtensionContext */ "../../api/application/ServiceExtensionContext.d.ts");
const Log_1 = __importDefault(__webpack_require__(/*! ../Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const SingleInstanceHelper_1 = __importDefault(__webpack_require__(/*! ../SingleInstanceHelper */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\SingleInstanceHelper.ts"));
const EventUtil_1 = __webpack_require__(/*! ./EventUtil */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\event\\EventUtil.ts");
const EventBus_1 = __webpack_require__(/*! ./EventBus */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\event\\EventBus.ts");
const TAG = "EventManager";
class EventManager {
    constructor() {
        this.mEventBus = EventBus_1.createEventBus();
        this.eventParser = {
            local: this.publishLocalEvent,
            ability: this.startAbility,
            commonEvent: this.publishCommonEvent,
            remote: this.publishRemoteEvent,
        };
    }
    setContext(ctx) {
        this.mContext = ctx;
    }
    publish(event) {
        return this.eventParser[event.target].call(this, event.data);
    }
    subscribe(eventType, callback) {
        return this.mEventBus.on(eventType, callback);
    }
    subscribeOnce(eventType, callback) {
        return this.mEventBus.once(eventType, callback);
    }
    publishLocalEvent(data) {
        Log_1.default.showInfo(TAG, `publish localEvent type: ${data.eventName}`);
        if (data.eventName) {
            this.mEventBus.emit(data.eventName, data.args);
            return true;
        }
        return false;
    }
    startAbility(data) {
        var _a;
        Log_1.default.showInfo(TAG, `start Ability: ${data.abilityName}`);
        if (data.bundleName && data.abilityName && this.mContext) {
            this.mEventBus.emit(EventUtil_1.START_ABILITY_EVENT, { abilityName: data.abilityName });
            this.mContext.startAbility({
                bundleName: data.bundleName,
                abilityName: data.abilityName,
                parameters: (_a = data.args) !== null && _a !== void 0 ? _a : undefined
            });
            return true;
        }
        return false;
    }
    publishRemoteEvent(data) {
        // todo publish to remote device
        return false;
    }
    publishCommonEvent(data) {
        // todo publish commonEvent to other app
        return false;
    }
}
let sEventManager = SingleInstanceHelper_1.default(EventManager, TAG);
exports["default"] = sEventManager;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\event\\EventUtil.ts":
/*!***********************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\event\EventUtil.ts ***!
  \***********************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

/*
 * Copyright (c) 2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.parseEventString = exports.obtainStartAbility = exports.obtainLocalEvent = exports.PUBLISH_COMMON_EVENT = exports.START_ABILITY_EVENT = void 0;
const Log_1 = __importDefault(__webpack_require__(/*! ../Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
exports.START_ABILITY_EVENT = "startAbilityEvent";
exports.PUBLISH_COMMON_EVENT = "publishCommonEvent";
const TAG = "EventUtil";
const LOCAL_EVENT_TYPE = "local";
const START_ABILITY_TYPE = "ability";
function obtainLocalEvent(event, args) {
    return {
        target: LOCAL_EVENT_TYPE,
        data: {
            eventName: event,
            args,
        },
    };
}
exports.obtainLocalEvent = obtainLocalEvent;
function obtainStartAbility(bundleName, abilityName, args) {
    return {
        target: START_ABILITY_TYPE,
        data: {
            bundleName,
            abilityName,
            args
        },
    };
}
exports.obtainStartAbility = obtainStartAbility;
function parseEventString(eventString) {
    // string must be "local=eventName|args" or "ability=bundleName|abilityName"
    if (!eventString) {
        return;
    }
    let [eventType, eventData] = eventString.split("=");
    if (eventType == LOCAL_EVENT_TYPE && eventData) {
        let [localEventName, args] = eventData.split("|");
        if (localEventName) {
            Log_1.default.showDebug(TAG, `parseEventData name:${localEventName}, args: ${args}`);
            return obtainLocalEvent(localEventName, args);
        }
    }
    if (eventType == START_ABILITY_TYPE && eventData) {
        let [bundleName, abilityName] = eventData.split("|");
        if (bundleName && abilityName) {
            Log_1.default.showDebug(TAG, `parseEventData bundleName:${bundleName}, abilityName: ${abilityName}`);
            return obtainStartAbility(bundleName, abilityName);
        }
    }
    Log_1.default.showError(TAG, `Can't parse event data: ${eventString}`);
    return undefined;
}
exports.parseEventString = parseEventString;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\log.ts":
/*!***********************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\log.ts ***!
  \***********************************************************************************/
/***/ ((__unused_webpack_module, exports) => {

"use strict";

/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.filterKey = void 0;
const TAG = "SystemUI_Default";
const FILTER_KEYS = [
    new RegExp('hide', "gi")
];
function filterKey(target, propKey, descriptor) {
    const original = descriptor.value;
    descriptor.value = function (...args) {
        let filterResult = args.map((str) => {
            let tempStr = str;
            FILTER_KEYS.forEach((filterKey) => tempStr = tempStr.replace(filterKey, "**"));
            return tempStr;
        });
        const result = original.call(this, ...filterResult);
        return result;
    };
}
exports.filterKey = filterKey;
/**
 * Basic log class
 */
class Log {
    /**
     * print info level log
     *
     * @param {string} tag - Page or class tag
     * @param {string} log - Log needs to be printed
     */
    static showInfo(tag, log) {
        console.info(`${TAG} tag: ${tag} --> ${log}`);
    }
    /**
     * print debug level log
     *
     * @param {string} tag - Page or class tag
     * @param {string} log - Log needs to be printed
     */
    static showDebug(tag, log) {
        console.debug(`${TAG} tag: ${tag} --> ${log}`);
    }
    /**
     * print error level log
     *
     * @param {string} tag - Page or class tag
     * @param {string} log - Log needs to be printed
     */
    static showError(tag, log) {
        console.error(`${TAG} tag: ${tag} --> ${log}`);
    }
}
exports["default"] = Log;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\timemanager.ts":
/*!*******************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\timemanager.ts ***!
  \*******************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

/**
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.concatTime = exports.TIME_CHANGE_EVENT = void 0;
var settings = globalThis.requireNapi('settings') || (isSystemplugin('settings', 'ohos') ? globalThis.ohosplugin.settings : isSystemplugin('settings', 'system') ? globalThis.systemplugin.settings : undefined);
var commonEvent = globalThis.requireNapi('commonEvent') || (isSystemplugin('commonEvent', 'ohos') ? globalThis.ohosplugin.commonEvent : isSystemplugin('commonEvent', 'system') ? globalThis.systemplugin.commonEvent : undefined);
var featureAbility = globalThis.requireNapi('ability.featureAbility') || (isSystemplugin('ability.featureAbility', 'ohos') ? globalThis.ohosplugin.ability.featureAbility : isSystemplugin('ability.featureAbility', 'system') ? globalThis.systemplugin.ability.featureAbility : undefined);
__webpack_require__(/*! ability/dataAbilityHelper */ "../../api/ability/dataAbilityHelper.d.ts");
const Log_1 = __importDefault(__webpack_require__(/*! ./Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const EventManager_1 = __importDefault(__webpack_require__(/*! ./event/EventManager */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\event\\EventManager.ts"));
const SingleInstanceHelper_1 = __importDefault(__webpack_require__(/*! ./SingleInstanceHelper */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\SingleInstanceHelper.ts"));
const EventUtil_1 = __webpack_require__(/*! ./event/EventUtil */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\event\\EventUtil.ts");
const CommonEventManager_1 = __webpack_require__(/*! ./commonEvent/CommonEventManager */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\commonEvent\\CommonEventManager.ts");
exports.TIME_CHANGE_EVENT = "Time_Change_Event";
const TAG = "TimeManager";
const URI_VAR = "dataability:///com.ohos.settingsdata.DataAbility";
const TIME_FORMAT_KEY = settings.date.TIME_FORMAT;
const TIME_SUBSCRIBE_INFO = {
    events: [
        commonEvent.Support.COMMON_EVENT_TIME_CHANGED,
        commonEvent.Support.COMMON_EVENT_TIMEZONE_CHANGED,
        commonEvent.Support.COMMON_EVENT_TIME_TICK,
    ],
};
function fill(value) {
    return (value > 9 ? "" : "0") + value;
}
function concatTime(h, m) {
    return `${fill(h)}:${fill(m)}`;
}
exports.concatTime = concatTime;
class TimeManager {
    constructor() {
        this.mUse24hFormat = false;
    }
    init(context) {
        this.mManager = CommonEventManager_1.getCommonEventManager(TAG, TIME_SUBSCRIBE_INFO, () => this.notifyTimeChange(), (isSubscribe) => isSubscribe && this.notifyTimeChange());
        this.mManager.subscriberCommonEvent();
        this.mManager.applyPolicy([CommonEventManager_1.POLICY.SCREEN_POLICY]);
        this.initTimeFormat(context);
    }
    release() {
        var _a, _b;
        (_a = this.mManager) === null || _a === void 0 ? void 0 : _a.release();
        this.mManager = undefined;
        (_b = this.mSettingsHelper) === null || _b === void 0 ? void 0 : _b.off("dataChange", settings.getUriSync(TIME_FORMAT_KEY));
    }
    formatTime(date) {
        return concatTime(date.getHours() % (this.mUse24hFormat ? 24 : 12), date.getMinutes());
    }
    initTimeFormat(context) {
        Log_1.default.showInfo(TAG, "initTimeFormat");
        this.mSettingsHelper = featureAbility.acquireDataAbilityHelper(context, URI_VAR);
        const handleTimeFormatChange = () => {
            if (!this.mSettingsHelper) {
                Log_1.default.showError(TAG, `Can't get dataAbility helper.`);
                return;
            }
            let timeString = settings.getValueSync(this.mSettingsHelper, TIME_FORMAT_KEY, "24");
            Log_1.default.showDebug(TAG, `timeFormat change: ${timeString}`);
            this.mUse24hFormat = timeString == "24";
            this.notifyTimeChange();
        };
        try {
            this.mSettingsHelper.on("dataChange", settings.getUriSync(TIME_FORMAT_KEY), (err) => {
                if (err.code !== 0) {
                    Log_1.default.showError(TAG, `failed to getAbilityWant, code: ${err.code}.`);
                    return;
                }
                handleTimeFormatChange();
            });
        }
        catch (e) {
            Log_1.default.showError(TAG, `Can't listen timeformate change.`);
        }
        handleTimeFormatChange();
    }
    notifyTimeChange() {
        Log_1.default.showInfo(TAG, "notifyTimeChange");
        let args = {
            date: new Date(),
            timeFormat: this.mUse24hFormat,
        };
        EventManager_1.default.publish(EventUtil_1.obtainLocalEvent(exports.TIME_CHANGE_EVENT, args));
    }
}
let sTimeManager = SingleInstanceHelper_1.default(TimeManager, TAG);
exports["default"] = sTimeManager;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\common\\constants.ts":
/*!***********************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\features\managementcomponent\src\main\ets\com\ohos\common\constants.ts ***!
  \***********************************************************************************************************************/
/***/ ((__unused_webpack_module, exports) => {

"use strict";

/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.DoNotDisturbType = void 0;
class Constants {
}
exports["default"] = Constants;
Constants.WH_45_100 = '45%';
Constants.WH_50_100 = '50%';
Constants.WH_60_100 = '60%';
Constants.WH_70_100 = '70%';
Constants.WH_90_100 = '90%';
Constants.WH_100_100 = '100%';
Constants.MAX_LINES_1 = 1;
Constants.MAX_LINES_2 = 2;
Constants.MAX_LINES_3 = 3;
Constants.TIME_EMPTY = '00:00';
Constants.DATE_YEAR_IDX = 0;
Constants.DATE_MONTH_IDX = 1;
Constants.DATE_DAY_IDX = 2;
Constants.DATE_HOUR_IDX = 3;
Constants.DATE_MINUTE_IDX = 4;
/**
   * The type of the Do Not Disturb.
   *
   * @since 8
   * @systemapi Hide this for inner system use.
   */
var DoNotDisturbType;
(function (DoNotDisturbType) {
    /**
     * Non do not disturb type notification
     */
    DoNotDisturbType[DoNotDisturbType["TYPE_NONE"] = 0] = "TYPE_NONE";
    /**
     * Execute do not disturb once in the set time period (only watch hours and minutes)
     */
    DoNotDisturbType[DoNotDisturbType["TYPE_ONCE"] = 1] = "TYPE_ONCE";
    /**
     * Execute do not disturb every day with a set time period (only watch hours and minutes)
     */
    DoNotDisturbType[DoNotDisturbType["TYPE_DAILY"] = 2] = "TYPE_DAILY";
    /**
     * Execute in the set time period (specify the time, month, day and hour)
     */
    DoNotDisturbType[DoNotDisturbType["TYPE_CLEARLY"] = 3] = "TYPE_CLEARLY";
})(DoNotDisturbType = exports.DoNotDisturbType || (exports.DoNotDisturbType = {}));


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\model\\noDisturbingModel.ts":
/*!******************************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\features\managementcomponent\src\main\ets\com\ohos\model\noDisturbingModel.ts ***!
  \******************************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
const Log_1 = __importDefault(__webpack_require__(/*! ../../../../../../../../common/src/main/ets/default/Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
var Notification = globalThis.requireNapi('notification') || (isSystemplugin('notification', 'ohos') ? globalThis.ohosplugin.notification : isSystemplugin('notification', 'system') ? globalThis.systemplugin.notification : undefined);
const constants_1 = __webpack_require__(/*! ../common/constants */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\common\\constants.ts");
const TimeManager_1 = __importDefault(__webpack_require__(/*! ../../../../../../../../common/src/main/ets/default/TimeManager */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\TimeManager.ts"));
const TAG = 'NotificationManagenment-NoDisturbingModel';
const MK_DATE_SPLIT = '-';
const MK_NUM_FILL = '0';
const VALUE_NUM_FILL = 10;
class NoDisturbingModel {
    static getNoDisturbingDate(callback) {
        Notification.getDoNotDisturbDate((error, data) => {
            if (error.code != 0) {
                Log_1.default.showInfo(TAG, 'getNoDisturbingDate error:' + JSON.stringify(error));
            }
            else {
                Log_1.default.showInfo(TAG, 'getNoDisturbingDate data:' + JSON.stringify(data));
                let noDisturbingData = {};
                noDisturbingData['type'] = data.type;
                if (data.type == constants_1.DoNotDisturbType.TYPE_CLEARLY) {
                    noDisturbingData['begin'] = this.formatDateTime(data.begin);
                    noDisturbingData['end'] = this.formatDateTime(data.end);
                }
                else {
                    noDisturbingData['begin'] = this.formatTime(data.begin);
                    noDisturbingData['end'] = this.formatTime(data.end);
                }
                callback(noDisturbingData);
            }
        });
    }
    static setNoDisturbingDate(noDisturbingTime, callback) {
        let targetDate = {};
        targetDate['type'] = noDisturbingTime.type;
        targetDate['begin'] = noDisturbingTime.begin;
        targetDate['end'] = noDisturbingTime.end;
        Log_1.default.showInfo(TAG, `Notification.setDoNotDisturbDate targetDate['type'] : ` + JSON.stringify(targetDate['type']));
        Log_1.default.showInfo(TAG, `Notification.setDoNotDisturbDate targetDate['begin'] : ` + JSON.stringify(targetDate['begin']));
        Log_1.default.showInfo(TAG, `Notification.setDoNotDisturbDate targetDate['end'] : ` + JSON.stringify(targetDate['end']));
        Notification.setDoNotDisturbDate(targetDate, callback);
    }
    static formatDate(data) {
        let result = data.getFullYear() + MK_DATE_SPLIT;
        let numTmp = data.getMonth() + 1;
        if (numTmp < VALUE_NUM_FILL) {
            result += MK_NUM_FILL;
        }
        result += (data.getMonth() + 1);
        result += MK_DATE_SPLIT;
        numTmp = data.getDate();
        if (numTmp < VALUE_NUM_FILL) {
            result += MK_NUM_FILL;
        }
        result += numTmp;
        return result;
    }
    static formatDateTime(data) {
        let result = this.formatDate(data);
        result += ' ' + TimeManager_1.default.formatTime(data);
        return result;
    }
    static formatTime(data) {
        return TimeManager_1.default.formatTime(data);
    }
}
exports["default"] = NoDisturbingModel;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\model\\nodisturbingmodel.ts":
/*!******************************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\features\managementcomponent\src\main\ets\com\ohos\model\nodisturbingmodel.ts ***!
  \******************************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
const Log_1 = __importDefault(__webpack_require__(/*! ../../../../../../../../common/src/main/ets/default/Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
var Notification = globalThis.requireNapi('notification') || (isSystemplugin('notification', 'ohos') ? globalThis.ohosplugin.notification : isSystemplugin('notification', 'system') ? globalThis.systemplugin.notification : undefined);
const constants_1 = __webpack_require__(/*! ../common/constants */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\common\\constants.ts");
const TimeManager_1 = __importDefault(__webpack_require__(/*! ../../../../../../../../common/src/main/ets/default/TimeManager */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\TimeManager.ts"));
const TAG = 'NotificationManagenment-NoDisturbingModel';
const MK_DATE_SPLIT = '-';
const MK_NUM_FILL = '0';
const VALUE_NUM_FILL = 10;
class NoDisturbingModel {
    static getNoDisturbingDate(callback) {
        Notification.getDoNotDisturbDate((error, data) => {
            if (error.code != 0) {
                Log_1.default.showInfo(TAG, 'getNoDisturbingDate error:' + JSON.stringify(error));
            }
            else {
                Log_1.default.showInfo(TAG, 'getNoDisturbingDate data:' + JSON.stringify(data));
                let noDisturbingData = {};
                noDisturbingData['type'] = data.type;
                if (data.type == constants_1.DoNotDisturbType.TYPE_CLEARLY) {
                    noDisturbingData['begin'] = this.formatDateTime(data.begin);
                    noDisturbingData['end'] = this.formatDateTime(data.end);
                }
                else {
                    noDisturbingData['begin'] = this.formatTime(data.begin);
                    noDisturbingData['end'] = this.formatTime(data.end);
                }
                callback(noDisturbingData);
            }
        });
    }
    static setNoDisturbingDate(noDisturbingTime, callback) {
        let targetDate = {};
        targetDate['type'] = noDisturbingTime.type;
        targetDate['begin'] = noDisturbingTime.begin;
        targetDate['end'] = noDisturbingTime.end;
        Log_1.default.showInfo(TAG, `Notification.setDoNotDisturbDate targetDate['type'] : ` + JSON.stringify(targetDate['type']));
        Log_1.default.showInfo(TAG, `Notification.setDoNotDisturbDate targetDate['begin'] : ` + JSON.stringify(targetDate['begin']));
        Log_1.default.showInfo(TAG, `Notification.setDoNotDisturbDate targetDate['end'] : ` + JSON.stringify(targetDate['end']));
        Notification.setDoNotDisturbDate(targetDate, callback);
    }
    static formatDate(data) {
        let result = data.getFullYear() + MK_DATE_SPLIT;
        let numTmp = data.getMonth() + 1;
        if (numTmp < VALUE_NUM_FILL) {
            result += MK_NUM_FILL;
        }
        result += (data.getMonth() + 1);
        result += MK_DATE_SPLIT;
        numTmp = data.getDate();
        if (numTmp < VALUE_NUM_FILL) {
            result += MK_NUM_FILL;
        }
        result += numTmp;
        return result;
    }
    static formatDateTime(data) {
        let result = this.formatDate(data);
        result += ' ' + TimeManager_1.default.formatTime(data);
        return result;
    }
    static formatTime(data) {
        return TimeManager_1.default.formatTime(data);
    }
}
exports["default"] = NoDisturbingModel;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\view\\component\\headcomponent.ets":
/*!************************************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\features\managementcomponent\src\main\ets\com\ohos\view\component\headcomponent.ets ***!
  \************************************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
/**
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
const constants_1 = __importDefault(__webpack_require__(/*! ../../common/constants */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\common\\constants.ts"));
var Router = globalThis.requireNativeModule('system.router');
class HeadComponent extends View {
    constructor(compilerAssignedUniqueChildId, parent, params) {
        super(compilerAssignedUniqueChildId, parent);
        this.isActive = true;
        this.icBackIsVisibility = true;
        this.__headName = new SynchedPropertyObjectTwoWay(params.headName, this, "headName");
        this.__isTouch = new ObservedPropertySimple(false, this, "isTouch");
        this.updateWithValueParams(params);
    }
    updateWithValueParams(params) {
        if (params.isActive !== undefined) {
            this.isActive = params.isActive;
        }
        if (params.icBackIsVisibility !== undefined) {
            this.icBackIsVisibility = params.icBackIsVisibility;
        }
        if (params.isTouch !== undefined) {
            this.isTouch = params.isTouch;
        }
    }
    aboutToBeDeleted() {
        this.__headName.aboutToBeDeleted();
        this.__isTouch.aboutToBeDeleted();
        SubscriberManager.Get().delete(this.id());
    }
    get headName() {
        return this.__headName.get();
    }
    set headName(newValue) {
        this.__headName.set(newValue);
    }
    get isTouch() {
        return this.__isTouch.get();
    }
    set isTouch(newValue) {
        this.__isTouch.set(newValue);
    }
    render() {
        Row.create();
        Row.width(constants_1.default.WH_100_100);
        Row.height({ "id": 50331771, "type": 10002, params: [] });
        Row.margin({ top: { "id": 50331756, "type": 10002, params: [] } });
        Row.alignItems(VerticalAlign.Center);
        Row.align(Alignment.Start);
        Image.create({ "id": 50331654, "type": 20000, params: [] });
        Image.width({ "id": 50331699, "type": 10002, params: [] });
        Image.height({ "id": 50331698, "type": 10002, params: [] });
        Image.borderRadius({ "id": 50331739, "type": 10002, params: [] });
        Image.margin({
            left: { "id": 50331754, "type": 10002, params: [] },
            top: { "id": 50331760, "type": 10002, params: [] },
            bottom: { "id": 50331757, "type": 10002, params: [] }
        });
        Image.backgroundColor(this.isTouch ? { "id": 50331692, "type": 10001, params: [] } : { "id": 50331693, "type": 10001, params: [] });
        Image.visibility(this.icBackIsVisibility ? Visibility.Visible : Visibility.None);
        Image.onTouch(() => {
            this.isTouch = true;
            Router.back();
        });
        Text.create(this.headName);
        Text.fontColor({ "id": 125829210, "type": 10001, params: [] });
        Text.fontSize({ "id": 50331769, "type": 10002, params: [] });
        Text.fontWeight(FontWeight.Bold);
        Text.width(constants_1.default.WH_100_100);
        Text.maxLines(constants_1.default.MAX_LINES_1);
        Text.textOverflow({ overflow: TextOverflow.Ellipsis });
        Text.margin({ left: { "id": 50331755, "type": 10002, params: [] }, right: { "id": 50331759, "type": 10002, params: [] } });
        Text.pop();
        Row.pop();
    }
}
exports["default"] = HeadComponent;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\view\\component\\itemcomponent.ets":
/*!************************************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\features\managementcomponent\src\main\ets\com\ohos\view\component\itemcomponent.ets ***!
  \************************************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
/**
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
const constants_1 = __importDefault(__webpack_require__(/*! ../../common/constants */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\common\\constants.ts"));
class ItemComponent extends View {
    constructor(compilerAssignedUniqueChildId, parent, params) {
        super(compilerAssignedUniqueChildId, parent);
        this.__title = new SynchedPropertyObjectTwoWay(params.title, this, "title");
        this.__value = new SynchedPropertySimpleOneWay(params.value, this, "value");
        this.__arrow = new SynchedPropertyObjectTwoWay(params.arrow, this, "arrow");
        this.updateWithValueParams(params);
    }
    updateWithValueParams(params) {
        this.value = params.value;
    }
    aboutToBeDeleted() {
        this.__title.aboutToBeDeleted();
        this.__value.aboutToBeDeleted();
        this.__arrow.aboutToBeDeleted();
        SubscriberManager.Get().delete(this.id());
    }
    get title() {
        return this.__title.get();
    }
    set title(newValue) {
        this.__title.set(newValue);
    }
    get value() {
        return this.__value.get();
    }
    set value(newValue) {
        this.__value.set(newValue);
    }
    get arrow() {
        return this.__arrow.get();
    }
    set arrow(newValue) {
        this.__arrow.set(newValue);
    }
    render() {
        Flex.create({ direction: FlexDirection.Column, alignItems: ItemAlign.Center, justifyContent: FlexAlign.Center });
        Flex.width(constants_1.default.WH_100_100);
        Flex.height({ "id": 50331740, "type": 10002, params: [] });
        Flex.border({ width: { "id": 50331728, "type": 10002, params: [] }, color: Color.White, radius: { "id": 50331727, "type": 10002, params: [] } });
        Flex.backgroundColor(Color.White);
        Row.create();
        Row.width(constants_1.default.WH_100_100);
        Row.alignItems(VerticalAlign.Center);
        Row.padding({ left: { "id": 125829723, "type": 10002, params: [] }, right: { "id": 125829725, "type": 10002, params: [] } });
        Text.create(this.title);
        Text.fontSize({ "id": 125829684, "type": 10002, params: [] });
        Text.fontColor({ "id": 50331697, "type": 10001, params: [] });
        Text.width(constants_1.default.WH_45_100);
        Text.textAlign(TextAlign.Start);
        Text.fontWeight(FontWeight.Bold);
        Text.pop();
        Blank.create();
        Blank.pop();
        Text.create(this.value);
        Text.fontSize({ "id": 50331749, "type": 10002, params: [] });
        Text.fontColor({ "id": 50331696, "type": 10001, params: [] });
        Text.pop();
        Image.create(this.arrow);
        Image.width({ "id": 50331743, "type": 10002, params: [] });
        Image.height({ "id": 50331741, "type": 10002, params: [] });
        Image.align(Alignment.End);
        Image.margin({ left: { "id": 50331742, "type": 10002, params: [] } });
        Row.pop();
        Flex.pop();
    }
}
exports["default"] = ItemComponent;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\vm\\nodisturbcomponentviewmodel.ts":
/*!*************************************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\features\managementcomponent\src\main\ets\com\ohos\vm\nodisturbcomponentviewmodel.ts ***!
  \*************************************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
const Log_1 = __importDefault(__webpack_require__(/*! ../../../../../../../../common/src/main/ets/default/Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const ResourceUtil_1 = __importDefault(__webpack_require__(/*! ../../../../../../../../common/src/main/ets/default/ResourceUtil */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\ResourceUtil.ts"));
const noDisturbingModel_1 = __importDefault(__webpack_require__(/*! ../model/noDisturbingModel */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\model\\noDisturbingModel.ts"));
const constants_1 = __importStar(__webpack_require__(/*! ../common/constants */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\common\\constants.ts"));
const TAG = 'ManagementComponent-NoDisturbComponentViewModel';
class NoDisturbComponentViewModel {
    constructor() {
        this.defaultStartTime = new Date();
        this.defaultEndTime = new Date();
        this.startTime = '';
        this.endTime = '';
        this.repeatMode = 0;
        this.repeatName = '';
        this.nextDayLabel = '';
    }
    ViewModelInit() {
        Log_1.default.showInfo(TAG, 'ViewModelInit');
        this.getNextDayLabel();
        this.getNoDisturbingDate.bind(this)();
    }
    getNoDisturbingDate() {
        Log_1.default.showInfo(TAG, 'getNoDisturbingDate');
        noDisturbingModel_1.default.getNoDisturbingDate((data) => {
            Log_1.default.showInfo(TAG, 'getNoDisturbingDate data:' + JSON.stringify(data));
            this.repeatMode = data.type;
            this.startTime = data.begin;
            this.endTime = data.end;
            Log_1.default.showInfo(TAG, `getNoDisturbingDate this.repeatMode : ${this.repeatMode}`);
            Log_1.default.showInfo(TAG, `getNoDisturbingDate this.startTime : ${this.startTime}`);
            Log_1.default.showInfo(TAG, `getNoDisturbingDate this.endTime : ${this.endTime}`);
            this.repeatName = this.refreshRepeatName(this.repeatMode);
            this.setClues.bind(this)();
        });
    }
    setNoDisturbingDate() {
        Log_1.default.showInfo(TAG, 'setNoDisturbingDate');
        if (!this.isEffective) {
            this.repeatMode = constants_1.DoNotDisturbType.TYPE_NONE;
        }
        Log_1.default.showInfo(TAG, `this.repeatMode is : ${this.repeatMode}`);
        let noDisturbingTime = {
            type: this.repeatMode, begin: this.defaultStartTime, end: this.defaultEndTime
        };
        noDisturbingModel_1.default.setNoDisturbingDate(noDisturbingTime, () => {
            Log_1.default.showInfo(TAG, 'setNoDisturbingDate is success');
        });
    }
    setClues() {
        Log_1.default.showInfo(TAG, `setClues`);
        if (this.repeatMode == constants_1.DoNotDisturbType.TYPE_DAILY ||
            this.repeatMode == constants_1.DoNotDisturbType.TYPE_ONCE ||
            this.repeatMode == constants_1.DoNotDisturbType.TYPE_CLEARLY) {
            this.isEffective = true;
        }
        else {
            this.isEffective = false;
        }
        this.setCluesWithoutSetEffect();
        Log_1.default.showInfo(TAG, `this.prompt : ${this.prompt}`);
    }
    setCluesWithoutSetEffect() {
        Log_1.default.showInfo(TAG, `setCluesWithoutSetEffect start`);
        if (this.repeatMode == constants_1.DoNotDisturbType.TYPE_CLEARLY) {
            this.prompt = this.getDateTimeLabel(this.startTime) + ' - ' + this.getDateTimeLabel(this.endTime);
            this.defaultStartTime = this.getDateByDateTime(this.startTime);
            this.defaultEndTime = this.getDateByDateTime(this.endTime);
        }
        else if (this.repeatMode == constants_1.DoNotDisturbType.TYPE_DAILY || this.repeatMode == constants_1.DoNotDisturbType.TYPE_ONCE) {
            if (this.startTime >= this.endTime) {
                this.prompt = this.startTime + ' - ' + this.nextDayLabel + this.endTime;
            }
            else {
                this.prompt = this.startTime + ' - ' + this.endTime;
            }
            this.defaultStartTime = this.getDateByHHMI(this.startTime);
            this.defaultEndTime = this.getDateByHHMI(this.endTime);
        }
        else {
            this.prompt = '';
            this.defaultStartTime = this.getDateByHHMI(this.startTime);
            this.defaultEndTime = this.getDateByHHMI(this.endTime);
        }
        Log_1.default.showInfo(TAG, `setCluesWithoutSetEffect end`);
    }
    refreshDate(repeatMode, inputStartTime, inputEndTime) {
        this.defaultStartTime = inputStartTime;
        this.defaultEndTime = inputEndTime;
        if (repeatMode == constants_1.DoNotDisturbType.TYPE_CLEARLY) {
            this.startTime = noDisturbingModel_1.default.formatDateTime(this.defaultStartTime);
            this.endTime = noDisturbingModel_1.default.formatDateTime(this.defaultEndTime);
        }
        else {
            this.startTime = noDisturbingModel_1.default.formatTime(this.defaultStartTime);
            this.endTime = noDisturbingModel_1.default.formatTime(this.defaultEndTime);
        }
    }
    refreshRepeatName(inputRepeatMode) {
        let result = null;
        if (inputRepeatMode == constants_1.DoNotDisturbType.TYPE_ONCE) {
            result = { "id": 50331672, "type": 10003, params: [] };
        }
        else if (inputRepeatMode == constants_1.DoNotDisturbType.TYPE_DAILY) {
            result = { "id": 50331668, "type": 10003, params: [] };
        }
        else if (inputRepeatMode == constants_1.DoNotDisturbType.TYPE_CLEARLY) {
            result = { "id": 50331665, "type": 10003, params: [] };
        }
        else {
            result = { "id": 50331671, "type": 10003, params: [] };
        }
        return result;
    }
    getDateByHHMI(selectDate) {
        Log_1.default.showInfo(TAG, `getDateByHHMI selectDate：` + selectDate);
        let tempDate = new Date();
        let HHmiArr = selectDate.split(':');
        let hour = parseInt(HHmiArr[0]);
        let minute = parseInt(HHmiArr[1]);
        tempDate = new Date(tempDate.getFullYear(), tempDate.getMonth(), tempDate.getDate(), hour, minute);
        return tempDate;
    }
    getDateByDateTime(selectDate) {
        Log_1.default.showInfo(TAG, `getDateByDateTime selectDate：` + selectDate);
        let arrayValue = this.getValuesFromDate(selectDate);
        let tempDate = new Date();
        tempDate = new Date(arrayValue[constants_1.default.DATE_YEAR_IDX], arrayValue[constants_1.default.DATE_MONTH_IDX] - 1, arrayValue[constants_1.default.DATE_DAY_IDX], arrayValue[constants_1.default.DATE_HOUR_IDX], arrayValue[constants_1.default.DATE_MINUTE_IDX]);
        return tempDate;
    }
    getValuesFromDate(selectDate) {
        let arrayValue = [];
        let idxStart = 0;
        let chrFlg = false;
        if (selectDate) {
            for (let idx = 0; idx < selectDate.length + 1; idx++) {
                if (isNaN(parseInt(selectDate.substring(idx, idx + 1)))) {
                    arrayValue.push(parseInt(selectDate.substring(idxStart, idx)));
                    chrFlg = true;
                }
                else if (chrFlg) {
                    idxStart = idx;
                    chrFlg = false;
                }
            }
        }
        return arrayValue;
    }
    getDateLabel(selectDate) {
        let result = '';
        if (selectDate) {
            let arrayValue = this.getValuesFromDate(selectDate);
            let cutDict = ['年', '月', '日'];
            for (let idx2 = 0; idx2 < cutDict.length; idx2++) {
                result += arrayValue[idx2];
                result += cutDict[idx2];
            }
        }
        return result;
    }
    getDateTimeLabel(selectDate) {
        let result = '';
        if (selectDate) {
            result += this.getDateLabel(selectDate);
            result += ' ' + noDisturbingModel_1.default.formatTime(this.getDateByDateTime(selectDate));
        }
        return result;
    }
    async getNextDayLabel() {
        this.nextDayLabel = await ResourceUtil_1.default.getString({ "id": 50331670, "type": 10003, params: [] });
    }
}
exports["default"] = NoDisturbComponentViewModel;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\product\\default\\notificationmanagement\\src\\main\\ets\\common\\constants.ts":
/*!************************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\product\default\notificationmanagement\src\main\ets\common\constants.ts ***!
  \************************************************************************************************************************/
/***/ ((__unused_webpack_module, exports) => {

"use strict";

/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", ({ value: true }));
class Constants {
}
exports["default"] = Constants;
Constants.WH_50_100 = '50%';
Constants.WH_70_100 = '70%';
Constants.WH_90_100 = '90%';
Constants.WH_100_100 = '100%';
Constants.TOPMOST_INDEX = 999;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\product\\default\\notificationmanagement\\src\\main\\ets\\pages\\noDisturb.ets?entry":
/*!******************************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\product\default\notificationmanagement\src\main\ets\pages\noDisturb.ets?entry ***!
  \******************************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
const log_1 = __importDefault(__webpack_require__(/*! ../../../../../../../common/src/main/ets/default/log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\log.ts"));
const headcomponent_1 = __importDefault(__webpack_require__(/*! ../../../../../../../features/managementcomponent/src/main/ets/com/ohos/view/component/headcomponent */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\view\\component\\headcomponent.ets"));
const constants_1 = __importDefault(__webpack_require__(/*! ../common/constants */ "D:\\code\\release\\my\\applications_systemui\\product\\default\\notificationmanagement\\src\\main\\ets\\common\\constants.ts"));
var Router = globalThis.requireNativeModule('system.router');
const timemanager_1 = __webpack_require__(/*! ../../../../../../../common/src/main/ets/default/timemanager */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\timemanager.ts");
const itemcomponent_1 = __importDefault(__webpack_require__(/*! ../../../../../../../features/managementcomponent/src/main/ets/com/ohos/view/component/itemcomponent */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\view\\component\\itemcomponent.ets"));
const constants_2 = __webpack_require__(/*! ../../../../../../../features/managementcomponent/src/main/ets/com/ohos/common/constants */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\common\\constants.ts");
const nodisturbingmodel_1 = __importDefault(__webpack_require__(/*! ../../../../../../../features/managementcomponent/src/main/ets/com/ohos/model/nodisturbingmodel */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\model\\nodisturbingmodel.ts"));
const nodisturbviewmodel_1 = __importDefault(__webpack_require__(/*! ../vm/nodisturbviewmodel */ "D:\\code\\release\\my\\applications_systemui\\product\\default\\notificationmanagement\\src\\main\\ets\\vm\\nodisturbviewmodel.ts"));
const TAG = 'NotificationManagement-NoDisturb';
const GROUP_REPEAT_MODE = 'repeatMode';
class NoDisturb extends View {
    constructor(compilerAssignedUniqueChildId, parent, params) {
        super(compilerAssignedUniqueChildId, parent);
        this.__mViewModel = new ObservedPropertyObject(new nodisturbviewmodel_1.default(), this, "mViewModel");
        this.__headName = new ObservedPropertyObject({ "id": 50331664, "type": 10003, params: [] }, this, "headName");
        this.__repeatTitle = new ObservedPropertyObject({ "id": 50331680, "type": 10003, params: [] }, this, "repeatTitle");
        this.__startDateTitle = new ObservedPropertyObject({ "id": 50331687, "type": 10003, params: [] }, this, "startDateTitle");
        this.__endDateTitle = new ObservedPropertyObject({ "id": 50331662, "type": 10003, params: [] }, this, "endDateTitle");
        this.__startTitle = new ObservedPropertyObject({ "id": 50331688, "type": 10003, params: [] }, this, "startTitle");
        this.__endTitle = new ObservedPropertyObject({ "id": 50331663, "type": 10003, params: [] }, this, "endTitle");
        this.__arrow = new ObservedPropertyObject({ "id": 50331655, "type": 20000, params: [] }, this, "arrow");
        this.__mRefreshCnt = new ObservedPropertySimple(0, this, "mRefreshCnt");
        this.mPrevData = '';
        this.startDateDialogController = new CustomDialogController({
            builder: () => {
                let jsDialog = new DateDialog("2", this, {
                    action: (data) => this.setStartDate(data),
                    title: { "id": 50331687, "type": 10003, params: [] },
                    defaultDate: this.mViewModel.defaultStartTime
                });
                jsDialog.setController(this.startDateDialogController);
                View.create(jsDialog);
            },
            cancel: () => this.mViewModel.onCancel(),
            autoCancel: false
        }, this);
        this.startTimeDialogController = new CustomDialogController({
            builder: () => {
                let jsDialog = new TimeDialog("3", this, {
                    action: (data) => this.setStartTime(data),
                    title: { "id": 50331688, "type": 10003, params: [] },
                    defaultDate: this.mViewModel.defaultStartTime
                });
                jsDialog.setController(this.startTimeDialogController);
                View.create(jsDialog);
            },
            cancel: () => this.mViewModel.onCancel(),
            autoCancel: false
        }, this);
        this.endDateDialogController = new CustomDialogController({
            builder: () => {
                let jsDialog = new DateDialog("4", this, {
                    action: (data) => this.setEndDate(data),
                    title: { "id": 50331662, "type": 10003, params: [] },
                    defaultDate: this.mViewModel.defaultEndTime
                });
                jsDialog.setController(this.endDateDialogController);
                View.create(jsDialog);
            },
            cancel: () => this.mViewModel.onCancel(),
            autoCancel: false
        }, this);
        this.endTimeDialogController = new CustomDialogController({
            builder: () => {
                let jsDialog = new TimeDialog("5", this, {
                    action: (data) => this.setEndTime(data),
                    title: { "id": 50331663, "type": 10003, params: [] },
                    defaultDate: this.mViewModel.defaultEndTime
                });
                jsDialog.setController(this.endTimeDialogController);
                View.create(jsDialog);
            },
            cancel: () => this.mViewModel.onCancel(),
            autoCancel: false
        }, this);
        this.repeatDialogController = new CustomDialogController({
            builder: () => {
                let jsDialog = new RepeatModeDialog("6", this, {
                    action: (data) => this.setRepeatMode(data),
                    title: { "id": 50331680, "type": 10003, params: [] },
                    selectMode: this.mViewModel.repeatMode
                });
                jsDialog.setController(this.repeatDialogController);
                View.create(jsDialog);
            },
            cancel: () => this.mViewModel.onCancel(),
            autoCancel: false
        }, this);
        this.updateWithValueParams(params);
    }
    updateWithValueParams(params) {
        if (params.mViewModel !== undefined) {
            this.mViewModel = params.mViewModel;
        }
        if (params.headName !== undefined) {
            this.headName = params.headName;
        }
        if (params.repeatTitle !== undefined) {
            this.repeatTitle = params.repeatTitle;
        }
        if (params.startDateTitle !== undefined) {
            this.startDateTitle = params.startDateTitle;
        }
        if (params.endDateTitle !== undefined) {
            this.endDateTitle = params.endDateTitle;
        }
        if (params.startTitle !== undefined) {
            this.startTitle = params.startTitle;
        }
        if (params.endTitle !== undefined) {
            this.endTitle = params.endTitle;
        }
        if (params.arrow !== undefined) {
            this.arrow = params.arrow;
        }
        if (params.mRefreshCnt !== undefined) {
            this.mRefreshCnt = params.mRefreshCnt;
        }
        if (params.mPrevData !== undefined) {
            this.mPrevData = params.mPrevData;
        }
        if (params.startDateDialogController !== undefined) {
            this.startDateDialogController = params.startDateDialogController;
        }
        if (params.startTimeDialogController !== undefined) {
            this.startTimeDialogController = params.startTimeDialogController;
        }
        if (params.endDateDialogController !== undefined) {
            this.endDateDialogController = params.endDateDialogController;
        }
        if (params.endTimeDialogController !== undefined) {
            this.endTimeDialogController = params.endTimeDialogController;
        }
        if (params.repeatDialogController !== undefined) {
            this.repeatDialogController = params.repeatDialogController;
        }
    }
    aboutToBeDeleted() {
        this.__mViewModel.aboutToBeDeleted();
        this.__headName.aboutToBeDeleted();
        this.__repeatTitle.aboutToBeDeleted();
        this.__startDateTitle.aboutToBeDeleted();
        this.__endDateTitle.aboutToBeDeleted();
        this.__startTitle.aboutToBeDeleted();
        this.__endTitle.aboutToBeDeleted();
        this.__arrow.aboutToBeDeleted();
        this.__mRefreshCnt.aboutToBeDeleted();
        SubscriberManager.Get().delete(this.id());
    }
    get mViewModel() {
        return this.__mViewModel.get();
    }
    set mViewModel(newValue) {
        this.__mViewModel.set(newValue);
    }
    get headName() {
        return this.__headName.get();
    }
    set headName(newValue) {
        this.__headName.set(newValue);
    }
    get repeatTitle() {
        return this.__repeatTitle.get();
    }
    set repeatTitle(newValue) {
        this.__repeatTitle.set(newValue);
    }
    get startDateTitle() {
        return this.__startDateTitle.get();
    }
    set startDateTitle(newValue) {
        this.__startDateTitle.set(newValue);
    }
    get endDateTitle() {
        return this.__endDateTitle.get();
    }
    set endDateTitle(newValue) {
        this.__endDateTitle.set(newValue);
    }
    get startTitle() {
        return this.__startTitle.get();
    }
    set startTitle(newValue) {
        this.__startTitle.set(newValue);
    }
    get endTitle() {
        return this.__endTitle.get();
    }
    set endTitle(newValue) {
        this.__endTitle.set(newValue);
    }
    get arrow() {
        return this.__arrow.get();
    }
    set arrow(newValue) {
        this.__arrow.set(newValue);
    }
    get mRefreshCnt() {
        return this.__mRefreshCnt.get();
    }
    set mRefreshCnt(newValue) {
        this.__mRefreshCnt.set(newValue);
    }
    render() {
        Flex.create({ direction: FlexDirection.Column, alignItems: ItemAlign.Start, justifyContent: FlexAlign.Start });
        Flex.width(constants_1.default.WH_100_100);
        Column.create();
        Column.backgroundColor({ "id": 125829132, "type": 10001, params: [] });
        Column.width(constants_1.default.WH_100_100);
        Column.height(constants_1.default.WH_100_100);
        GridContainer.create({ columns: 12, sizeType: SizeType.Auto, gutter: vp2px(1) === 2 ? '12vp' : '0vp', margin: vp2px(1) === 2 ? '12vp' : '0vp' });
        Row.create();
        Row.width(constants_1.default.WH_100_100);
        Row.height(constants_1.default.WH_100_100);
        Column.create();
        Column.width(constants_1.default.WH_100_100);
        Column.height(constants_1.default.WH_100_100);
        Column.padding({
            left: { "id": 125829723, "type": 10002, params: [] },
            right: { "id": 125829725, "type": 10002, params: [] }
        });
        Column.useSizeType({
            xs: { span: 12, offset: 0 }, sm: { span: 12, offset: 0 },
            md: { span: 12, offset: 0 }, lg: { span: 8, offset: 2 }
        });
        let earlierCreatedChild_7 = this.findChildById("7");
        if (earlierCreatedChild_7 == undefined) {
            View.create(new headcomponent_1.default("7", this, { headName: this.__headName, isActive: true }));
        }
        else {
            earlierCreatedChild_7.updateWithValueParams({
                isActive: true
            });
            View.create(earlierCreatedChild_7);
        }
        If.create();
        if (this.mRefreshCnt > 0) {
            If.branchId(0);
            Row.create();
            Row.onClick(() => {
                this.repeatDialogController.open();
            });
            Row.margin({ bottom: { "id": 50331744, "type": 10002, params: [] } });
            let earlierCreatedChild_8 = this.findChildById("8");
            if (earlierCreatedChild_8 == undefined) {
                View.create(new itemcomponent_1.default("8", this, {
                    title: this.__repeatTitle,
                    value: this.mViewModel.repeatName,
                    arrow: this.__arrow
                }));
            }
            else {
                earlierCreatedChild_8.updateWithValueParams({
                    value: this.mViewModel.repeatName
                });
                View.create(earlierCreatedChild_8);
            }
            Row.pop();
            If.create();
            if (this.mViewModel.repeatMode == constants_2.DoNotDisturbType.TYPE_CLEARLY) {
                If.branchId(0);
                List.create();
                List.divider({
                    strokeWidth: 1,
                    color: { "id": 50331694, "type": 10001, params: [] },
                    startMargin: { "id": 50331735, "type": 10002, params: [] },
                    endMargin: { "id": 50331737, "type": 10002, params: [] }
                });
                List.width(constants_1.default.WH_100_100);
                List.visibility(Visibility.Visible);
                List.zIndex(0);
                List.border({ width: { "id": 50331728, "type": 10002, params: [] }, color: Color.White, radius: { "id": 50331727, "type": 10002, params: [] } });
                List.backgroundColor(Color.White);
                List.margin({ bottom: { "id": 50331744, "type": 10002, params: [] } });
                List.flexShrink(1);
                ListItem.create();
                Row.create();
                Row.onClick(() => {
                    this.startDateDialogController.open();
                });
                let earlierCreatedChild_9 = this.findChildById("9");
                if (earlierCreatedChild_9 == undefined) {
                    View.create(new itemcomponent_1.default("9", this, {
                        title: this.__startDateTitle,
                        value: this.mViewModel.startDateClue,
                        arrow: this.__arrow
                    }));
                }
                else {
                    earlierCreatedChild_9.updateWithValueParams({
                        value: this.mViewModel.startDateClue
                    });
                    View.create(earlierCreatedChild_9);
                }
                Row.pop();
                ListItem.pop();
                ListItem.create();
                Row.create();
                Row.onClick(() => {
                    this.startTimeDialogController.open();
                });
                let earlierCreatedChild_10 = this.findChildById("10");
                if (earlierCreatedChild_10 == undefined) {
                    View.create(new itemcomponent_1.default("10", this, {
                        title: this.__startTitle,
                        value: this.mViewModel.startTimeClue,
                        arrow: this.__arrow
                    }));
                }
                else {
                    earlierCreatedChild_10.updateWithValueParams({
                        value: this.mViewModel.startTimeClue
                    });
                    View.create(earlierCreatedChild_10);
                }
                Row.pop();
                ListItem.pop();
                List.pop();
                List.create();
                List.divider({
                    strokeWidth: 1,
                    color: { "id": 50331694, "type": 10001, params: [] },
                    startMargin: { "id": 50331735, "type": 10002, params: [] },
                    endMargin: { "id": 50331737, "type": 10002, params: [] }
                });
                List.width(constants_1.default.WH_100_100);
                List.visibility(Visibility.Visible);
                List.zIndex(0);
                List.border({ width: { "id": 50331728, "type": 10002, params: [] }, color: Color.White, radius: { "id": 50331727, "type": 10002, params: [] } });
                List.backgroundColor(Color.White);
                List.margin({ bottom: { "id": 50331744, "type": 10002, params: [] } });
                List.flexShrink(1);
                ListItem.create();
                Row.create();
                Row.onClick(() => {
                    this.endDateDialogController.open();
                });
                let earlierCreatedChild_11 = this.findChildById("11");
                if (earlierCreatedChild_11 == undefined) {
                    View.create(new itemcomponent_1.default("11", this, {
                        title: this.__endDateTitle,
                        value: this.mViewModel.endDateClue,
                        arrow: this.__arrow
                    }));
                }
                else {
                    earlierCreatedChild_11.updateWithValueParams({
                        value: this.mViewModel.endDateClue
                    });
                    View.create(earlierCreatedChild_11);
                }
                Row.pop();
                ListItem.pop();
                ListItem.create();
                Row.create();
                Row.onClick(() => {
                    this.endTimeDialogController.open();
                });
                let earlierCreatedChild_12 = this.findChildById("12");
                if (earlierCreatedChild_12 == undefined) {
                    View.create(new itemcomponent_1.default("12", this, {
                        title: this.__endTitle,
                        value: this.mViewModel.endTimeClue,
                        arrow: this.__arrow
                    }));
                }
                else {
                    earlierCreatedChild_12.updateWithValueParams({
                        value: this.mViewModel.endTimeClue
                    });
                    View.create(earlierCreatedChild_12);
                }
                Row.pop();
                ListItem.pop();
                List.pop();
            }
            else {
                If.branchId(1);
                Row.create();
                Row.onClick(() => {
                    this.mPrevData = this.mViewModel.startTime;
                    this.startTimeDialogController.open();
                });
                Row.margin({ bottom: { "id": 50331744, "type": 10002, params: [] } });
                let earlierCreatedChild_13 = this.findChildById("13");
                if (earlierCreatedChild_13 == undefined) {
                    View.create(new itemcomponent_1.default("13", this, {
                        title: this.__startTitle,
                        value: this.mViewModel.startTimeClue,
                        arrow: this.__arrow
                    }));
                }
                else {
                    earlierCreatedChild_13.updateWithValueParams({
                        value: this.mViewModel.startTimeClue
                    });
                    View.create(earlierCreatedChild_13);
                }
                Row.pop();
                Row.create();
                Row.onClick(() => {
                    this.mPrevData = this.mViewModel.endTime;
                    this.endTimeDialogController.open();
                });
                Row.margin({ bottom: { "id": 50331744, "type": 10002, params: [] } });
                let earlierCreatedChild_14 = this.findChildById("14");
                if (earlierCreatedChild_14 == undefined) {
                    View.create(new itemcomponent_1.default("14", this, {
                        title: this.__endTitle,
                        value: this.mViewModel.endTimeClue,
                        arrow: this.__arrow
                    }));
                }
                else {
                    earlierCreatedChild_14.updateWithValueParams({
                        value: this.mViewModel.endTimeClue
                    });
                    View.create(earlierCreatedChild_14);
                }
                Row.pop();
            }
            If.pop();
        }
        If.pop();
        Column.pop();
        Row.pop();
        GridContainer.pop();
        Column.pop();
        Flex.pop();
    }
    setRepeatMode(data) {
        this.mViewModel.onRepeatModeAccect(data);
        this.mRefreshCnt++;
    }
    setStartDate(data) {
        let dataSource = this.mViewModel.setDateIntoDateTime(this.mViewModel.defaultStartTime, data);
        this.mViewModel.onStartTimeAccept(dataSource);
        this.mRefreshCnt++;
    }
    setStartTime(data) {
        let dataSource = data;
        if (this.mViewModel.repeatMode == constants_2.DoNotDisturbType.TYPE_CLEARLY) {
            dataSource = this.mViewModel.setTimeIntoDateTime(this.mViewModel.defaultStartTime, data);
        }
        else if (this.mViewModel.repeatMode == constants_2.DoNotDisturbType.TYPE_NONE) {
            dataSource = this.mPrevData;
        }
        this.mViewModel.onStartTimeAccept(dataSource);
        this.mRefreshCnt++;
    }
    setEndDate(data) {
        let dataSource = this.mViewModel.setDateIntoDateTime(this.mViewModel.defaultEndTime, data);
        this.mViewModel.onEndTimeAccept(dataSource);
        this.mRefreshCnt++;
    }
    setEndTime(data) {
        let dataSource = data;
        if (this.mViewModel.repeatMode == constants_2.DoNotDisturbType.TYPE_CLEARLY) {
            dataSource = this.mViewModel.setTimeIntoDateTime(this.mViewModel.defaultEndTime, data);
        }
        else if (this.mViewModel.repeatMode == constants_2.DoNotDisturbType.TYPE_NONE) {
            dataSource = this.mPrevData;
        }
        this.mViewModel.onEndTimeAccept(dataSource);
        this.mRefreshCnt++;
    }
    aboutToAppear() {
        log_1.default.showInfo(TAG, `aboutToAppear`);
        this.mViewModel.ViewModelInit();
        this.mRefreshCnt++;
    }
    onBackPress() {
        log_1.default.showInfo(TAG, `onBackPress`);
        Router.back();
    }
}
exports["default"] = NoDisturb;
class DateDialog extends View {
    constructor(compilerAssignedUniqueChildId, parent, params) {
        super(compilerAssignedUniqueChildId, parent);
        this.controller = undefined;
        this.action = undefined;
        this.selectedDate = '';
        this.title = '';
        this.defaultDate = new Date();
        this.minDate = new Date('2008-01-01');
        this.maxDate = new Date('2037-12-31');
        this.updateWithValueParams(params);
    }
    updateWithValueParams(params) {
        if (params.controller !== undefined) {
            this.controller = params.controller;
        }
        if (params.action !== undefined) {
            this.action = params.action;
        }
        if (params.selectedDate !== undefined) {
            this.selectedDate = params.selectedDate;
        }
        if (params.title !== undefined) {
            this.title = params.title;
        }
        if (params.defaultDate !== undefined) {
            this.defaultDate = params.defaultDate;
        }
        if (params.minDate !== undefined) {
            this.minDate = params.minDate;
        }
        if (params.maxDate !== undefined) {
            this.maxDate = params.maxDate;
        }
    }
    aboutToBeDeleted() {
        SubscriberManager.Get().delete(this.id());
    }
    setController(ctr) {
        this.controller = ctr;
    }
    render() {
        Column.create();
        Column.height({ "id": 50331783, "type": 10002, params: [] });
        Column.width(constants_1.default.WH_100_100);
        Column.create();
        Text.create(this.title);
        Text.height({ "id": 50331731, "type": 10002, params: [] });
        Text.width(constants_1.default.WH_100_100);
        Text.textAlign(TextAlign.Center);
        Text.fontSize({ "id": 50331730, "type": 10002, params: [] });
        Text.fontWeight(FontWeight.Medium);
        Text.pop();
        DatePicker.create({ start: this.minDate, end: this.maxDate, selected: this.defaultDate });
        DatePicker.onChange((date) => {
            let dateSource = new Date(date.year, date.month, date.day);
            this.selectedDate = nodisturbingmodel_1.default.formatDate(dateSource);
        });
        DatePicker.width(constants_1.default.WH_100_100);
        DatePicker.height({ "id": 50331782, "type": 10002, params: [] });
        DatePicker.pop();
        Column.pop();
        Row.create();
        Row.width(constants_1.default.WH_100_100);
        Row.margin({ top: { "id": 50331750, "type": 10002, params: [] }, bottom: { "id": 50331750, "type": 10002, params: [] } });
        Column.create();
        Column.onClick(() => {
            this.controller.close();
        });
        Column.alignItems(HorizontalAlign.Center);
        Column.width(constants_1.default.WH_50_100);
        Text.create({ "id": 50331660, "type": 10003, params: [] });
        Text.fontSize({ "id": 50331729, "type": 10002, params: [] });
        Text.fontColor(Color.Blue);
        Text.pop();
        Column.pop();
        Divider.create();
        Divider.vertical(true);
        Divider.color({ "id": 50331694, "type": 10001, params: [] });
        Divider.strokeWidth(1);
        Divider.height({ "id": 50331734, "type": 10002, params: [] });
        Column.create();
        Column.onClick(() => {
            log_1.default.showInfo(TAG, `confirm button of DateDialog on click`);
            this.controller.close();
            if (this.selectedDate != '') {
                this.action(this.selectedDate);
            }
        });
        Column.alignItems(HorizontalAlign.Center);
        Column.width(constants_1.default.WH_50_100);
        Text.create({ "id": 50331661, "type": 10003, params: [] });
        Text.fontSize({ "id": 50331729, "type": 10002, params: [] });
        Text.fontColor(Color.Blue);
        Text.pop();
        Column.pop();
        Row.pop();
        Column.pop();
    }
}
class TimeDialog extends View {
    constructor(compilerAssignedUniqueChildId, parent, params) {
        super(compilerAssignedUniqueChildId, parent);
        this.controller = undefined;
        this.action = undefined;
        this.selectedTime = '';
        this.title = '';
        this.defaultDate = new Date();
        this.updateWithValueParams(params);
    }
    updateWithValueParams(params) {
        if (params.controller !== undefined) {
            this.controller = params.controller;
        }
        if (params.action !== undefined) {
            this.action = params.action;
        }
        if (params.selectedTime !== undefined) {
            this.selectedTime = params.selectedTime;
        }
        if (params.title !== undefined) {
            this.title = params.title;
        }
        if (params.defaultDate !== undefined) {
            this.defaultDate = params.defaultDate;
        }
    }
    aboutToBeDeleted() {
        SubscriberManager.Get().delete(this.id());
    }
    setController(ctr) {
        this.controller = ctr;
    }
    render() {
        Column.create();
        Column.height({ "id": 50331783, "type": 10002, params: [] });
        Column.width(constants_1.default.WH_100_100);
        Column.create();
        Text.create(this.title);
        Text.height({ "id": 50331731, "type": 10002, params: [] });
        Text.width(constants_1.default.WH_100_100);
        Text.textAlign(TextAlign.Center);
        Text.fontSize({ "id": 50331730, "type": 10002, params: [] });
        Text.fontWeight(FontWeight.Medium);
        Text.pop();
        TimePicker.create({ selected: this.defaultDate, });
        TimePicker.useMilitaryTime(false);
        TimePicker.onChange((date) => {
            this.selectedTime = timemanager_1.concatTime(date.hour, date.minute);
        });
        TimePicker.width(constants_1.default.WH_100_100);
        TimePicker.height({ "id": 50331782, "type": 10002, params: [] });
        TimePicker.pop();
        Column.pop();
        Row.create();
        Row.width(constants_1.default.WH_100_100);
        Row.margin({ top: { "id": 50331750, "type": 10002, params: [] }, bottom: { "id": 50331750, "type": 10002, params: [] } });
        Column.create();
        Column.onClick(() => {
            this.controller.close();
        });
        Column.alignItems(HorizontalAlign.Center);
        Column.width(constants_1.default.WH_50_100);
        Text.create({ "id": 50331660, "type": 10003, params: [] });
        Text.fontSize({ "id": 50331729, "type": 10002, params: [] });
        Text.fontColor(Color.Blue);
        Text.pop();
        Column.pop();
        Divider.create();
        Divider.vertical(true);
        Divider.color({ "id": 50331694, "type": 10001, params: [] });
        Divider.strokeWidth(1);
        Divider.height({ "id": 50331734, "type": 10002, params: [] });
        Column.create();
        Column.onClick(() => {
            log_1.default.showInfo(TAG, `confirm button of TimeDialog on click`);
            this.controller.close();
            if (this.selectedTime != '') {
                this.action(this.selectedTime);
            }
        });
        Column.alignItems(HorizontalAlign.Center);
        Column.width(constants_1.default.WH_50_100);
        Text.create({ "id": 50331661, "type": 10003, params: [] });
        Text.fontSize({ "id": 50331729, "type": 10002, params: [] });
        Text.fontColor(Color.Blue);
        Text.pop();
        Column.pop();
        Row.pop();
        Column.pop();
    }
}
class RepeatModeDialog extends View {
    constructor(compilerAssignedUniqueChildId, parent, params) {
        super(compilerAssignedUniqueChildId, parent);
        this.controller = undefined;
        this.action = undefined;
        this.title = '';
        this.prevModeSetCnt = 0;
        this.__selectMode = new ObservedPropertySimple(constants_2.DoNotDisturbType.TYPE_NONE, this, "selectMode");
        this.itSelectedBefore = -1;
        this.updateWithValueParams(params);
    }
    updateWithValueParams(params) {
        if (params.controller !== undefined) {
            this.controller = params.controller;
        }
        if (params.action !== undefined) {
            this.action = params.action;
        }
        if (params.title !== undefined) {
            this.title = params.title;
        }
        if (params.prevModeSetCnt !== undefined) {
            this.prevModeSetCnt = params.prevModeSetCnt;
        }
        if (params.selectMode !== undefined) {
            this.selectMode = params.selectMode;
        }
        if (params.itSelectedBefore !== undefined) {
            this.itSelectedBefore = params.itSelectedBefore;
        }
    }
    aboutToBeDeleted() {
        this.__selectMode.aboutToBeDeleted();
        SubscriberManager.Get().delete(this.id());
    }
    setController(ctr) {
        this.controller = ctr;
    }
    get selectMode() {
        return this.__selectMode.get();
    }
    set selectMode(newValue) {
        this.__selectMode.set(newValue);
    }
    render() {
        Column.create();
        Column.height({ "id": 50331773, "type": 10002, params: [] });
        Column.width(constants_1.default.WH_100_100);
        Column.create();
        Text.create(this.title);
        Text.height({ "id": 50331731, "type": 10002, params: [] });
        Text.width(constants_1.default.WH_100_100);
        Text.textAlign(TextAlign.Center);
        Text.fontSize({ "id": 50331730, "type": 10002, params: [] });
        Text.fontWeight(FontWeight.Medium);
        Text.pop();
        Row.create();
        Text.create({ "id": 50331671, "type": 10003, params: [] });
        Text.fontSize({ "id": 50331772, "type": 10002, params: [] });
        Text.fontColor(Color.Black);
        Text.width(constants_1.default.WH_70_100);
        Text.textAlign(TextAlign.Start);
        Text.align(Alignment.Start);
        Text.pop();
        Radio.create({ value: '' + constants_2.DoNotDisturbType.TYPE_NONE, group: GROUP_REPEAT_MODE });
        Radio.checked(this.selectMode == constants_2.DoNotDisturbType.TYPE_NONE);
        Radio.align(Alignment.End);
        Radio.width({ "id": 50331784, "type": 10002, params: [] });
        Radio.height({ "id": 50331784, "type": 10002, params: [] });
        Radio.onClick(() => {
            if (this.prevModeSetCnt == 0) {
                this.itSelectedBefore = this.selectMode;
            }
            this.prevModeSetCnt++;
            this.selectMode = constants_2.DoNotDisturbType.TYPE_NONE;
        });
        Row.pop();
        Row.create();
        Text.create({ "id": 50331672, "type": 10003, params: [] });
        Text.fontSize({ "id": 50331772, "type": 10002, params: [] });
        Text.fontColor(Color.Black);
        Text.width(constants_1.default.WH_70_100);
        Text.textAlign(TextAlign.Start);
        Text.align(Alignment.Start);
        Text.pop();
        Radio.create({ value: '' + constants_2.DoNotDisturbType.TYPE_ONCE, group: GROUP_REPEAT_MODE });
        Radio.checked(this.selectMode == constants_2.DoNotDisturbType.TYPE_ONCE);
        Radio.align(Alignment.End);
        Radio.width({ "id": 50331784, "type": 10002, params: [] });
        Radio.height({ "id": 50331784, "type": 10002, params: [] });
        Radio.onClick(() => {
            if (this.prevModeSetCnt == 0) {
                this.itSelectedBefore = this.selectMode;
            }
            this.prevModeSetCnt++;
            this.selectMode = constants_2.DoNotDisturbType.TYPE_ONCE;
        });
        Row.pop();
        Row.create();
        Text.create({ "id": 50331668, "type": 10003, params: [] });
        Text.fontSize({ "id": 50331772, "type": 10002, params: [] });
        Text.fontColor(Color.Black);
        Text.width(constants_1.default.WH_70_100);
        Text.textAlign(TextAlign.Start);
        Text.align(Alignment.Start);
        Text.pop();
        Radio.create({ value: '' + constants_2.DoNotDisturbType.TYPE_DAILY, group: GROUP_REPEAT_MODE });
        Radio.checked(this.selectMode == constants_2.DoNotDisturbType.TYPE_DAILY);
        Radio.align(Alignment.End);
        Radio.width({ "id": 50331784, "type": 10002, params: [] });
        Radio.height({ "id": 50331784, "type": 10002, params: [] });
        Radio.onClick(() => {
            if (this.prevModeSetCnt == 0) {
                this.itSelectedBefore = this.selectMode;
            }
            this.prevModeSetCnt++;
            this.selectMode = constants_2.DoNotDisturbType.TYPE_DAILY;
        });
        Row.pop();
        Row.create();
        Text.create({ "id": 50331665, "type": 10003, params: [] });
        Text.fontSize({ "id": 50331772, "type": 10002, params: [] });
        Text.fontColor(Color.Black);
        Text.width(constants_1.default.WH_70_100);
        Text.textAlign(TextAlign.Start);
        Text.align(Alignment.Start);
        Text.pop();
        Radio.create({ value: '' + constants_2.DoNotDisturbType.TYPE_CLEARLY, group: GROUP_REPEAT_MODE });
        Radio.checked(this.selectMode == constants_2.DoNotDisturbType.TYPE_CLEARLY);
        Radio.align(Alignment.End);
        Radio.width({ "id": 50331784, "type": 10002, params: [] });
        Radio.height({ "id": 50331784, "type": 10002, params: [] });
        Radio.onClick(() => {
            if (this.prevModeSetCnt == 0) {
                this.itSelectedBefore = this.selectMode;
            }
            this.prevModeSetCnt++;
            this.selectMode = constants_2.DoNotDisturbType.TYPE_CLEARLY;
        });
        Row.pop();
        Column.pop();
        Row.create();
        Row.width(constants_1.default.WH_100_100);
        Row.margin({ top: { "id": 50331750, "type": 10002, params: [] }, bottom: { "id": 50331750, "type": 10002, params: [] } });
        Column.create();
        Column.onClick(() => {
            this.controller.close();
        });
        Column.alignItems(HorizontalAlign.Center);
        Column.width(constants_1.default.WH_50_100);
        Text.create({ "id": 50331660, "type": 10003, params: [] });
        Text.fontSize({ "id": 50331729, "type": 10002, params: [] });
        Text.fontColor({ "id": 50331695, "type": 10001, params: [] });
        Text.pop();
        Column.pop();
        Divider.create();
        Divider.vertical(true);
        Divider.color({ "id": 50331694, "type": 10001, params: [] });
        Divider.strokeWidth(1);
        Divider.height({ "id": 50331734, "type": 10002, params: [] });
        Column.create();
        Column.onClick(() => {
            log_1.default.showInfo(TAG, `confirm button of TimeDialog on click`);
            this.controller.close();
            if (this.itSelectedBefore != -1 && this.itSelectedBefore != this.selectMode) {
                this.action(this.selectMode);
            }
        });
        Column.alignItems(HorizontalAlign.Center);
        Column.width(constants_1.default.WH_50_100);
        Text.create({ "id": 50331661, "type": 10003, params: [] });
        Text.fontSize({ "id": 50331729, "type": 10002, params: [] });
        Text.fontColor({ "id": 50331695, "type": 10001, params: [] });
        Text.pop();
        Column.pop();
        Row.pop();
        Column.pop();
    }
}
loadDocument(new NoDisturb("1", undefined, {}));


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\product\\default\\notificationmanagement\\src\\main\\ets\\vm\\nodisturbviewmodel.ts":
/*!*****************************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\product\default\notificationmanagement\src\main\ets\vm\nodisturbviewmodel.ts ***!
  \*****************************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
__webpack_require__(/*! ../common/constants */ "D:\\code\\release\\my\\applications_systemui\\product\\default\\notificationmanagement\\src\\main\\ets\\common\\constants.ts");
const log_1 = __importDefault(__webpack_require__(/*! ../../../../../../../common/src/main/ets/default/log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\log.ts"));
const nodisturbingmodel_1 = __importDefault(__webpack_require__(/*! ../../../../../../../features/managementcomponent/src/main/ets/com/ohos/model/nodisturbingmodel */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\model\\nodisturbingmodel.ts"));
const nodisturbcomponentviewmodel_1 = __importDefault(__webpack_require__(/*! ../../../../../../../features/managementcomponent/src/main/ets/com/ohos/vm/nodisturbcomponentviewmodel */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\vm\\nodisturbcomponentviewmodel.ts"));
const constants_1 = __importStar(__webpack_require__(/*! ../../../../../../../features/managementcomponent/src/main/ets/com/ohos/common/constants */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\common\\constants.ts"));
const TAG = 'NotificationManagement-NoDisturbViewModel';
const CONST_DAY_LENGTH = 24 * 3600 * 1000;
class NoDisturbViewModel extends nodisturbcomponentviewmodel_1.default {
    constructor() {
        super(...arguments);
        this.startDateClue = '';
        this.startTimeClue = '';
        this.endDateClue = '';
        this.endTimeClue = '';
    }
    ViewModelInit() {
        log_1.default.showInfo(TAG, 'ViewModelInit');
        this.getNextDayLabel();
        this.getNoDisturbingDate.bind(this)();
    }
    getNoDisturbingDate() {
        log_1.default.showInfo(TAG, 'getNoDisturbingDate');
        nodisturbingmodel_1.default.getNoDisturbingDate((data) => {
            log_1.default.showInfo(TAG, 'getNoDisturbingDate data:' + JSON.stringify(data));
            this.repeatMode = data.type;
            this.startTime = data.begin;
            this.endTime = data.end;
            log_1.default.showInfo(TAG, `getNoDisturbingDate this.repeatMode : ${this.repeatMode}`);
            log_1.default.showInfo(TAG, `getNoDisturbingDate this.startTime : ${this.startTime}`);
            log_1.default.showInfo(TAG, `getNoDisturbingDate this.endTime : ${this.endTime}`);
            this.setClues.bind(this)();
        });
    }
    setClues() {
        log_1.default.showInfo(TAG, `setClues`);
        if (this.repeatMode == constants_1.DoNotDisturbType.TYPE_DAILY ||
            this.repeatMode == constants_1.DoNotDisturbType.TYPE_ONCE ||
            this.repeatMode == constants_1.DoNotDisturbType.TYPE_CLEARLY) {
            this.isEffective = true;
        }
        else {
            this.isEffective = false;
        }
        let tmpStartDateTime = null;
        let tmpEndDateTime = null;
        if (this.repeatMode == constants_1.DoNotDisturbType.TYPE_CLEARLY) {
            tmpStartDateTime = this.getDateByDateTime(this.startTime);
            tmpEndDateTime = this.getDateByDateTime(this.endTime);
            this.startDateClue = this.getDateLabel(this.startTime);
            this.startTimeClue = nodisturbingmodel_1.default.formatTime(tmpStartDateTime);
            this.endDateClue = this.getDateLabel(this.endTime);
            this.endTimeClue = nodisturbingmodel_1.default.formatTime(tmpEndDateTime);
        }
        else {
            tmpStartDateTime = this.getDateByHHMI(this.startTime);
            tmpEndDateTime = this.getDateByHHMI(this.endTime);
            this.startDateClue = '';
            this.startTimeClue = this.startTime;
            this.endDateClue = '';
            if (tmpStartDateTime.getTime() >= tmpEndDateTime.getTime()) {
                this.endTimeClue = this.nextDayLabel + this.endTime;
            }
            else {
                this.endTimeClue = this.endTime;
            }
        }
        this.defaultStartTime = tmpStartDateTime;
        this.defaultEndTime = tmpEndDateTime;
        this.repeatName = this.refreshRepeatName(this.repeatMode);
    }
    onStartTimeAccept(data) {
        log_1.default.showInfo(TAG, `onStartTimeAccept`);
        this.startTime = data;
        if (this.repeatMode == constants_1.DoNotDisturbType.TYPE_CLEARLY) {
            let tmpDateTime = this.getDateByDateTime(this.startTime);
            if (this.defaultEndTime.getTime() < tmpDateTime.getTime()) {
                this.startTime = this.endTime;
            }
        }
        this.setClues();
        this.setNoDisturbingDate();
    }
    onEndTimeAccept(data) {
        log_1.default.showInfo(TAG, `onEndTimeAccept`);
        this.endTime = data;
        if (this.repeatMode == constants_1.DoNotDisturbType.TYPE_CLEARLY) {
            let tmpDateTime = this.getDateByDateTime(this.endTime);
            if (tmpDateTime.getTime() < this.defaultStartTime.getTime()) {
                this.endTime = this.startTime;
            }
        }
        this.setClues();
        this.setNoDisturbingDate();
    }
    onRepeatModeAccect(data) {
        log_1.default.showInfo(TAG, `onRepeatModeAccect`);
        this.repeatMode = data;
        if (this.repeatMode == constants_1.DoNotDisturbType.TYPE_CLEARLY) {
            let dateSource = new Date();
            this.startTime = nodisturbingmodel_1.default.formatDate(dateSource) + ' ' + constants_1.default.TIME_EMPTY;
            this.endTime = nodisturbingmodel_1.default.formatDate(new Date(dateSource.getTime() + CONST_DAY_LENGTH)) + ' ' + constants_1.default.TIME_EMPTY;
        }
        else {
            this.startTime = constants_1.default.TIME_EMPTY;
            this.endTime = constants_1.default.TIME_EMPTY;
        }
        this.setClues();
        this.setNoDisturbingDate();
    }
    setDateIntoDateTime(dateSource, inputData) {
        let result = inputData + ' ' + nodisturbingmodel_1.default.formatTime(dateSource);
        return result;
    }
    setTimeIntoDateTime(dateSource, inputData) {
        let result = nodisturbingmodel_1.default.formatDate(dateSource) + ' ' + inputData;
        return result;
    }
    onCancel() {
        log_1.default.showInfo(TAG, `onCancel`);
    }
}
exports["default"] = NoDisturbViewModel;


/***/ }),

/***/ "../../api/ability/dataAbilityHelper.d.ts":
/*!************************************************!*\
  !*** ../../api/ability/dataAbilityHelper.d.ts ***!
  \************************************************/
/***/ (() => {



/***/ }),

/***/ "../../api/application/ServiceExtensionContext.d.ts":
/*!**********************************************************!*\
  !*** ../../api/application/ServiceExtensionContext.d.ts ***!
  \**********************************************************/
/***/ (() => {



/***/ }),

/***/ "../../api/commonEvent/commonEventData.d.ts":
/*!**************************************************!*\
  !*** ../../api/commonEvent/commonEventData.d.ts ***!
  \**************************************************/
/***/ (() => {



/***/ }),

/***/ "../../api/commonEvent/commonEventSubscriber.d.ts":
/*!********************************************************!*\
  !*** ../../api/commonEvent/commonEventSubscriber.d.ts ***!
  \********************************************************/
/***/ (() => {



/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		var commonCachedModule = globalThis["__common_module_cache__"] ? globalThis["__common_module_cache__"][moduleId]: null;
/******/ 		if (commonCachedModule) { return commonCachedModule.exports; }
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		if (globalThis["__common_module_cache__"] && moduleId.indexOf("?name=") < 0 && Object.keys(globalThis["__common_module_cache__"]).indexOf(moduleId) >= 0) {
/******/ 		  globalThis["__common_module_cache__"][moduleId] = module;
/******/ 		}
/******/ 		__webpack_modules__[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	
/******/ 	// startup
/******/ 	// Load entry module and return exports
/******/ 	// This entry module is referenced by other modules so it can't be inlined
/******/ 	var __webpack_exports__ = __webpack_require__("D:\\code\\release\\my\\applications_systemui\\product\\default\\notificationmanagement\\src\\main\\ets\\pages\\noDisturb.ets?entry");
/******/ 	
/******/ })()
;
//# sourceMappingURL=noDisturb.js.map