/******/ (() => { // webpackBootstrap
/******/ 	var __webpack_modules__ = ({

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Decorators.ts":
/*!******************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\Decorators.ts ***!
  \******************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

/*
 * Copyright (c) 2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.throttle = exports.debounce = void 0;
const Log_1 = __importDefault(__webpack_require__(/*! ./Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const TAG = "Decorators";
function debounce(timeout) {
    return function inner(target, propKey, descriptor) {
        let curFunc = 0;
        const original = descriptor.value;
        descriptor.value = function (...args) {
            Log_1.default.showInfo(TAG, `debounce invoke ${propKey} curFunc: ${curFunc}`);
            curFunc && clearTimeout(curFunc);
            curFunc = setTimeout(() => original.call(this, ...args), timeout);
        };
    };
}
exports.debounce = debounce;
function throttle(waitTime) {
    return function inner(target, propKey, descriptor) {
        let lastTime = 0;
        const original = descriptor.value;
        descriptor.value = function (...args) {
            let curTime = Date.now();
            Log_1.default.showInfo(TAG, `throttle invoke ${propKey} timeInterval: ${curTime - lastTime}`);
            if (curTime - lastTime >= waitTime) {
                original.call(this, ...args);
                lastTime = curTime;
            }
        };
    };
}
exports.throttle = throttle;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts":
/*!***********************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\Log.ts ***!
  \***********************************************************************************/
/***/ ((__unused_webpack_module, exports) => {

"use strict";

/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.filterKey = void 0;
const TAG = "SystemUI_Default";
const FILTER_KEYS = [
    new RegExp('hide', "gi")
];
function filterKey(target, propKey, descriptor) {
    const original = descriptor.value;
    descriptor.value = function (...args) {
        let filterResult = args.map((str) => {
            let tempStr = str;
            FILTER_KEYS.forEach((filterKey) => tempStr = tempStr.replace(filterKey, "**"));
            return tempStr;
        });
        const result = original.call(this, ...filterResult);
        return result;
    };
}
exports.filterKey = filterKey;
/**
 * Basic log class
 */
class Log {
    /**
     * print info level log
     *
     * @param {string} tag - Page or class tag
     * @param {string} log - Log needs to be printed
     */
    static showInfo(tag, log) {
        console.info(`${TAG} tag: ${tag} --> ${log}`);
    }
    /**
     * print debug level log
     *
     * @param {string} tag - Page or class tag
     * @param {string} log - Log needs to be printed
     */
    static showDebug(tag, log) {
        console.debug(`${TAG} tag: ${tag} --> ${log}`);
    }
    /**
     * print error level log
     *
     * @param {string} tag - Page or class tag
     * @param {string} log - Log needs to be printed
     */
    static showError(tag, log) {
        console.error(`${TAG} tag: ${tag} --> ${log}`);
    }
}
exports["default"] = Log;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\ResourceUtil.ts":
/*!********************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\ResourceUtil.ts ***!
  \********************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.ResourceUtil = void 0;
/**
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
const abilityManager_1 = __importDefault(__webpack_require__(/*! ./abilitymanager/abilityManager */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\abilitymanager\\abilityManager.ts"));
/**
 * Resource util
 */
class ResourceUtil {
    /**
     * Initialize ResourceManager
     */
    async initResourceManager() {
        if (!this.resMgr) {
            let context = abilityManager_1.default.getContext();
            this.resMgr = await context.resourceManager;
        }
        return this.resMgr;
    }
    /**
     * Get string value from NormalResource instance
     *
     * @param resource - NormalResource instance
     */
    async getString(resource) {
        await this.initResourceManager();
        return await this.resMgr.getString(resource.id);
    }
    /**
     * Get direction value from NormalResource instance
     *
     * @param resource - NormalResource instance
     */
    async getConfiguration() {
        await this.initResourceManager();
        return await this.resMgr.getConfiguration();
    }
}
exports.ResourceUtil = ResourceUtil;
let resourceUtil = new ResourceUtil();
exports["default"] = resourceUtil;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\ScreenLockManager.ts":
/*!*************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\ScreenLockManager.ts ***!
  \*************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

/*
 * Copyright (c) 2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.SCREEN_CHANGE_EVENT = void 0;
var commonEvent = globalThis.requireNapi('commonEvent') || (isSystemplugin('commonEvent', 'ohos') ? globalThis.ohosplugin.commonEvent : isSystemplugin('commonEvent', 'system') ? globalThis.systemplugin.commonEvent : undefined);
__webpack_require__(/*! commonEvent/commonEventSubscriber */ "../../api/commonEvent/commonEventSubscriber.d.ts");
const SingleInstanceHelper_1 = __importDefault(__webpack_require__(/*! ./SingleInstanceHelper */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\SingleInstanceHelper.ts"));
const EventManager_1 = __importDefault(__webpack_require__(/*! ./event/EventManager */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\event\\EventManager.ts"));
const Log_1 = __importDefault(__webpack_require__(/*! ./Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const EventUtil_1 = __webpack_require__(/*! ./event/EventUtil */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\event\\EventUtil.ts");
const Decorators_1 = __webpack_require__(/*! ./Decorators */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Decorators.ts");
exports.SCREEN_CHANGE_EVENT = "screenChangeEvent";
const TAG = "ScreenLockManager";
const SCREEN_COMMON_EVENT_INFO = {
    events: [commonEvent.Support.COMMON_EVENT_SCREEN_OFF, commonEvent.Support.COMMON_EVENT_SCREEN_ON],
};
const debounceTimeout = 500;
class ScreenLockManager {
    async init() {
        this.mSubscriber = await commonEvent.createSubscriber(SCREEN_COMMON_EVENT_INFO);
        commonEvent.subscribe(this.mSubscriber, (err, data) => {
            if (err.code != 0) {
                Log_1.default.showError(TAG, `Can't handle screen change, err: ${JSON.stringify(err)}`);
                return;
            }
            Log_1.default.showDebug(TAG, `screenChange, err: ${JSON.stringify(err)} data: ${JSON.stringify(data)}`);
            switch (data.event) {
                case commonEvent.Support.COMMON_EVENT_SCREEN_OFF:
                    this.notifyScreenEvent(false);
                    break;
                case commonEvent.Support.COMMON_EVENT_SCREEN_ON:
                    this.notifyScreenEvent(true);
                    break;
                default:
                    Log_1.default.showError(TAG, `unknow event`);
            }
        });
    }
    notifyScreenEvent(isScreenOn) {
        EventManager_1.default.publish(EventUtil_1.obtainLocalEvent(exports.SCREEN_CHANGE_EVENT, isScreenOn));
        Log_1.default.showDebug(TAG, `publish ${exports.SCREEN_CHANGE_EVENT} screenState: ${isScreenOn}`);
    }
}
__decorate([
    Decorators_1.debounce(debounceTimeout)
], ScreenLockManager.prototype, "notifyScreenEvent", null);
let sScreenLockManager = SingleInstanceHelper_1.default(ScreenLockManager, TAG);
exports["default"] = sScreenLockManager;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\SingleInstanceHelper.ts":
/*!****************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\SingleInstanceHelper.ts ***!
  \****************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

/**
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.getAudioManager = void 0;
const Log_1 = __importDefault(__webpack_require__(/*! ./Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
var audio = globalThis.requireNapi('multimedia.audio') || (isSystemplugin('multimedia.audio', 'ohos') ? globalThis.ohosplugin.multimedia.audio : isSystemplugin('multimedia.audio', 'system') ? globalThis.systemplugin.multimedia.audio : undefined);
const TAG = "SingleInstanceHelper";
const AUDIO_MANAGER_KEY = 'MultiMediaAudioManager';
function createOrGet(objectClass, storageKey) {
    if (!globalThis[storageKey]) {
        globalThis[storageKey] = new objectClass();
        Log_1.default.showInfo(TAG, `Create key of ${storageKey}`);
    }
    return globalThis[storageKey];
}
exports["default"] = createOrGet;
function getAudioManager() {
    if (!globalThis[AUDIO_MANAGER_KEY]) {
        globalThis[AUDIO_MANAGER_KEY] = audio.getAudioManager();
        Log_1.default.showInfo(TAG, `Create Audio Manager.`);
    }
    return globalThis[AUDIO_MANAGER_KEY];
}
exports.getAudioManager = getAudioManager;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\TimeManager.ts":
/*!*******************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\TimeManager.ts ***!
  \*******************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

/**
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.concatTime = exports.TIME_CHANGE_EVENT = void 0;
var settings = globalThis.requireNapi('settings') || (isSystemplugin('settings', 'ohos') ? globalThis.ohosplugin.settings : isSystemplugin('settings', 'system') ? globalThis.systemplugin.settings : undefined);
var commonEvent = globalThis.requireNapi('commonEvent') || (isSystemplugin('commonEvent', 'ohos') ? globalThis.ohosplugin.commonEvent : isSystemplugin('commonEvent', 'system') ? globalThis.systemplugin.commonEvent : undefined);
var featureAbility = globalThis.requireNapi('ability.featureAbility') || (isSystemplugin('ability.featureAbility', 'ohos') ? globalThis.ohosplugin.ability.featureAbility : isSystemplugin('ability.featureAbility', 'system') ? globalThis.systemplugin.ability.featureAbility : undefined);
__webpack_require__(/*! ability/dataAbilityHelper */ "../../api/ability/dataAbilityHelper.d.ts");
const Log_1 = __importDefault(__webpack_require__(/*! ./Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const EventManager_1 = __importDefault(__webpack_require__(/*! ./event/EventManager */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\event\\EventManager.ts"));
const SingleInstanceHelper_1 = __importDefault(__webpack_require__(/*! ./SingleInstanceHelper */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\SingleInstanceHelper.ts"));
const EventUtil_1 = __webpack_require__(/*! ./event/EventUtil */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\event\\EventUtil.ts");
const CommonEventManager_1 = __webpack_require__(/*! ./commonEvent/CommonEventManager */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\commonEvent\\CommonEventManager.ts");
exports.TIME_CHANGE_EVENT = "Time_Change_Event";
const TAG = "TimeManager";
const URI_VAR = "dataability:///com.ohos.settingsdata.DataAbility";
const TIME_FORMAT_KEY = settings.date.TIME_FORMAT;
const TIME_SUBSCRIBE_INFO = {
    events: [
        commonEvent.Support.COMMON_EVENT_TIME_CHANGED,
        commonEvent.Support.COMMON_EVENT_TIMEZONE_CHANGED,
        commonEvent.Support.COMMON_EVENT_TIME_TICK,
    ],
};
function fill(value) {
    return (value > 9 ? "" : "0") + value;
}
function concatTime(h, m) {
    return `${fill(h)}:${fill(m)}`;
}
exports.concatTime = concatTime;
class TimeManager {
    constructor() {
        this.mUse24hFormat = false;
    }
    init(context) {
        this.mManager = CommonEventManager_1.getCommonEventManager(TAG, TIME_SUBSCRIBE_INFO, () => this.notifyTimeChange(), (isSubscribe) => isSubscribe && this.notifyTimeChange());
        this.mManager.subscriberCommonEvent();
        this.mManager.applyPolicy([CommonEventManager_1.POLICY.SCREEN_POLICY]);
        this.initTimeFormat(context);
    }
    release() {
        var _a, _b;
        (_a = this.mManager) === null || _a === void 0 ? void 0 : _a.release();
        this.mManager = undefined;
        (_b = this.mSettingsHelper) === null || _b === void 0 ? void 0 : _b.off("dataChange", settings.getUriSync(TIME_FORMAT_KEY));
    }
    formatTime(date) {
        return concatTime(date.getHours() % (this.mUse24hFormat ? 24 : 12), date.getMinutes());
    }
    initTimeFormat(context) {
        Log_1.default.showInfo(TAG, "initTimeFormat");
        this.mSettingsHelper = featureAbility.acquireDataAbilityHelper(context, URI_VAR);
        const handleTimeFormatChange = () => {
            if (!this.mSettingsHelper) {
                Log_1.default.showError(TAG, `Can't get dataAbility helper.`);
                return;
            }
            let timeString = settings.getValueSync(this.mSettingsHelper, TIME_FORMAT_KEY, "24");
            Log_1.default.showDebug(TAG, `timeFormat change: ${timeString}`);
            this.mUse24hFormat = timeString == "24";
            this.notifyTimeChange();
        };
        try {
            this.mSettingsHelper.on("dataChange", settings.getUriSync(TIME_FORMAT_KEY), (err) => {
                if (err.code !== 0) {
                    Log_1.default.showError(TAG, `failed to getAbilityWant, code: ${err.code}.`);
                    return;
                }
                handleTimeFormatChange();
            });
        }
        catch (e) {
            Log_1.default.showError(TAG, `Can't listen timeformate change.`);
        }
        handleTimeFormatChange();
    }
    notifyTimeChange() {
        Log_1.default.showInfo(TAG, "notifyTimeChange");
        let args = {
            date: new Date(),
            timeFormat: this.mUse24hFormat,
        };
        EventManager_1.default.publish(EventUtil_1.obtainLocalEvent(exports.TIME_CHANGE_EVENT, args));
    }
}
let sTimeManager = SingleInstanceHelper_1.default(TimeManager, TAG);
exports["default"] = sTimeManager;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\abilitymanager\\abilityManager.ts":
/*!*************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\abilitymanager\abilityManager.ts ***!
  \*************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
const Log_1 = __importDefault(__webpack_require__(/*! ../Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const TAG = 'AbilityManager';
class AbilityManager {
    static setContext(abilityName, context) {
        Log_1.default.showInfo(TAG, `setContext, abilityName: ${abilityName}`);
        globalThis[abilityName + '_Context'] = context;
    }
    static getContext(abilityName) {
        Log_1.default.showInfo(TAG, `getContext, abilityName: ${abilityName}`);
        if (!abilityName) {
            abilityName = AbilityManager.ABILITY_NAME_ENTRY;
        }
        return globalThis[abilityName + '_Context'];
    }
    static setAbilityData(abilityName, key, data) {
        Log_1.default.showInfo(TAG, `setAbilityData, abilityName: ${abilityName} key: ${key} data: ${JSON.stringify(data)}`);
        globalThis[abilityName + '_data_' + key] = data;
    }
    static getAbilityData(abilityName, key) {
        Log_1.default.showInfo(TAG, `getAbilityData, abilityName: ${abilityName} key: ${key} `);
        return globalThis[abilityName + '_data_' + key];
    }
    static startAbility(want, callback) {
        Log_1.default.showInfo(TAG, `startAbility, want: ${JSON.stringify(want)}`);
        let context = AbilityManager.getContext();
        context.startAbility(want).then(() => {
            Log_1.default.showInfo(TAG, `startAbility, then`);
            if (callback) {
                callback(null);
            }
        }).catch((error) => {
            Log_1.default.showInfo(TAG, `startAbility, error: ${JSON.stringify(error)}`);
            callback(error);
        });
    }
}
exports["default"] = AbilityManager;
AbilityManager.ABILITY_NAME_ENTRY = 'SystemUi_Entry';
AbilityManager.ABILITY_NAME_STATUS_BAR = 'SystemUi_StatusBar';
AbilityManager.ABILITY_NAME_NAVIGATION_BAR = 'SystemUi_NavigationBar';
AbilityManager.ABILITY_NAME_VOLUME_PANEL = 'SystemUi_VolumePanel';
AbilityManager.ABILITY_NAME_NOTIFICATION_MANAGEMENT = 'SystemUi_NotificationManagement';
AbilityManager.ABILITY_NAME_DROPDOWN_PANEL = 'SystemUi_DropdownPanel';
AbilityManager.ABILITY_NAME_NOTIFICATION_PANEL = 'SystemUi_NotificationPanel';
AbilityManager.ABILITY_NAME_CONTROL_PANEL = 'SystemUi_ControlPanel';
AbilityManager.ABILITY_NAME_BANNER_NOTICE = 'SystemUi_BannerNotice';
AbilityManager.ABILITY_NAME_APP_LIST = 'SystemUi_AppList';
AbilityManager.ABILITY_NAME_OWNER_WANT = 'Owner_Want';


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\commonEvent\\CommonEventManager.ts":
/*!**************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\commonEvent\CommonEventManager.ts ***!
  \**************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.getCommonEventManager = exports.POLICY = void 0;
var commonEvent = globalThis.requireNapi('commonEvent') || (isSystemplugin('commonEvent', 'ohos') ? globalThis.ohosplugin.commonEvent : isSystemplugin('commonEvent', 'system') ? globalThis.systemplugin.commonEvent : undefined);
__webpack_require__(/*! commonEvent/commonEventData */ "../../api/commonEvent/commonEventData.d.ts");
const EventManager_1 = __importDefault(__webpack_require__(/*! ../event/EventManager */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\event\\EventManager.ts"));
const Log_1 = __importDefault(__webpack_require__(/*! ../Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const ScreenLockManager_1 = __webpack_require__(/*! ../ScreenLockManager */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\ScreenLockManager.ts");
var POLICY;
(function (POLICY) {
    POLICY["SCREEN_POLICY"] = "screenOnOffPolicy";
})(POLICY = exports.POLICY || (exports.POLICY = {}));
const policyMap = {
    screenOnOffPolicy: ScreenPolicy,
};
function getCommonEventManager(tag, subscribeInfos, commonEventCallback, subscribeStateChange) {
    const TAG = `CommonEvent_${tag}`;
    const SUBSCRIBE_INFOS = subscribeInfos;
    let unSubcribers = [];
    let policyClearCb = undefined;
    async function subscriberCommonEvent() {
        Log_1.default.showInfo(TAG, "registerSubscriber start");
        let subscriber = await commonEvent.createSubscriber(SUBSCRIBE_INFOS);
        commonEvent.subscribe(subscriber, (err, data) => {
            if (err.code != 0) {
                Log_1.default.showError(TAG, `Can't handle common event, err: ${JSON.stringify(err)}`);
                return;
            }
            Log_1.default.showInfo(TAG, `handle common event: ${data.event}`);
            commonEventCallback(data);
        });
        unSubcribers.push(() => commonEvent.unsubscribe(subscriber));
        subscribeStateChange && subscribeStateChange(true);
        Log_1.default.showInfo(TAG, `registerSubscriber success, size: ${unSubcribers.length}`);
    }
    function unSubscriberCommonEvent() {
        Log_1.default.showInfo(TAG, `UnSubcribers size: ${unSubcribers.length}`);
        unSubcribers.forEach((unsubscribe) => unsubscribe());
        unSubcribers.length = 0;
        subscribeStateChange && subscribeStateChange(false);
    }
    function applyPolicy(policys) {
        const innerManager = { subscriberCommonEvent, unSubscriberCommonEvent };
        policyClearCb = policyClearCb !== null && policyClearCb !== void 0 ? policyClearCb : new Map();
        policys.forEach((policy) => {
            if (policyClearCb) {
                !policyClearCb.has(policy) && policyClearCb.set(policy, policyMap[policy](innerManager));
                Log_1.default.showInfo(TAG, `apply policy: ${policy}`);
            }
        });
    }
    function release() {
        policyClearCb === null || policyClearCb === void 0 ? void 0 : policyClearCb.forEach((cb) => cb());
        policyClearCb === null || policyClearCb === void 0 ? void 0 : policyClearCb.clear();
        unSubscriberCommonEvent();
    }
    return { subscriberCommonEvent, unSubscriberCommonEvent, applyPolicy, release };
}
exports.getCommonEventManager = getCommonEventManager;
function ScreenPolicy(manager) {
    return EventManager_1.default.subscribe(ScreenLockManager_1.SCREEN_CHANGE_EVENT, (isScreenOn) => {
        isScreenOn ? manager.subscriberCommonEvent() : manager.unSubscriberCommonEvent();
    });
}


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\event\\EventBus.ts":
/*!**********************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\event\EventBus.ts ***!
  \**********************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.createEventBus = void 0;
/*
 * Copyright (c) 2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
const Log_1 = __importDefault(__webpack_require__(/*! ../Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const TAG = "EventBus";
function createEventBus() {
    let _cbs = {};
    function on(events, cb) {
        var _a;
        if (Array.isArray(events)) {
            events.forEach((e) => on(e, cb));
        }
        else {
            (_cbs[events] || (_cbs[events] = new Set())).add(cb);
            Log_1.default.showInfo(TAG, `add event[${events}] callback, size: ${(_a = _cbs[events]) === null || _a === void 0 ? void 0 : _a.size}`);
        }
        return () => off(events, cb);
    }
    function once(event, cb) {
        let newCallback = (args) => {
            cb(args);
            removeSelf();
        };
        function removeSelf() {
            off(event, newCallback);
        }
        return on(event, newCallback);
    }
    function off(event, cb) {
        var _a, _b;
        if (!event) {
            _cbs = {};
            Log_1.default.showInfo(TAG, `remove event[${event}] all callback`);
            return;
        }
        if (Array.isArray(event)) {
            event.forEach((e) => off(e, cb));
            return;
        }
        (_a = _cbs[event]) === null || _a === void 0 ? void 0 : _a.delete(cb);
        Log_1.default.showInfo(TAG, `remove event[${event}] callback, size: ${(_b = _cbs[event]) === null || _b === void 0 ? void 0 : _b.size}`);
    }
    function emit(event, args) {
        var _a;
        (_a = _cbs[event]) === null || _a === void 0 ? void 0 : _a.forEach((cb) => cb(args));
    }
    function stickyEmit(event, argument) { }
    return {
        on,
        once,
        off,
        emit,
    };
}
exports.createEventBus = createEventBus;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\event\\EventManager.ts":
/*!**************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\event\EventManager.ts ***!
  \**************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

/*
 * Copyright (c) 2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
__webpack_require__(/*! application/ServiceExtensionContext */ "../../api/application/ServiceExtensionContext.d.ts");
const Log_1 = __importDefault(__webpack_require__(/*! ../Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const SingleInstanceHelper_1 = __importDefault(__webpack_require__(/*! ../SingleInstanceHelper */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\SingleInstanceHelper.ts"));
const EventUtil_1 = __webpack_require__(/*! ./EventUtil */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\event\\EventUtil.ts");
const EventBus_1 = __webpack_require__(/*! ./EventBus */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\event\\EventBus.ts");
const TAG = "EventManager";
class EventManager {
    constructor() {
        this.mEventBus = EventBus_1.createEventBus();
        this.eventParser = {
            local: this.publishLocalEvent,
            ability: this.startAbility,
            commonEvent: this.publishCommonEvent,
            remote: this.publishRemoteEvent,
        };
    }
    setContext(ctx) {
        this.mContext = ctx;
    }
    publish(event) {
        return this.eventParser[event.target].call(this, event.data);
    }
    subscribe(eventType, callback) {
        return this.mEventBus.on(eventType, callback);
    }
    subscribeOnce(eventType, callback) {
        return this.mEventBus.once(eventType, callback);
    }
    publishLocalEvent(data) {
        Log_1.default.showInfo(TAG, `publish localEvent type: ${data.eventName}`);
        if (data.eventName) {
            this.mEventBus.emit(data.eventName, data.args);
            return true;
        }
        return false;
    }
    startAbility(data) {
        var _a;
        Log_1.default.showInfo(TAG, `start Ability: ${data.abilityName}`);
        if (data.bundleName && data.abilityName && this.mContext) {
            this.mEventBus.emit(EventUtil_1.START_ABILITY_EVENT, { abilityName: data.abilityName });
            this.mContext.startAbility({
                bundleName: data.bundleName,
                abilityName: data.abilityName,
                parameters: (_a = data.args) !== null && _a !== void 0 ? _a : undefined
            });
            return true;
        }
        return false;
    }
    publishRemoteEvent(data) {
        // todo publish to remote device
        return false;
    }
    publishCommonEvent(data) {
        // todo publish commonEvent to other app
        return false;
    }
}
let sEventManager = SingleInstanceHelper_1.default(EventManager, TAG);
exports["default"] = sEventManager;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\event\\EventUtil.ts":
/*!***********************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\event\EventUtil.ts ***!
  \***********************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

/*
 * Copyright (c) 2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.parseEventString = exports.obtainStartAbility = exports.obtainLocalEvent = exports.PUBLISH_COMMON_EVENT = exports.START_ABILITY_EVENT = void 0;
const Log_1 = __importDefault(__webpack_require__(/*! ../Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
exports.START_ABILITY_EVENT = "startAbilityEvent";
exports.PUBLISH_COMMON_EVENT = "publishCommonEvent";
const TAG = "EventUtil";
const LOCAL_EVENT_TYPE = "local";
const START_ABILITY_TYPE = "ability";
function obtainLocalEvent(event, args) {
    return {
        target: LOCAL_EVENT_TYPE,
        data: {
            eventName: event,
            args,
        },
    };
}
exports.obtainLocalEvent = obtainLocalEvent;
function obtainStartAbility(bundleName, abilityName, args) {
    return {
        target: START_ABILITY_TYPE,
        data: {
            bundleName,
            abilityName,
            args
        },
    };
}
exports.obtainStartAbility = obtainStartAbility;
function parseEventString(eventString) {
    // string must be "local=eventName|args" or "ability=bundleName|abilityName"
    if (!eventString) {
        return;
    }
    let [eventType, eventData] = eventString.split("=");
    if (eventType == LOCAL_EVENT_TYPE && eventData) {
        let [localEventName, args] = eventData.split("|");
        if (localEventName) {
            Log_1.default.showDebug(TAG, `parseEventData name:${localEventName}, args: ${args}`);
            return obtainLocalEvent(localEventName, args);
        }
    }
    if (eventType == START_ABILITY_TYPE && eventData) {
        let [bundleName, abilityName] = eventData.split("|");
        if (bundleName && abilityName) {
            Log_1.default.showDebug(TAG, `parseEventData bundleName:${bundleName}, abilityName: ${abilityName}`);
            return obtainStartAbility(bundleName, abilityName);
        }
    }
    Log_1.default.showError(TAG, `Can't parse event data: ${eventString}`);
    return undefined;
}
exports.parseEventString = parseEventString;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\log.ts":
/*!***********************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\log.ts ***!
  \***********************************************************************************/
/***/ ((__unused_webpack_module, exports) => {

"use strict";

/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.filterKey = void 0;
const TAG = "SystemUI_Default";
const FILTER_KEYS = [
    new RegExp('hide', "gi")
];
function filterKey(target, propKey, descriptor) {
    const original = descriptor.value;
    descriptor.value = function (...args) {
        let filterResult = args.map((str) => {
            let tempStr = str;
            FILTER_KEYS.forEach((filterKey) => tempStr = tempStr.replace(filterKey, "**"));
            return tempStr;
        });
        const result = original.call(this, ...filterResult);
        return result;
    };
}
exports.filterKey = filterKey;
/**
 * Basic log class
 */
class Log {
    /**
     * print info level log
     *
     * @param {string} tag - Page or class tag
     * @param {string} log - Log needs to be printed
     */
    static showInfo(tag, log) {
        console.info(`${TAG} tag: ${tag} --> ${log}`);
    }
    /**
     * print debug level log
     *
     * @param {string} tag - Page or class tag
     * @param {string} log - Log needs to be printed
     */
    static showDebug(tag, log) {
        console.debug(`${TAG} tag: ${tag} --> ${log}`);
    }
    /**
     * print error level log
     *
     * @param {string} tag - Page or class tag
     * @param {string} log - Log needs to be printed
     */
    static showError(tag, log) {
        console.error(`${TAG} tag: ${tag} --> ${log}`);
    }
}
exports["default"] = Log;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\common\\constants.ts":
/*!***********************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\features\managementcomponent\src\main\ets\com\ohos\common\constants.ts ***!
  \***********************************************************************************************************************/
/***/ ((__unused_webpack_module, exports) => {

"use strict";

/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.DoNotDisturbType = void 0;
class Constants {
}
exports["default"] = Constants;
Constants.WH_45_100 = '45%';
Constants.WH_50_100 = '50%';
Constants.WH_60_100 = '60%';
Constants.WH_70_100 = '70%';
Constants.WH_90_100 = '90%';
Constants.WH_100_100 = '100%';
Constants.MAX_LINES_1 = 1;
Constants.MAX_LINES_2 = 2;
Constants.MAX_LINES_3 = 3;
Constants.TIME_EMPTY = '00:00';
Constants.DATE_YEAR_IDX = 0;
Constants.DATE_MONTH_IDX = 1;
Constants.DATE_DAY_IDX = 2;
Constants.DATE_HOUR_IDX = 3;
Constants.DATE_MINUTE_IDX = 4;
/**
   * The type of the Do Not Disturb.
   *
   * @since 8
   * @systemapi Hide this for inner system use.
   */
var DoNotDisturbType;
(function (DoNotDisturbType) {
    /**
     * Non do not disturb type notification
     */
    DoNotDisturbType[DoNotDisturbType["TYPE_NONE"] = 0] = "TYPE_NONE";
    /**
     * Execute do not disturb once in the set time period (only watch hours and minutes)
     */
    DoNotDisturbType[DoNotDisturbType["TYPE_ONCE"] = 1] = "TYPE_ONCE";
    /**
     * Execute do not disturb every day with a set time period (only watch hours and minutes)
     */
    DoNotDisturbType[DoNotDisturbType["TYPE_DAILY"] = 2] = "TYPE_DAILY";
    /**
     * Execute in the set time period (specify the time, month, day and hour)
     */
    DoNotDisturbType[DoNotDisturbType["TYPE_CLEARLY"] = 3] = "TYPE_CLEARLY";
})(DoNotDisturbType = exports.DoNotDisturbType || (exports.DoNotDisturbType = {}));


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\model\\noDisturbingModel.ts":
/*!******************************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\features\managementcomponent\src\main\ets\com\ohos\model\noDisturbingModel.ts ***!
  \******************************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
const Log_1 = __importDefault(__webpack_require__(/*! ../../../../../../../../common/src/main/ets/default/Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
var Notification = globalThis.requireNapi('notification') || (isSystemplugin('notification', 'ohos') ? globalThis.ohosplugin.notification : isSystemplugin('notification', 'system') ? globalThis.systemplugin.notification : undefined);
const constants_1 = __webpack_require__(/*! ../common/constants */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\common\\constants.ts");
const TimeManager_1 = __importDefault(__webpack_require__(/*! ../../../../../../../../common/src/main/ets/default/TimeManager */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\TimeManager.ts"));
const TAG = 'NotificationManagenment-NoDisturbingModel';
const MK_DATE_SPLIT = '-';
const MK_NUM_FILL = '0';
const VALUE_NUM_FILL = 10;
class NoDisturbingModel {
    static getNoDisturbingDate(callback) {
        Notification.getDoNotDisturbDate((error, data) => {
            if (error.code != 0) {
                Log_1.default.showInfo(TAG, 'getNoDisturbingDate error:' + JSON.stringify(error));
            }
            else {
                Log_1.default.showInfo(TAG, 'getNoDisturbingDate data:' + JSON.stringify(data));
                let noDisturbingData = {};
                noDisturbingData['type'] = data.type;
                if (data.type == constants_1.DoNotDisturbType.TYPE_CLEARLY) {
                    noDisturbingData['begin'] = this.formatDateTime(data.begin);
                    noDisturbingData['end'] = this.formatDateTime(data.end);
                }
                else {
                    noDisturbingData['begin'] = this.formatTime(data.begin);
                    noDisturbingData['end'] = this.formatTime(data.end);
                }
                callback(noDisturbingData);
            }
        });
    }
    static setNoDisturbingDate(noDisturbingTime, callback) {
        let targetDate = {};
        targetDate['type'] = noDisturbingTime.type;
        targetDate['begin'] = noDisturbingTime.begin;
        targetDate['end'] = noDisturbingTime.end;
        Log_1.default.showInfo(TAG, `Notification.setDoNotDisturbDate targetDate['type'] : ` + JSON.stringify(targetDate['type']));
        Log_1.default.showInfo(TAG, `Notification.setDoNotDisturbDate targetDate['begin'] : ` + JSON.stringify(targetDate['begin']));
        Log_1.default.showInfo(TAG, `Notification.setDoNotDisturbDate targetDate['end'] : ` + JSON.stringify(targetDate['end']));
        Notification.setDoNotDisturbDate(targetDate, callback);
    }
    static formatDate(data) {
        let result = data.getFullYear() + MK_DATE_SPLIT;
        let numTmp = data.getMonth() + 1;
        if (numTmp < VALUE_NUM_FILL) {
            result += MK_NUM_FILL;
        }
        result += (data.getMonth() + 1);
        result += MK_DATE_SPLIT;
        numTmp = data.getDate();
        if (numTmp < VALUE_NUM_FILL) {
            result += MK_NUM_FILL;
        }
        result += numTmp;
        return result;
    }
    static formatDateTime(data) {
        let result = this.formatDate(data);
        result += ' ' + TimeManager_1.default.formatTime(data);
        return result;
    }
    static formatTime(data) {
        return TimeManager_1.default.formatTime(data);
    }
}
exports["default"] = NoDisturbingModel;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\view\\component\\headcomponent.ets":
/*!************************************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\features\managementcomponent\src\main\ets\com\ohos\view\component\headcomponent.ets ***!
  \************************************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
/**
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
const constants_1 = __importDefault(__webpack_require__(/*! ../../common/constants */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\common\\constants.ts"));
var Router = globalThis.requireNativeModule('system.router');
class HeadComponent extends View {
    constructor(compilerAssignedUniqueChildId, parent, params) {
        super(compilerAssignedUniqueChildId, parent);
        this.isActive = true;
        this.icBackIsVisibility = true;
        this.__headName = new SynchedPropertyObjectTwoWay(params.headName, this, "headName");
        this.__isTouch = new ObservedPropertySimple(false, this, "isTouch");
        this.updateWithValueParams(params);
    }
    updateWithValueParams(params) {
        if (params.isActive !== undefined) {
            this.isActive = params.isActive;
        }
        if (params.icBackIsVisibility !== undefined) {
            this.icBackIsVisibility = params.icBackIsVisibility;
        }
        if (params.isTouch !== undefined) {
            this.isTouch = params.isTouch;
        }
    }
    aboutToBeDeleted() {
        this.__headName.aboutToBeDeleted();
        this.__isTouch.aboutToBeDeleted();
        SubscriberManager.Get().delete(this.id());
    }
    get headName() {
        return this.__headName.get();
    }
    set headName(newValue) {
        this.__headName.set(newValue);
    }
    get isTouch() {
        return this.__isTouch.get();
    }
    set isTouch(newValue) {
        this.__isTouch.set(newValue);
    }
    render() {
        Row.create();
        Row.width(constants_1.default.WH_100_100);
        Row.height({ "id": 50331771, "type": 10002, params: [] });
        Row.margin({ top: { "id": 50331756, "type": 10002, params: [] } });
        Row.alignItems(VerticalAlign.Center);
        Row.align(Alignment.Start);
        Image.create({ "id": 50331654, "type": 20000, params: [] });
        Image.width({ "id": 50331699, "type": 10002, params: [] });
        Image.height({ "id": 50331698, "type": 10002, params: [] });
        Image.borderRadius({ "id": 50331739, "type": 10002, params: [] });
        Image.margin({
            left: { "id": 50331754, "type": 10002, params: [] },
            top: { "id": 50331760, "type": 10002, params: [] },
            bottom: { "id": 50331757, "type": 10002, params: [] }
        });
        Image.backgroundColor(this.isTouch ? { "id": 50331692, "type": 10001, params: [] } : { "id": 50331693, "type": 10001, params: [] });
        Image.visibility(this.icBackIsVisibility ? Visibility.Visible : Visibility.None);
        Image.onTouch(() => {
            this.isTouch = true;
            Router.back();
        });
        Text.create(this.headName);
        Text.fontColor({ "id": 125829210, "type": 10001, params: [] });
        Text.fontSize({ "id": 50331769, "type": 10002, params: [] });
        Text.fontWeight(FontWeight.Bold);
        Text.width(constants_1.default.WH_100_100);
        Text.maxLines(constants_1.default.MAX_LINES_1);
        Text.textOverflow({ overflow: TextOverflow.Ellipsis });
        Text.margin({ left: { "id": 50331755, "type": 10002, params: [] }, right: { "id": 50331759, "type": 10002, params: [] } });
        Text.pop();
        Row.pop();
    }
}
exports["default"] = HeadComponent;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\view\\component\\itemcomponent.ets":
/*!************************************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\features\managementcomponent\src\main\ets\com\ohos\view\component\itemcomponent.ets ***!
  \************************************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
/**
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
const constants_1 = __importDefault(__webpack_require__(/*! ../../common/constants */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\common\\constants.ts"));
class ItemComponent extends View {
    constructor(compilerAssignedUniqueChildId, parent, params) {
        super(compilerAssignedUniqueChildId, parent);
        this.__title = new SynchedPropertyObjectTwoWay(params.title, this, "title");
        this.__value = new SynchedPropertySimpleOneWay(params.value, this, "value");
        this.__arrow = new SynchedPropertyObjectTwoWay(params.arrow, this, "arrow");
        this.updateWithValueParams(params);
    }
    updateWithValueParams(params) {
        this.value = params.value;
    }
    aboutToBeDeleted() {
        this.__title.aboutToBeDeleted();
        this.__value.aboutToBeDeleted();
        this.__arrow.aboutToBeDeleted();
        SubscriberManager.Get().delete(this.id());
    }
    get title() {
        return this.__title.get();
    }
    set title(newValue) {
        this.__title.set(newValue);
    }
    get value() {
        return this.__value.get();
    }
    set value(newValue) {
        this.__value.set(newValue);
    }
    get arrow() {
        return this.__arrow.get();
    }
    set arrow(newValue) {
        this.__arrow.set(newValue);
    }
    render() {
        Flex.create({ direction: FlexDirection.Column, alignItems: ItemAlign.Center, justifyContent: FlexAlign.Center });
        Flex.width(constants_1.default.WH_100_100);
        Flex.height({ "id": 50331740, "type": 10002, params: [] });
        Flex.border({ width: { "id": 50331728, "type": 10002, params: [] }, color: Color.White, radius: { "id": 50331727, "type": 10002, params: [] } });
        Flex.backgroundColor(Color.White);
        Row.create();
        Row.width(constants_1.default.WH_100_100);
        Row.alignItems(VerticalAlign.Center);
        Row.padding({ left: { "id": 125829723, "type": 10002, params: [] }, right: { "id": 125829725, "type": 10002, params: [] } });
        Text.create(this.title);
        Text.fontSize({ "id": 125829684, "type": 10002, params: [] });
        Text.fontColor({ "id": 50331697, "type": 10001, params: [] });
        Text.width(constants_1.default.WH_45_100);
        Text.textAlign(TextAlign.Start);
        Text.fontWeight(FontWeight.Bold);
        Text.pop();
        Blank.create();
        Blank.pop();
        Text.create(this.value);
        Text.fontSize({ "id": 50331749, "type": 10002, params: [] });
        Text.fontColor({ "id": 50331696, "type": 10001, params: [] });
        Text.pop();
        Image.create(this.arrow);
        Image.width({ "id": 50331743, "type": 10002, params: [] });
        Image.height({ "id": 50331741, "type": 10002, params: [] });
        Image.align(Alignment.End);
        Image.margin({ left: { "id": 50331742, "type": 10002, params: [] } });
        Row.pop();
        Flex.pop();
    }
}
exports["default"] = ItemComponent;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\view\\component\\nodisturbcomponent.ets":
/*!*****************************************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\features\managementcomponent\src\main\ets\com\ohos\view\component\nodisturbcomponent.ets ***!
  \*****************************************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
/**
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
const Log_1 = __importDefault(__webpack_require__(/*! ../../../../../../../../../common/src/main/ets/default/Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const constants_1 = __importStar(__webpack_require__(/*! ../../common/constants */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\common\\constants.ts"));
const noDisturbComponentViewModel_1 = __importDefault(__webpack_require__(/*! ../../vm/noDisturbComponentViewModel */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\vm\\noDisturbComponentViewModel.ts"));
const TAG = 'ManagementComponent-NoDisturbComponent';
class NoDisturbComponent extends View {
    constructor(compilerAssignedUniqueChildId, parent, params) {
        super(compilerAssignedUniqueChildId, parent);
        this.__mViewModel = new ObservedPropertyObject(new noDisturbComponentViewModel_1.default(), this, "mViewModel");
        this.__refreshRequest = new ObservedPropertySimple(0, this, "refreshRequest");
        this.mPrevReapMode = 0;
        this.mPrevStartTime = new Date();
        this.mPrevEndTime = new Date();
        this.mPrevGetCnt = 0;
        this.mPrevPrompt = '';
        this.__mRefreshCnt = new ObservedPropertySimple(0, this, "mRefreshCnt");
        this.updateWithValueParams(params);
        this.declareWatch("refreshRequest", this.onRefresh);
    }
    updateWithValueParams(params) {
        if (params.mViewModel !== undefined) {
            this.mViewModel = params.mViewModel;
        }
        if (params.refreshRequest !== undefined) {
            this.refreshRequest = params.refreshRequest;
        }
        if (params.mPrevReapMode !== undefined) {
            this.mPrevReapMode = params.mPrevReapMode;
        }
        if (params.mPrevStartTime !== undefined) {
            this.mPrevStartTime = params.mPrevStartTime;
        }
        if (params.mPrevEndTime !== undefined) {
            this.mPrevEndTime = params.mPrevEndTime;
        }
        if (params.mPrevGetCnt !== undefined) {
            this.mPrevGetCnt = params.mPrevGetCnt;
        }
        if (params.mPrevPrompt !== undefined) {
            this.mPrevPrompt = params.mPrevPrompt;
        }
        if (params.mRefreshCnt !== undefined) {
            this.mRefreshCnt = params.mRefreshCnt;
        }
    }
    aboutToBeDeleted() {
        this.__mViewModel.aboutToBeDeleted();
        this.__refreshRequest.aboutToBeDeleted();
        this.__mRefreshCnt.aboutToBeDeleted();
        SubscriberManager.Get().delete(this.id());
    }
    get mViewModel() {
        return this.__mViewModel.get();
    }
    set mViewModel(newValue) {
        this.__mViewModel.set(newValue);
    }
    get refreshRequest() {
        return this.__refreshRequest.get();
    }
    set refreshRequest(newValue) {
        this.__refreshRequest.set(newValue);
    }
    get mRefreshCnt() {
        return this.__mRefreshCnt.get();
    }
    set mRefreshCnt(newValue) {
        this.__mRefreshCnt.set(newValue);
    }
    aboutToAppear() {
        Log_1.default.showInfo(TAG, `aboutToAppear`);
        this.mViewModel.ViewModelInit();
        this.mPrevGetCnt = 0;
        this.mRefreshCnt++;
    }
    onRefresh(propName) {
        Log_1.default.showInfo(TAG, `onRefresh`);
        this.mViewModel.ViewModelInit();
        this.mPrevGetCnt = 0;
        this.mRefreshCnt++;
    }
    render() {
        Flex.create({ alignItems: ItemAlign.Center, justifyContent: FlexAlign.SpaceBetween });
        Flex.width(constants_1.default.WH_100_100);
        Flex.height({ "id": 50331745, "type": 10002, params: [] });
        Flex.border({ width: { "id": 50331728, "type": 10002, params: [] }, color: Color.White, radius: { "id": 50331727, "type": 10002, params: [] } });
        Flex.backgroundColor(Color.White);
        Row.create();
        Row.padding({ left: { "id": 125829723, "type": 10002, params: [] } });
        Row.flexShrink(1);
        Row.align(Alignment.Start);
        Row.alignItems(VerticalAlign.Center);
        Column.create();
        Column.alignItems(HorizontalAlign.Start);
        Row.create();
        Text.create({ "id": 50331664, "type": 10003, params: [] });
        Text.fontSize({ "id": 50331748, "type": 10002, params: [] });
        Text.fontColor({ "id": 50331697, "type": 10001, params: [] });
        Text.textAlign(TextAlign.Start);
        Text.fontWeight(FontWeight.Bold);
        Text.pop();
        Row.pop();
        Row.create();
        If.create();
        if (this.mRefreshCnt > 0) {
            If.branchId(0);
            If.create();
            if (this.mViewModel.repeatMode == constants_1.DoNotDisturbType.TYPE_ONCE) {
                If.branchId(0);
                Text.create({ "id": 50331673, "type": 10003, params: [] });
                Text.fontSize({ "id": 50331749, "type": 10002, params: [] });
                Text.fontColor({ "id": 50331696, "type": 10001, params: [] });
                Text.textAlign(TextAlign.Start);
                Text.pop();
                Text.create(this.mViewModel.prompt);
                Text.fontSize({ "id": 50331749, "type": 10002, params: [] });
                Text.fontColor({ "id": 50331696, "type": 10001, params: [] });
                Text.textAlign(TextAlign.Start);
                Text.pop();
            }
            else if (this.mViewModel.repeatMode == constants_1.DoNotDisturbType.TYPE_DAILY) {
                If.branchId(1);
                Text.create({ "id": 50331669, "type": 10003, params: [] });
                Text.fontSize({ "id": 50331749, "type": 10002, params: [] });
                Text.fontColor({ "id": 50331696, "type": 10001, params: [] });
                Text.textAlign(TextAlign.Start);
                Text.pop();
                Text.create(this.mViewModel.prompt);
                Text.fontSize({ "id": 50331749, "type": 10002, params: [] });
                Text.fontColor({ "id": 50331696, "type": 10001, params: [] });
                Text.textAlign(TextAlign.Start);
                Text.pop();
            }
            else if (this.mViewModel.repeatMode == constants_1.DoNotDisturbType.TYPE_CLEARLY) {
                If.branchId(2);
                Text.create({ "id": 50331666, "type": 10003, params: [] });
                Text.fontSize({ "id": 50331749, "type": 10002, params: [] });
                Text.fontColor({ "id": 50331696, "type": 10001, params: [] });
                Text.textAlign(TextAlign.Start);
                Text.pop();
                Text.create(this.mViewModel.prompt);
                Text.fontSize({ "id": 50331749, "type": 10002, params: [] });
                Text.fontColor({ "id": 50331696, "type": 10001, params: [] });
                Text.textAlign(TextAlign.Start);
                Text.pop();
            }
            else {
                If.branchId(3);
                Text.create({ "id": 50331667, "type": 10003, params: [] });
                Text.fontSize({ "id": 50331749, "type": 10002, params: [] });
                Text.fontColor({ "id": 50331696, "type": 10001, params: [] });
                Text.textAlign(TextAlign.Start);
                Text.pop();
            }
            If.pop();
        }
        else {
            If.branchId(1);
            Blank.create();
            Blank.pop();
        }
        If.pop();
        Row.pop();
        Column.pop();
        Row.pop();
        Row.create();
        Row.flexShrink(0);
        Row.align(Alignment.End);
        Row.alignItems(VerticalAlign.Center);
        Row.padding({ right: { "id": 125829726, "type": 10002, params: [] } });
        Toggle.create({ type: ToggleType.Switch, isOn: this.mViewModel.isEffective });
        Toggle.align(Alignment.End);
        Toggle.width({ "id": 50331786, "type": 10002, params: [] });
        Toggle.height({ "id": 50331785, "type": 10002, params: [] });
        Toggle.onChange((data) => {
            Log_1.default.showInfo(TAG, `Toggle onChange param: data = ${data}`);
            if (this.mPrevGetCnt == 0) {
                this.mPrevReapMode = this.mViewModel.repeatMode;
                if (this.mPrevReapMode == constants_1.DoNotDisturbType.TYPE_NONE) {
                    this.mPrevReapMode = constants_1.DoNotDisturbType.TYPE_DAILY;
                    this.mPrevStartTime = this.mViewModel.getDateByHHMI(constants_1.default.TIME_EMPTY);
                    this.mPrevEndTime = this.mViewModel.getDateByHHMI(constants_1.default.TIME_EMPTY);
                }
                else {
                    this.mPrevStartTime = this.mViewModel.defaultStartTime;
                    this.mPrevEndTime = this.mViewModel.defaultEndTime;
                }
                this.mPrevGetCnt++;
            }
            this.mViewModel.isEffective = !this.mViewModel.isEffective;
            this.mViewModel.repeatMode = this.mViewModel.isEffective ? this.mPrevReapMode : constants_1.DoNotDisturbType.TYPE_NONE;
            if (this.mViewModel.repeatMode == constants_1.DoNotDisturbType.TYPE_NONE) {
                this.mViewModel.refreshDate.bind(ObservedObject.GetRawObject(this.mViewModel))(this.mViewModel.repeatMode, this.mViewModel.getDateByHHMI(constants_1.default.TIME_EMPTY), this.mViewModel.getDateByHHMI(constants_1.default.TIME_EMPTY));
            }
            else {
                this.mViewModel.refreshDate.bind(ObservedObject.GetRawObject(this.mViewModel))(this.mViewModel.repeatMode, this.mPrevStartTime, this.mPrevEndTime);
            }
            this.mViewModel.setNoDisturbingDate.bind(ObservedObject.GetRawObject(this.mViewModel))();
            this.mViewModel.setCluesWithoutSetEffect.bind(ObservedObject.GetRawObject(this.mViewModel))();
            this.mRefreshCnt++;
        });
        Toggle.pop();
        Row.pop();
        Flex.pop();
    }
}
exports["default"] = NoDisturbComponent;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\vm\\noDisturbComponentViewModel.ts":
/*!*************************************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\features\managementcomponent\src\main\ets\com\ohos\vm\noDisturbComponentViewModel.ts ***!
  \*************************************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
const Log_1 = __importDefault(__webpack_require__(/*! ../../../../../../../../common/src/main/ets/default/Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const ResourceUtil_1 = __importDefault(__webpack_require__(/*! ../../../../../../../../common/src/main/ets/default/ResourceUtil */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\ResourceUtil.ts"));
const noDisturbingModel_1 = __importDefault(__webpack_require__(/*! ../model/noDisturbingModel */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\model\\noDisturbingModel.ts"));
const constants_1 = __importStar(__webpack_require__(/*! ../common/constants */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\common\\constants.ts"));
const TAG = 'ManagementComponent-NoDisturbComponentViewModel';
class NoDisturbComponentViewModel {
    constructor() {
        this.defaultStartTime = new Date();
        this.defaultEndTime = new Date();
        this.startTime = '';
        this.endTime = '';
        this.repeatMode = 0;
        this.repeatName = '';
        this.nextDayLabel = '';
    }
    ViewModelInit() {
        Log_1.default.showInfo(TAG, 'ViewModelInit');
        this.getNextDayLabel();
        this.getNoDisturbingDate.bind(this)();
    }
    getNoDisturbingDate() {
        Log_1.default.showInfo(TAG, 'getNoDisturbingDate');
        noDisturbingModel_1.default.getNoDisturbingDate((data) => {
            Log_1.default.showInfo(TAG, 'getNoDisturbingDate data:' + JSON.stringify(data));
            this.repeatMode = data.type;
            this.startTime = data.begin;
            this.endTime = data.end;
            Log_1.default.showInfo(TAG, `getNoDisturbingDate this.repeatMode : ${this.repeatMode}`);
            Log_1.default.showInfo(TAG, `getNoDisturbingDate this.startTime : ${this.startTime}`);
            Log_1.default.showInfo(TAG, `getNoDisturbingDate this.endTime : ${this.endTime}`);
            this.repeatName = this.refreshRepeatName(this.repeatMode);
            this.setClues.bind(this)();
        });
    }
    setNoDisturbingDate() {
        Log_1.default.showInfo(TAG, 'setNoDisturbingDate');
        if (!this.isEffective) {
            this.repeatMode = constants_1.DoNotDisturbType.TYPE_NONE;
        }
        Log_1.default.showInfo(TAG, `this.repeatMode is : ${this.repeatMode}`);
        let noDisturbingTime = {
            type: this.repeatMode, begin: this.defaultStartTime, end: this.defaultEndTime
        };
        noDisturbingModel_1.default.setNoDisturbingDate(noDisturbingTime, () => {
            Log_1.default.showInfo(TAG, 'setNoDisturbingDate is success');
        });
    }
    setClues() {
        Log_1.default.showInfo(TAG, `setClues`);
        if (this.repeatMode == constants_1.DoNotDisturbType.TYPE_DAILY ||
            this.repeatMode == constants_1.DoNotDisturbType.TYPE_ONCE ||
            this.repeatMode == constants_1.DoNotDisturbType.TYPE_CLEARLY) {
            this.isEffective = true;
        }
        else {
            this.isEffective = false;
        }
        this.setCluesWithoutSetEffect();
        Log_1.default.showInfo(TAG, `this.prompt : ${this.prompt}`);
    }
    setCluesWithoutSetEffect() {
        Log_1.default.showInfo(TAG, `setCluesWithoutSetEffect start`);
        if (this.repeatMode == constants_1.DoNotDisturbType.TYPE_CLEARLY) {
            this.prompt = this.getDateTimeLabel(this.startTime) + ' - ' + this.getDateTimeLabel(this.endTime);
            this.defaultStartTime = this.getDateByDateTime(this.startTime);
            this.defaultEndTime = this.getDateByDateTime(this.endTime);
        }
        else if (this.repeatMode == constants_1.DoNotDisturbType.TYPE_DAILY || this.repeatMode == constants_1.DoNotDisturbType.TYPE_ONCE) {
            if (this.startTime >= this.endTime) {
                this.prompt = this.startTime + ' - ' + this.nextDayLabel + this.endTime;
            }
            else {
                this.prompt = this.startTime + ' - ' + this.endTime;
            }
            this.defaultStartTime = this.getDateByHHMI(this.startTime);
            this.defaultEndTime = this.getDateByHHMI(this.endTime);
        }
        else {
            this.prompt = '';
            this.defaultStartTime = this.getDateByHHMI(this.startTime);
            this.defaultEndTime = this.getDateByHHMI(this.endTime);
        }
        Log_1.default.showInfo(TAG, `setCluesWithoutSetEffect end`);
    }
    refreshDate(repeatMode, inputStartTime, inputEndTime) {
        this.defaultStartTime = inputStartTime;
        this.defaultEndTime = inputEndTime;
        if (repeatMode == constants_1.DoNotDisturbType.TYPE_CLEARLY) {
            this.startTime = noDisturbingModel_1.default.formatDateTime(this.defaultStartTime);
            this.endTime = noDisturbingModel_1.default.formatDateTime(this.defaultEndTime);
        }
        else {
            this.startTime = noDisturbingModel_1.default.formatTime(this.defaultStartTime);
            this.endTime = noDisturbingModel_1.default.formatTime(this.defaultEndTime);
        }
    }
    refreshRepeatName(inputRepeatMode) {
        let result = null;
        if (inputRepeatMode == constants_1.DoNotDisturbType.TYPE_ONCE) {
            result = { "id": 50331672, "type": 10003, params: [] };
        }
        else if (inputRepeatMode == constants_1.DoNotDisturbType.TYPE_DAILY) {
            result = { "id": 50331668, "type": 10003, params: [] };
        }
        else if (inputRepeatMode == constants_1.DoNotDisturbType.TYPE_CLEARLY) {
            result = { "id": 50331665, "type": 10003, params: [] };
        }
        else {
            result = { "id": 50331671, "type": 10003, params: [] };
        }
        return result;
    }
    getDateByHHMI(selectDate) {
        Log_1.default.showInfo(TAG, `getDateByHHMI selectDate：` + selectDate);
        let tempDate = new Date();
        let HHmiArr = selectDate.split(':');
        let hour = parseInt(HHmiArr[0]);
        let minute = parseInt(HHmiArr[1]);
        tempDate = new Date(tempDate.getFullYear(), tempDate.getMonth(), tempDate.getDate(), hour, minute);
        return tempDate;
    }
    getDateByDateTime(selectDate) {
        Log_1.default.showInfo(TAG, `getDateByDateTime selectDate：` + selectDate);
        let arrayValue = this.getValuesFromDate(selectDate);
        let tempDate = new Date();
        tempDate = new Date(arrayValue[constants_1.default.DATE_YEAR_IDX], arrayValue[constants_1.default.DATE_MONTH_IDX] - 1, arrayValue[constants_1.default.DATE_DAY_IDX], arrayValue[constants_1.default.DATE_HOUR_IDX], arrayValue[constants_1.default.DATE_MINUTE_IDX]);
        return tempDate;
    }
    getValuesFromDate(selectDate) {
        let arrayValue = [];
        let idxStart = 0;
        let chrFlg = false;
        if (selectDate) {
            for (let idx = 0; idx < selectDate.length + 1; idx++) {
                if (isNaN(parseInt(selectDate.substring(idx, idx + 1)))) {
                    arrayValue.push(parseInt(selectDate.substring(idxStart, idx)));
                    chrFlg = true;
                }
                else if (chrFlg) {
                    idxStart = idx;
                    chrFlg = false;
                }
            }
        }
        return arrayValue;
    }
    getDateLabel(selectDate) {
        let result = '';
        if (selectDate) {
            let arrayValue = this.getValuesFromDate(selectDate);
            let cutDict = ['年', '月', '日'];
            for (let idx2 = 0; idx2 < cutDict.length; idx2++) {
                result += arrayValue[idx2];
                result += cutDict[idx2];
            }
        }
        return result;
    }
    getDateTimeLabel(selectDate) {
        let result = '';
        if (selectDate) {
            result += this.getDateLabel(selectDate);
            result += ' ' + noDisturbingModel_1.default.formatTime(this.getDateByDateTime(selectDate));
        }
        return result;
    }
    async getNextDayLabel() {
        this.nextDayLabel = await ResourceUtil_1.default.getString({ "id": 50331670, "type": 10003, params: [] });
    }
}
exports["default"] = NoDisturbComponentViewModel;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\product\\default\\notificationmanagement\\src\\main\\ets\\pages\\noDisturbPre.ets?entry":
/*!*********************************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\product\default\notificationmanagement\src\main\ets\pages\noDisturbPre.ets?entry ***!
  \*********************************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
//var Window = globalThis.requireNapi('window') || (isSystemplugin('window', 'ohos') ? globalThis.ohosplugin.window : isSystemplugin('window', 'system') ? globalThis.systemplugin.window : undefined);
const log_1 = __importDefault(__webpack_require__(/*! ../../../../../../../common/src/main/ets/default/log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\log.ts"));
const headcomponent_1 = __importDefault(__webpack_require__(/*! ../../../../../../../features/managementcomponent/src/main/ets/com/ohos/view/component/headcomponent */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\view\\component\\headcomponent.ets"));
const nodisturbcomponent_1 = __importDefault(__webpack_require__(/*! ../../../../../../../features/managementcomponent/src/main/ets/com/ohos/view/component/nodisturbcomponent */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\view\\component\\nodisturbcomponent.ets"));
__webpack_require__(/*! ../../../../../../../features/managementcomponent/src/main/ets/com/ohos/view/component/itemcomponent */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\view\\component\\itemcomponent.ets");
const constants_1 = __importDefault(__webpack_require__(/*! ../../../../../../../features/managementcomponent/src/main/ets/com/ohos/common/constants */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\common\\constants.ts"));
var Router = globalThis.requireNativeModule('system.router');
const TAG = 'NotificationManagement-NoDisturbPre';
class notificationManagenment extends View {
    constructor(compilerAssignedUniqueChildId, parent, params) {
        super(compilerAssignedUniqueChildId, parent);
        this.__columnMargin = new ObservedPropertySimple('24vp', this, "columnMargin");
        this.__headName = new ObservedPropertyObject({ "id": 50331676, "type": 10003, params: [] }, this, "headName");
        this.__refreshRequest = new ObservedPropertySimple(0, this, "refreshRequest");
        this.updateWithValueParams(params);
    }
    updateWithValueParams(params) {
        if (params.columnMargin !== undefined) {
            this.columnMargin = params.columnMargin;
        }
        if (params.headName !== undefined) {
            this.headName = params.headName;
        }
        if (params.refreshRequest !== undefined) {
            this.refreshRequest = params.refreshRequest;
        }
    }
    aboutToBeDeleted() {
        this.__columnMargin.aboutToBeDeleted();
        this.__headName.aboutToBeDeleted();
        this.__refreshRequest.aboutToBeDeleted();
        SubscriberManager.Get().delete(this.id());
    }
    get columnMargin() {
        return this.__columnMargin.get();
    }
    set columnMargin(newValue) {
        this.__columnMargin.set(newValue);
    }
    get headName() {
        return this.__headName.get();
    }
    set headName(newValue) {
        this.__headName.set(newValue);
    }
    get refreshRequest() {
        return this.__refreshRequest.get();
    }
    set refreshRequest(newValue) {
        this.__refreshRequest.set(newValue);
    }
    render() {
        Column.create();
        Column.backgroundColor({ "id": 125829132, "type": 10001, params: [] });
        Column.width(constants_1.default.WH_100_100);
        Column.height(constants_1.default.WH_100_100);
        GridContainer.create({
            columns: 12,
            sizeType: SizeType.Auto,
            gutter: vp2px(1) === 2 ? '12vp' : '0vp',
            margin: vp2px(1) === 2 ? '24vp' : '0vp'
        });
        GridContainer.width(constants_1.default.WH_100_100);
        GridContainer.height(constants_1.default.WH_100_100);
        Row.create();
        Row.width(constants_1.default.WH_100_100);
        Row.height(constants_1.default.WH_100_100);
        Column.create();
        Column.width(constants_1.default.WH_100_100);
        Column.height(constants_1.default.WH_100_100);
        Column.padding({ left: { "id": 125829723, "type": 10002, params: [] },
            right: { "id": 125829725, "type": 10002, params: [] } });
        Column.useSizeType({
            xs: { span: 12, offset: 0 }, sm: { span: 12, offset: 0 },
            md: { span: 12, offset: 0 }, lg: { span: 8, offset: 2 }
        });
        let earlierCreatedChild_2 = this.findChildById("2");
        if (earlierCreatedChild_2 == undefined) {
            View.create(new headcomponent_1.default("2", this, { headName: this.__headName, isActive: true }));
        }
        else {
            earlierCreatedChild_2.updateWithValueParams({
                isActive: true
            });
            View.create(earlierCreatedChild_2);
        }
        Row.create();
        Row.width(constants_1.default.WH_100_100);
        Row.height({ "id": 50331767, "type": 10002, params: [] });
        Row.padding({ left: { "id": 125829723, "type": 10002, params: [] } });
        Text.create({ "id": 50331653, "type": 10003, params: [] });
        Text.fontSize({ "id": 50331766, "type": 10002, params: [] });
        Text.margin({ top: { "id": 50331768, "type": 10002, params: [] } });
        Text.pop();
        Row.pop();
        Row.create();
        Row.align(Alignment.Start);
        Row.onClick(() => {
            log_1.default.showInfo(TAG, `NoDisturbComponent on click`);
            Router.push({ uri: 'pages/noDisturb' });
        });
        Row.width(constants_1.default.WH_100_100);
        Row.backgroundColor(Color.White);
        Row.border({ width: { "id": 50331728, "type": 10002, params: [] }, color: Color.White, radius: { "id": 50331727, "type": 10002, params: [] } });
        let earlierCreatedChild_3 = this.findChildById("3");
        if (earlierCreatedChild_3 == undefined) {
            View.create(new nodisturbcomponent_1.default("3", this, { refreshRequest: this.refreshRequest }));
        }
        else {
            earlierCreatedChild_3.updateWithValueParams({
                refreshRequest: this.refreshRequest
            });
            View.create(earlierCreatedChild_3);
        }
        Row.pop();
        Column.pop();
        Row.pop();
        GridContainer.pop();
        Column.pop();
    }
    aboutToAppear() {
        log_1.default.showInfo(TAG, `aboutToAppear`);
    }
    aboutToDisappear() {
        log_1.default.showInfo(TAG, `aboutToDisappear`);
    }
    onPageShow() {
        log_1.default.showInfo(TAG, `onPageShow`);
        this.refreshRequest++;
    }
    onBackPress() {
        log_1.default.showInfo(TAG, `onBackPress`);
    }
}
exports["default"] = notificationManagenment;
loadDocument(new notificationManagenment("1", undefined, {}));


/***/ }),

/***/ "../../api/ability/dataAbilityHelper.d.ts":
/*!************************************************!*\
  !*** ../../api/ability/dataAbilityHelper.d.ts ***!
  \************************************************/
/***/ (() => {



/***/ }),

/***/ "../../api/application/ServiceExtensionContext.d.ts":
/*!**********************************************************!*\
  !*** ../../api/application/ServiceExtensionContext.d.ts ***!
  \**********************************************************/
/***/ (() => {



/***/ }),

/***/ "../../api/commonEvent/commonEventData.d.ts":
/*!**************************************************!*\
  !*** ../../api/commonEvent/commonEventData.d.ts ***!
  \**************************************************/
/***/ (() => {



/***/ }),

/***/ "../../api/commonEvent/commonEventSubscriber.d.ts":
/*!********************************************************!*\
  !*** ../../api/commonEvent/commonEventSubscriber.d.ts ***!
  \********************************************************/
/***/ (() => {



/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		var commonCachedModule = globalThis["__common_module_cache__"] ? globalThis["__common_module_cache__"][moduleId]: null;
/******/ 		if (commonCachedModule) { return commonCachedModule.exports; }
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		if (globalThis["__common_module_cache__"] && moduleId.indexOf("?name=") < 0 && Object.keys(globalThis["__common_module_cache__"]).indexOf(moduleId) >= 0) {
/******/ 		  globalThis["__common_module_cache__"][moduleId] = module;
/******/ 		}
/******/ 		__webpack_modules__[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	
/******/ 	// startup
/******/ 	// Load entry module and return exports
/******/ 	// This entry module is referenced by other modules so it can't be inlined
/******/ 	var __webpack_exports__ = __webpack_require__("D:\\code\\release\\my\\applications_systemui\\product\\default\\notificationmanagement\\src\\main\\ets\\pages\\noDisturbPre.ets?entry");
/******/ 	
/******/ })()
;
//# sourceMappingURL=noDisturbPre.js.map