/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts":
/*!***********************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\common\src\main\ets\default\Log.ts ***!
  \***********************************************************************************/
/***/ ((__unused_webpack_module, exports) => {


/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.filterKey = void 0;
const TAG = "SystemUI_Default";
const FILTER_KEYS = [
    new RegExp('hide', "gi")
];
function filterKey(target, propKey, descriptor) {
    const original = descriptor.value;
    descriptor.value = function (...args) {
        let filterResult = args.map((str) => {
            let tempStr = str;
            FILTER_KEYS.forEach((filterKey) => tempStr = tempStr.replace(filterKey, "**"));
            return tempStr;
        });
        const result = original.call(this, ...filterResult);
        return result;
    };
}
exports.filterKey = filterKey;
/**
 * Basic log class
 */
class Log {
    /**
     * print info level log
     *
     * @param {string} tag - Page or class tag
     * @param {string} log - Log needs to be printed
     */
    static showInfo(tag, log) {
        console.info(`${TAG} tag: ${tag} --> ${log}`);
    }
    /**
     * print debug level log
     *
     * @param {string} tag - Page or class tag
     * @param {string} log - Log needs to be printed
     */
    static showDebug(tag, log) {
        console.debug(`${TAG} tag: ${tag} --> ${log}`);
    }
    /**
     * print error level log
     *
     * @param {string} tag - Page or class tag
     * @param {string} log - Log needs to be printed
     */
    static showError(tag, log) {
        console.error(`${TAG} tag: ${tag} --> ${log}`);
    }
}
exports["default"] = Log;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\common\\constants.ts":
/*!***********************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\features\managementcomponent\src\main\ets\com\ohos\common\constants.ts ***!
  \***********************************************************************************************************************/
/***/ ((__unused_webpack_module, exports) => {


/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.DoNotDisturbType = void 0;
class Constants {
}
exports["default"] = Constants;
Constants.WH_45_100 = '45%';
Constants.WH_50_100 = '50%';
Constants.WH_60_100 = '60%';
Constants.WH_70_100 = '70%';
Constants.WH_90_100 = '90%';
Constants.WH_100_100 = '100%';
Constants.MAX_LINES_1 = 1;
Constants.MAX_LINES_2 = 2;
Constants.MAX_LINES_3 = 3;
Constants.TIME_EMPTY = '00:00';
Constants.DATE_YEAR_IDX = 0;
Constants.DATE_MONTH_IDX = 1;
Constants.DATE_DAY_IDX = 2;
Constants.DATE_HOUR_IDX = 3;
Constants.DATE_MINUTE_IDX = 4;
/**
   * The type of the Do Not Disturb.
   *
   * @since 8
   * @systemapi Hide this for inner system use.
   */
var DoNotDisturbType;
(function (DoNotDisturbType) {
    /**
     * Non do not disturb type notification
     */
    DoNotDisturbType[DoNotDisturbType["TYPE_NONE"] = 0] = "TYPE_NONE";
    /**
     * Execute do not disturb once in the set time period (only watch hours and minutes)
     */
    DoNotDisturbType[DoNotDisturbType["TYPE_ONCE"] = 1] = "TYPE_ONCE";
    /**
     * Execute do not disturb every day with a set time period (only watch hours and minutes)
     */
    DoNotDisturbType[DoNotDisturbType["TYPE_DAILY"] = 2] = "TYPE_DAILY";
    /**
     * Execute in the set time period (specify the time, month, day and hour)
     */
    DoNotDisturbType[DoNotDisturbType["TYPE_CLEARLY"] = 3] = "TYPE_CLEARLY";
})(DoNotDisturbType = exports.DoNotDisturbType || (exports.DoNotDisturbType = {}));


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\model\\notificationListener.ts":
/*!*********************************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\features\managementcomponent\src\main\ets\com\ohos\model\notificationListener.ts ***!
  \*********************************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {


var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.NotificationListener = void 0;
/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
const Log_1 = __importDefault(__webpack_require__(/*! ../../../../../../../../common/src/main/ets/default/Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
var Notification = globalThis.requireNapi('notification') || (isSystemplugin('notification', 'ohos') ? globalThis.ohosplugin.notification : isSystemplugin('notification', 'system') ? globalThis.systemplugin.notification : undefined);
const TAG = 'NotificationManagenment-NotificationListener';
class NotificationListener {
    constructor() {
        this.listeners = new Set();
    }
    subscribeEnableChanged() {
        Log_1.default.showInfo(TAG, `subscribeEnableChanged`);
        Notification.subscribe({
            onEnabledNotificationChanged: this.handleEnabledNotificationChanged.bind(this)
        }, () => {
            Log_1.default.showInfo(TAG, `subscribeEnableChanged finished`);
        });
    }
    unsubscribeEnableChanged() {
        Log_1.default.showInfo(TAG, `unsubscribeEnableChanged`);
        this.unRegisterAll();
        Notification.unsubscribe({
            onEnabledNotificationChanged: this.handleEnabledNotificationChanged.bind(this)
        }, () => {
            Log_1.default.showInfo(TAG, `unsubscribeEnableChanged finished`);
        });
    }
    handleEnabledNotificationChanged(data) {
        Log_1.default.showInfo(TAG, `handleEnabledNotificationChanged data:${JSON.stringify(data)} `);
        this.listeners.forEach((listener) => {
            Log_1.default.showInfo(TAG, `handleEnabledNotificationChanged listener:${listener.bundle}`);
            if (!!listener && listener.bundle == data.bundle) {
                Log_1.default.showInfo(TAG, `handleEnabledNotificationChanged call:${listener.bundle} ${data.enable}`);
                listener.onEnableChanged(data.enable);
            }
        });
    }
    register(listener) {
        Log_1.default.showInfo(TAG, `register listener:${JSON.stringify(listener)}`);
        this.listeners.add(listener);
        Log_1.default.showInfo(TAG, `register finished`);
    }
    unRegister(listener) {
        Log_1.default.showInfo(TAG, `unRegister`);
        this.listeners.delete(listener);
        Log_1.default.showInfo(TAG, `unRegister finished`);
    }
    unRegisterAll() {
        Log_1.default.showInfo(TAG, `unRegisterAll`);
        this.listeners.clear();
        Log_1.default.showInfo(TAG, `unRegisterAll finished`);
    }
    isNotificationEnabled(bundleOption) {
        Log_1.default.showInfo(TAG, `isNotificationEnabled bundleOption:${JSON.stringify(bundleOption)} `);
        return new Promise((resolve, reject) => {
            Notification.isNotificationEnabled(bundleOption, (err, data) => {
                Log_1.default.showInfo(TAG, `isNotificationEnabled callback data:${JSON.stringify(data)} err:${JSON.stringify(err)}`);
                if (!!data) {
                    resolve(data);
                }
                else {
                    reject(err);
                }
            });
        });
    }
    enableNotification(bundleOption, data) {
        Log_1.default.showInfo(TAG, `enableNotification bundleOption:${JSON.stringify(bundleOption)} data:${JSON.stringify(data)}`);
        let enableValue = data ? true : false;
        Notification.enableNotification(bundleOption, enableValue, (err, result) => {
            Log_1.default.showInfo(TAG, `enableNotification err:${JSON.stringify(err)} result:${JSON.stringify(result)} `);
        });
    }
    notificationSlotSet(bundleOption, data) {
        Log_1.default.showInfo(TAG, `notificationSlotSet bundleOption:${JSON.stringify(bundleOption)} data:${JSON.stringify(data)}`);
        Notification.setSlotByBundle(bundleOption, data, (err, result) => {
            Log_1.default.showInfo(TAG, `notificationSlotSet err:${JSON.stringify(err)} result:${JSON.stringify(result)} `);
        });
    }
    isDistributedEnabled() {
        Log_1.default.showInfo(TAG, `isDistributedEnabled`);
        return new Promise((resolve, reject) => {
            Notification.isDistributedEnabled().then((data) => {
                Log_1.default.showInfo(TAG, `isDistributedEnabled data:${data}`);
                resolve(data);
            }).catch((err) => {
                Log_1.default.showInfo(TAG, `isDistributedEnabled err:${JSON.stringify(err)} `);
                reject(err);
            });
        });
    }
    enableDistributed(data) {
        Log_1.default.showInfo(TAG, `enableDistributed data:${JSON.stringify(data)}`);
        let enableValue = data ? true : false;
        Notification.enableDistributed(enableValue, (err, result) => {
            Log_1.default.showInfo(TAG, `enableDistributed err:${JSON.stringify(err)} result:${JSON.stringify(result)} `);
        });
    }
}
exports.NotificationListener = NotificationListener;
let notificationListener = new NotificationListener();
exports["default"] = notificationListener;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\model\\notificationlistener.ts":
/*!*********************************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\features\managementcomponent\src\main\ets\com\ohos\model\notificationlistener.ts ***!
  \*********************************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {


var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.NotificationListener = void 0;
/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
const Log_1 = __importDefault(__webpack_require__(/*! ../../../../../../../../common/src/main/ets/default/Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
var Notification = globalThis.requireNapi('notification') || (isSystemplugin('notification', 'ohos') ? globalThis.ohosplugin.notification : isSystemplugin('notification', 'system') ? globalThis.systemplugin.notification : undefined);
const TAG = 'NotificationManagenment-NotificationListener';
class NotificationListener {
    constructor() {
        this.listeners = new Set();
    }
    subscribeEnableChanged() {
        Log_1.default.showInfo(TAG, `subscribeEnableChanged`);
        Notification.subscribe({
            onEnabledNotificationChanged: this.handleEnabledNotificationChanged.bind(this)
        }, () => {
            Log_1.default.showInfo(TAG, `subscribeEnableChanged finished`);
        });
    }
    unsubscribeEnableChanged() {
        Log_1.default.showInfo(TAG, `unsubscribeEnableChanged`);
        this.unRegisterAll();
        Notification.unsubscribe({
            onEnabledNotificationChanged: this.handleEnabledNotificationChanged.bind(this)
        }, () => {
            Log_1.default.showInfo(TAG, `unsubscribeEnableChanged finished`);
        });
    }
    handleEnabledNotificationChanged(data) {
        Log_1.default.showInfo(TAG, `handleEnabledNotificationChanged data:${JSON.stringify(data)} `);
        this.listeners.forEach((listener) => {
            Log_1.default.showInfo(TAG, `handleEnabledNotificationChanged listener:${listener.bundle}`);
            if (!!listener && listener.bundle == data.bundle) {
                Log_1.default.showInfo(TAG, `handleEnabledNotificationChanged call:${listener.bundle} ${data.enable}`);
                listener.onEnableChanged(data.enable);
            }
        });
    }
    register(listener) {
        Log_1.default.showInfo(TAG, `register listener:${JSON.stringify(listener)}`);
        this.listeners.add(listener);
        Log_1.default.showInfo(TAG, `register finished`);
    }
    unRegister(listener) {
        Log_1.default.showInfo(TAG, `unRegister`);
        this.listeners.delete(listener);
        Log_1.default.showInfo(TAG, `unRegister finished`);
    }
    unRegisterAll() {
        Log_1.default.showInfo(TAG, `unRegisterAll`);
        this.listeners.clear();
        Log_1.default.showInfo(TAG, `unRegisterAll finished`);
    }
    isNotificationEnabled(bundleOption) {
        Log_1.default.showInfo(TAG, `isNotificationEnabled bundleOption:${JSON.stringify(bundleOption)} `);
        return new Promise((resolve, reject) => {
            Notification.isNotificationEnabled(bundleOption, (err, data) => {
                Log_1.default.showInfo(TAG, `isNotificationEnabled callback data:${JSON.stringify(data)} err:${JSON.stringify(err)}`);
                if (!!data) {
                    resolve(data);
                }
                else {
                    reject(err);
                }
            });
        });
    }
    enableNotification(bundleOption, data) {
        Log_1.default.showInfo(TAG, `enableNotification bundleOption:${JSON.stringify(bundleOption)} data:${JSON.stringify(data)}`);
        let enableValue = data ? true : false;
        Notification.enableNotification(bundleOption, enableValue, (err, result) => {
            Log_1.default.showInfo(TAG, `enableNotification err:${JSON.stringify(err)} result:${JSON.stringify(result)} `);
        });
    }
    notificationSlotSet(bundleOption, data) {
        Log_1.default.showInfo(TAG, `notificationSlotSet bundleOption:${JSON.stringify(bundleOption)} data:${JSON.stringify(data)}`);
        Notification.setSlotByBundle(bundleOption, data, (err, result) => {
            Log_1.default.showInfo(TAG, `notificationSlotSet err:${JSON.stringify(err)} result:${JSON.stringify(result)} `);
        });
    }
    isDistributedEnabled() {
        Log_1.default.showInfo(TAG, `isDistributedEnabled`);
        return new Promise((resolve, reject) => {
            Notification.isDistributedEnabled().then((data) => {
                Log_1.default.showInfo(TAG, `isDistributedEnabled data:${data}`);
                resolve(data);
            }).catch((err) => {
                Log_1.default.showInfo(TAG, `isDistributedEnabled err:${JSON.stringify(err)} `);
                reject(err);
            });
        });
    }
    enableDistributed(data) {
        Log_1.default.showInfo(TAG, `enableDistributed data:${JSON.stringify(data)}`);
        let enableValue = data ? true : false;
        Notification.enableDistributed(enableValue, (err, result) => {
            Log_1.default.showInfo(TAG, `enableDistributed err:${JSON.stringify(err)} result:${JSON.stringify(result)} `);
        });
    }
}
exports.NotificationListener = NotificationListener;
let notificationListener = new NotificationListener();
exports["default"] = notificationListener;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\view\\component\\appitemcomponent.ets":
/*!***************************************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\features\managementcomponent\src\main\ets\com\ohos\view\component\appitemcomponent.ets ***!
  \***************************************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {


var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
/**
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
const constants_1 = __importDefault(__webpack_require__(/*! ../../common/constants */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\common\\constants.ts"));
const Log_1 = __importDefault(__webpack_require__(/*! ../../../../../../../../../common/src/main/ets/default/Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const notificationListener_1 = __importDefault(__webpack_require__(/*! ../../model/notificationListener */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\model\\notificationListener.ts"));
var Router = globalThis.requireNativeModule('system.router');
const TAG = 'ManagementComponent-AppItemComponent';
class AppItemComponent extends View {
    constructor(compilerAssignedUniqueChildId, parent, params) {
        super(compilerAssignedUniqueChildId, parent);
        this.__canNotice = new ObservedPropertySimple(false, this, "canNotice");
        this.__appIcon = new SynchedPropertySimpleOneWay(params.appIcon, this, "appIcon");
        this.__appTitle = new SynchedPropertySimpleOneWay(params.appTitle, this, "appTitle");
        this.__appSummary = new SynchedPropertySimpleOneWay(params.appSummary, this, "appSummary");
        this.__appValue = new SynchedPropertySimpleOneWay(params.appValue, this, "appValue");
        this.__appArrow = new SynchedPropertySimpleOneWay(params.appArrow, this, "appArrow");
        this.__appArrowStyle = new SynchedPropertySimpleOneWay(params.appArrowStyle, this, "appArrowStyle");
        this.__appUri = new SynchedPropertySimpleOneWay(params.appUri, this, "appUri");
        this.__appSwitch = new SynchedPropertySimpleOneWay(params.appSwitch, this, "appSwitch");
        this.__appBundleName = new SynchedPropertySimpleOneWay(params.appBundleName, this, "appBundleName");
        this.__appUid = new SynchedPropertySimpleOneWay(params.appUid, this, "appUid");
        this.updateWithValueParams(params);
    }
    updateWithValueParams(params) {
        if (params.canNotice !== undefined) {
            this.canNotice = params.canNotice;
        }
        this.appIcon = params.appIcon;
        this.appTitle = params.appTitle;
        this.appSummary = params.appSummary;
        this.appValue = params.appValue;
        this.appArrow = params.appArrow;
        this.appArrowStyle = params.appArrowStyle;
        this.appUri = params.appUri;
        this.appSwitch = params.appSwitch;
        this.appBundleName = params.appBundleName;
        this.appUid = params.appUid;
    }
    aboutToBeDeleted() {
        this.__canNotice.aboutToBeDeleted();
        this.__appIcon.aboutToBeDeleted();
        this.__appTitle.aboutToBeDeleted();
        this.__appSummary.aboutToBeDeleted();
        this.__appValue.aboutToBeDeleted();
        this.__appArrow.aboutToBeDeleted();
        this.__appArrowStyle.aboutToBeDeleted();
        this.__appUri.aboutToBeDeleted();
        this.__appSwitch.aboutToBeDeleted();
        this.__appBundleName.aboutToBeDeleted();
        this.__appUid.aboutToBeDeleted();
        SubscriberManager.Get().delete(this.id());
    }
    get canNotice() {
        return this.__canNotice.get();
    }
    set canNotice(newValue) {
        this.__canNotice.set(newValue);
    }
    get appIcon() {
        return this.__appIcon.get();
    }
    set appIcon(newValue) {
        this.__appIcon.set(newValue);
    }
    get appTitle() {
        return this.__appTitle.get();
    }
    set appTitle(newValue) {
        this.__appTitle.set(newValue);
    }
    get appSummary() {
        return this.__appSummary.get();
    }
    set appSummary(newValue) {
        this.__appSummary.set(newValue);
    }
    get appValue() {
        return this.__appValue.get();
    }
    set appValue(newValue) {
        this.__appValue.set(newValue);
    }
    get appArrow() {
        return this.__appArrow.get();
    }
    set appArrow(newValue) {
        this.__appArrow.set(newValue);
    }
    get appArrowStyle() {
        return this.__appArrowStyle.get();
    }
    set appArrowStyle(newValue) {
        this.__appArrowStyle.set(newValue);
    }
    get appUri() {
        return this.__appUri.get();
    }
    set appUri(newValue) {
        this.__appUri.set(newValue);
    }
    get appSwitch() {
        return this.__appSwitch.get();
    }
    set appSwitch(newValue) {
        this.__appSwitch.set(newValue);
    }
    get appBundleName() {
        return this.__appBundleName.get();
    }
    set appBundleName(newValue) {
        this.__appBundleName.set(newValue);
    }
    get appUid() {
        return this.__appUid.get();
    }
    set appUid(newValue) {
        this.__appUid.set(newValue);
    }
    render() {
        Flex.create({ justifyContent: FlexAlign.SpaceBetween });
        Flex.height({ "id": 50331761, "type": 10002, params: [] });
        Flex.width(constants_1.default.WH_100_100);
        Row.create();
        Row.flexShrink(0);
        Row.height(constants_1.default.WH_100_100);
        Row.alignItems(VerticalAlign.Center);
        Row.align(Alignment.Start);
        If.create();
        if ('' !== this.appIcon) {
            If.branchId(0);
            If.create();
            if (this.appSwitch === 2 || this.appSwitch === 3) {
                If.branchId(0);
                Image.create(this.appIcon);
                Image.width({ "id": 50331713, "type": 10002, params: [] });
                Image.height({ "id": 50331710, "type": 10002, params: [] });
                Image.margin({ right: { "id": 50331702, "type": 10002, params: [] } });
                Image.objectFit(ImageFit.Contain);
            }
            else {
                If.branchId(1);
                Image.create(this.appIcon);
                Image.width({ "id": 50331712, "type": 10002, params: [] });
                Image.height({ "id": 50331709, "type": 10002, params: [] });
                Image.margin({ right: { "id": 50331701, "type": 10002, params: [] } });
                Image.objectFit(ImageFit.Contain);
            }
            If.pop();
        }
        If.pop();
        Column.create();
        Column.alignItems(HorizontalAlign.Start);
        Text.create(this.appTitle);
        Text.fontColor({ "id": 125829210, "type": 10001, params: [] });
        Text.fontSize({ "id": 125829684, "type": 10002, params: [] });
        Text.textAlign(TextAlign.Start);
        Text.maxLines(constants_1.default.MAX_LINES_3);
        Text.textOverflow({ overflow: TextOverflow.Ellipsis });
        Text.margin({ top: { "id": 50331708, "type": 10002, params: [] }, bottom: { "id": 50331707, "type": 10002, params: [] }, left: { "id": 50331762, "type": 10002, params: [] } });
        Text.pop();
        Row.create();
        If.create();
        if (this.appSwitch === 3) {
            If.branchId(0);
            If.create();
            if (parseInt(this.appValue) == 0) {
                If.branchId(0);
                Text.create({ "id": 50331686, "type": 10003, params: [] });
                Text.fontColor({ "id": 125829216, "type": 10001, params: [] });
                Text.fontSize({ "id": 125829685, "type": 10002, params: [] });
                Text.textAlign(TextAlign.Start);
                Text.maxLines(constants_1.default.MAX_LINES_1);
                Text.textOverflow({ overflow: TextOverflow.Ellipsis });
                Text.visibility(Visibility.Visible);
                Text.margin({ bottom: { "id": 50331718, "type": 10002, params: [] }, left: { "id": 50331762, "type": 10002, params: [] } });
                Text.pop();
            }
            else if (parseInt(this.appValue) == 1) {
                If.branchId(1);
                Text.create({ "id": 50331685, "type": 10003, params: [] });
                Text.fontColor({ "id": 125829216, "type": 10001, params: [] });
                Text.fontSize({ "id": 125829685, "type": 10002, params: [] });
                Text.textAlign(TextAlign.Start);
                Text.maxLines(constants_1.default.MAX_LINES_1);
                Text.textOverflow({ overflow: TextOverflow.Ellipsis });
                Text.visibility(Visibility.Visible);
                Text.margin({ bottom: { "id": 50331718, "type": 10002, params: [] }, left: { "id": 50331762, "type": 10002, params: [] } });
                Text.pop();
            }
            else if (parseInt(this.appValue) == 2) {
                If.branchId(2);
                Text.create({ "id": 50331684, "type": 10003, params: [] });
                Text.fontColor({ "id": 125829216, "type": 10001, params: [] });
                Text.fontSize({ "id": 125829685, "type": 10002, params: [] });
                Text.textAlign(TextAlign.Start);
                Text.maxLines(constants_1.default.MAX_LINES_1);
                Text.textOverflow({ overflow: TextOverflow.Ellipsis });
                Text.visibility(Visibility.Visible);
                Text.margin({ bottom: { "id": 50331718, "type": 10002, params: [] }, left: { "id": 50331762, "type": 10002, params: [] } });
                Text.pop();
            }
            else if (parseInt(this.appValue) == 3) {
                If.branchId(3);
                Text.create({ "id": 50331682, "type": 10003, params: [] });
                Text.fontColor({ "id": 125829216, "type": 10001, params: [] });
                Text.fontSize({ "id": 125829685, "type": 10002, params: [] });
                Text.textAlign(TextAlign.Start);
                Text.maxLines(constants_1.default.MAX_LINES_1);
                Text.textOverflow({ overflow: TextOverflow.Ellipsis });
                Text.visibility(Visibility.Visible);
                Text.margin({ bottom: { "id": 50331718, "type": 10002, params: [] }, left: { "id": 50331762, "type": 10002, params: [] } });
                Text.pop();
            }
            else if (parseInt(this.appValue) == 0xFFFF) {
                If.branchId(4);
                Text.create({ "id": 50331683, "type": 10003, params: [] });
                Text.fontColor({ "id": 125829216, "type": 10001, params: [] });
                Text.fontSize({ "id": 125829685, "type": 10002, params: [] });
                Text.textAlign(TextAlign.Start);
                Text.maxLines(constants_1.default.MAX_LINES_1);
                Text.textOverflow({ overflow: TextOverflow.Ellipsis });
                Text.visibility(Visibility.Visible);
                Text.margin({ bottom: { "id": 50331718, "type": 10002, params: [] }, left: { "id": 50331762, "type": 10002, params: [] } });
                Text.pop();
            }
            else {
                If.branchId(5);
                Text.create('');
                Text.fontColor({ "id": 125829216, "type": 10001, params: [] });
                Text.fontSize({ "id": 125829685, "type": 10002, params: [] });
                Text.textAlign(TextAlign.Start);
                Text.maxLines(constants_1.default.MAX_LINES_1);
                Text.textOverflow({ overflow: TextOverflow.Ellipsis });
                Text.visibility(Visibility.Visible);
                Text.margin({ bottom: { "id": 50331718, "type": 10002, params: [] }, left: { "id": 50331762, "type": 10002, params: [] } });
                Text.pop();
            }
            If.pop();
        }
        else {
            If.branchId(1);
            Text.create({ "id": 50331689, "type": 10003, params: [] });
            Text.fontColor({ "id": 125829216, "type": 10001, params: [] });
            Text.fontSize({ "id": 125829685, "type": 10002, params: [] });
            Text.textAlign(TextAlign.Start);
            Text.maxLines(constants_1.default.MAX_LINES_1);
            Text.textOverflow({ overflow: TextOverflow.Ellipsis });
            Text.visibility(Visibility.Visible);
            Text.margin({ bottom: { "id": 50331718, "type": 10002, params: [] }, left: { "id": 50331762, "type": 10002, params: [] } });
            Text.pop();
            Text.create(this.appSummary);
            Text.fontColor({ "id": 125829216, "type": 10001, params: [] });
            Text.fontSize({ "id": 125829685, "type": 10002, params: [] });
            Text.textAlign(TextAlign.Start);
            Text.maxLines(constants_1.default.MAX_LINES_1);
            Text.textOverflow({ overflow: TextOverflow.Ellipsis });
            Text.visibility(Visibility.Visible);
            Text.margin({ bottom: { "id": 50331718, "type": 10002, params: [] } });
            Text.pop();
        }
        If.pop();
        Row.pop();
        Column.pop();
        Row.pop();
        Row.create();
        Row.height(constants_1.default.WH_100_100);
        Row.alignItems(VerticalAlign.Center);
        Row.align(Alignment.End);
        If.create();
        if (this.appSwitch === 0) {
            If.branchId(0);
            Text.create(this.appValue);
            Text.fontColor({ "id": 125829216, "type": 10001, params: [] });
            Text.fontSize({ "id": 125829685, "type": 10002, params: [] });
            Text.margin({ right: { "id": 50331719, "type": 10002, params: [] } });
            Text.align(Alignment.End);
            Text.pop();
            Image.create(this.appArrow);
            Image.width({ "id": 50331743, "type": 10002, params: [] });
            Image.height({ "id": 50331741, "type": 10002, params: [] });
            Image.visibility(Visibility.Visible);
        }
        else if (this.appSwitch === 2) {
            If.branchId(1);
            Text.create(this.appValue);
            Text.width({ "id": 50331743, "type": 10002, params: [] });
            Text.height({ "id": 50331741, "type": 10002, params: [] });
            Text.margin({ right: { "id": 50331719, "type": 10002, params: [] } });
            Text.align(Alignment.End);
            Text.pop();
            Image.create({ "id": 50331655, "type": 20000, params: [] });
            Image.width({ "id": 50331716, "type": 10002, params: [] });
            Image.height({ "id": 50331714, "type": 10002, params: [] });
            Image.margin({ right: { "id": 50331711, "type": 10002, params: [] } });
            Image.visibility(Visibility.None);
        }
        else if (this.appSwitch === 3) {
            If.branchId(2);
            Text.create('');
            Text.fontSize({ "id": 50331717, "type": 10002, params: [] });
            Text.fontColor({ "id": 50331691, "type": 10001, params: [] });
            Text.margin({ right: { "id": 50331719, "type": 10002, params: [] } });
            Text.align(Alignment.End);
            Text.pop();
            Image.create({ "id": 50331655, "type": 20000, params: [] });
            Image.width({ "id": 50331716, "type": 10002, params: [] });
            Image.height({ "id": 50331714, "type": 10002, params: [] });
            Image.margin({ right: { "id": 50331715, "type": 10002, params: [] } });
            Image.visibility(Visibility.None);
        }
        else {
            If.branchId(3);
            Toggle.create({ type: ToggleType.Switch, isOn: this.canNotice });
            Toggle.align(Alignment.End);
            Toggle.width({ "id": 50331786, "type": 10002, params: [] });
            Toggle.height({ "id": 50331785, "type": 10002, params: [] });
            Toggle.onChange((flag) => {
                Log_1.default.showInfo(TAG, `Toggle onChange param: data:${flag} `);
                notificationListener_1.default.enableNotification({ bundle: this.appBundleName, uid: this.appUid }, flag);
            });
            Toggle.pop();
        }
        If.pop();
        Row.pop();
        Flex.pop();
    }
    aboutToAppear() {
        Log_1.default.showInfo(TAG, `aboutToAppear`);
        if (this.appSwitch === 1) {
            notificationListener_1.default.subscribeEnableChanged();
            notificationListener_1.default.register({ bundle: this.appBundleName, onEnableChanged: (stateValue) => {
                    Log_1.default.showDebug(TAG, `aboutToAppear listener call`);
                    this.canNotice = stateValue;
                } });
            notificationListener_1.default.isNotificationEnabled({ bundle: this.appBundleName, uid: this.appUid })
                .then((stateValue) => {
                Log_1.default.showInfo(TAG, `NotificationListener.isNotificationEnabled data:${JSON.stringify(stateValue)}`);
                this.canNotice = stateValue;
            })
                .catch((error) => {
                Log_1.default.showError(TAG, `NotificationListener.isNotificationEnabled error:${JSON.stringify(error)}`);
            });
        }
    }
    aboutToDisappear() {
        Log_1.default.showInfo(TAG, `aboutToDisappear`);
        if (this.appSwitch === 1) {
            notificationListener_1.default.unsubscribeEnableChanged();
        }
    }
    onBackPress() {
        Log_1.default.showDebug(TAG, `onBackPress`);
        Router.back();
    }
}
exports["default"] = AppItemComponent;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\view\\component\\headcomponent.ets":
/*!************************************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\features\managementcomponent\src\main\ets\com\ohos\view\component\headcomponent.ets ***!
  \************************************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {


var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
/**
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
const constants_1 = __importDefault(__webpack_require__(/*! ../../common/constants */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\common\\constants.ts"));
var Router = globalThis.requireNativeModule('system.router');
class HeadComponent extends View {
    constructor(compilerAssignedUniqueChildId, parent, params) {
        super(compilerAssignedUniqueChildId, parent);
        this.isActive = true;
        this.icBackIsVisibility = true;
        this.__headName = new SynchedPropertyObjectTwoWay(params.headName, this, "headName");
        this.__isTouch = new ObservedPropertySimple(false, this, "isTouch");
        this.updateWithValueParams(params);
    }
    updateWithValueParams(params) {
        if (params.isActive !== undefined) {
            this.isActive = params.isActive;
        }
        if (params.icBackIsVisibility !== undefined) {
            this.icBackIsVisibility = params.icBackIsVisibility;
        }
        if (params.isTouch !== undefined) {
            this.isTouch = params.isTouch;
        }
    }
    aboutToBeDeleted() {
        this.__headName.aboutToBeDeleted();
        this.__isTouch.aboutToBeDeleted();
        SubscriberManager.Get().delete(this.id());
    }
    get headName() {
        return this.__headName.get();
    }
    set headName(newValue) {
        this.__headName.set(newValue);
    }
    get isTouch() {
        return this.__isTouch.get();
    }
    set isTouch(newValue) {
        this.__isTouch.set(newValue);
    }
    render() {
        Row.create();
        Row.width(constants_1.default.WH_100_100);
        Row.height({ "id": 50331771, "type": 10002, params: [] });
        Row.margin({ top: { "id": 50331756, "type": 10002, params: [] } });
        Row.alignItems(VerticalAlign.Center);
        Row.align(Alignment.Start);
        Image.create({ "id": 50331654, "type": 20000, params: [] });
        Image.width({ "id": 50331699, "type": 10002, params: [] });
        Image.height({ "id": 50331698, "type": 10002, params: [] });
        Image.borderRadius({ "id": 50331739, "type": 10002, params: [] });
        Image.margin({
            left: { "id": 50331754, "type": 10002, params: [] },
            top: { "id": 50331760, "type": 10002, params: [] },
            bottom: { "id": 50331757, "type": 10002, params: [] }
        });
        Image.backgroundColor(this.isTouch ? { "id": 50331692, "type": 10001, params: [] } : { "id": 50331693, "type": 10001, params: [] });
        Image.visibility(this.icBackIsVisibility ? Visibility.Visible : Visibility.None);
        Image.onTouch(() => {
            this.isTouch = true;
            Router.back();
        });
        Text.create(this.headName);
        Text.fontColor({ "id": 125829210, "type": 10001, params: [] });
        Text.fontSize({ "id": 50331769, "type": 10002, params: [] });
        Text.fontWeight(FontWeight.Bold);
        Text.width(constants_1.default.WH_100_100);
        Text.maxLines(constants_1.default.MAX_LINES_1);
        Text.textOverflow({ overflow: TextOverflow.Ellipsis });
        Text.margin({ left: { "id": 50331755, "type": 10002, params: [] }, right: { "id": 50331759, "type": 10002, params: [] } });
        Text.pop();
        Row.pop();
    }
}
exports["default"] = HeadComponent;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\view\\component\\slotItemComponent.ets":
/*!****************************************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\features\managementcomponent\src\main\ets\com\ohos\view\component\slotItemComponent.ets ***!
  \****************************************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {


var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
/**
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
const constants_1 = __importDefault(__webpack_require__(/*! ../../common/constants */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\common\\constants.ts"));
const Log_1 = __importDefault(__webpack_require__(/*! ../../../../../../../../../common/src/main/ets/default/Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const TAG = 'NotificationManagement-SlotItemComponent';
class SlotItemComponent extends View {
    constructor(compilerAssignedUniqueChildId, parent, params) {
        super(compilerAssignedUniqueChildId, parent);
        this.__slotType = new ObservedPropertySimple(0, this, "slotType");
        this.updateWithValueParams(params);
    }
    updateWithValueParams(params) {
        if (params.slotType !== undefined) {
            this.slotType = params.slotType;
        }
    }
    aboutToBeDeleted() {
        this.__slotType.aboutToBeDeleted();
        SubscriberManager.Get().delete(this.id());
    }
    get slotType() {
        return this.__slotType.get();
    }
    set slotType(newValue) {
        this.__slotType.set(newValue);
    }
    render() {
        Flex.create({ justifyContent: FlexAlign.SpaceBetween });
        Flex.width(constants_1.default.WH_100_100);
        Flex.height({ "id": 50331779, "type": 10002, params: [] });
        Row.create();
        Row.alignItems(VerticalAlign.Center);
        Row.align(Alignment.Start);
        Row.padding({ left: { "id": 50331735, "type": 10002, params: [] } });
        Row.height(constants_1.default.WH_100_100);
        If.create();
        if (this.slotType === 0) {
            If.branchId(0);
            Text.create({ "id": 50331686, "type": 10003, params: [] });
            Text.fontColor({ "id": 125829210, "type": 10001, params: [] });
            Text.fontSize({ "id": 125829684, "type": 10002, params: [] });
            Text.textAlign(TextAlign.Start);
            Text.pop();
        }
        If.pop();
        If.create();
        if (this.slotType === 1) {
            If.branchId(0);
            Text.create({ "id": 50331685, "type": 10003, params: [] });
            Text.fontColor({ "id": 125829210, "type": 10001, params: [] });
            Text.fontSize({ "id": 125829684, "type": 10002, params: [] });
            Text.textAlign(TextAlign.Start);
            Text.pop();
        }
        If.pop();
        If.create();
        if (this.slotType === 2) {
            If.branchId(0);
            Text.create({ "id": 50331684, "type": 10003, params: [] });
            Text.fontColor({ "id": 125829210, "type": 10001, params: [] });
            Text.fontSize({ "id": 125829684, "type": 10002, params: [] });
            Text.textAlign(TextAlign.Start);
            Text.pop();
        }
        If.pop();
        If.create();
        if (this.slotType === 3) {
            If.branchId(0);
            Text.create({ "id": 50331682, "type": 10003, params: [] });
            Text.fontColor({ "id": 125829210, "type": 10001, params: [] });
            Text.fontSize({ "id": 125829684, "type": 10002, params: [] });
            Text.textAlign(TextAlign.Start);
            Text.pop();
        }
        If.pop();
        If.create();
        if (this.slotType === 0xFFFF) {
            If.branchId(0);
            Text.create({ "id": 50331683, "type": 10003, params: [] });
            Text.fontColor({ "id": 125829210, "type": 10001, params: [] });
            Text.fontSize({ "id": 125829684, "type": 10002, params: [] });
            Text.textAlign(TextAlign.Start);
            Text.pop();
        }
        If.pop();
        Row.pop();
        If.create();
        if (this.slotType !== 0) {
            If.branchId(0);
            Row.create();
            Row.alignItems(VerticalAlign.Center);
            Row.align(Alignment.End);
            Row.padding({ right: { "id": 50331737, "type": 10002, params: [] } });
            Row.height(constants_1.default.WH_100_100);
            Image.create({ "id": 50331655, "type": 20000, params: [] });
            Image.width({ "id": 50331777, "type": 10002, params: [] });
            Image.height({ "id": 50331776, "type": 10002, params: [] });
            Image.visibility(Visibility.Visible);
            Row.pop();
        }
        If.pop();
        Flex.pop();
    }
    aboutToAppear() {
        Log_1.default.showInfo(TAG, `aboutToDisAppear`);
    }
}
exports["default"] = SlotItemComponent;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\view\\component\\slotlstcomponent.ets":
/*!***************************************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\features\managementcomponent\src\main\ets\com\ohos\view\component\slotlstcomponent.ets ***!
  \***************************************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {


var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
/**
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
const constants_1 = __importDefault(__webpack_require__(/*! ../../common/constants */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\common\\constants.ts"));
const Log_1 = __importDefault(__webpack_require__(/*! ../../../../../../../../../common/src/main/ets/default/Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const slotItemComponent_1 = __importDefault(__webpack_require__(/*! ./slotItemComponent */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\view\\component\\slotItemComponent.ets"));
var Notification = globalThis.requireNapi('notification') || (isSystemplugin('notification', 'ohos') ? globalThis.ohosplugin.notification : isSystemplugin('notification', 'system') ? globalThis.systemplugin.notification : undefined);
var Router = globalThis.requireNativeModule('system.router');
const TAG = 'ManagementComponent-SlotLstComponent';
class SlotLstComponent extends View {
    constructor(compilerAssignedUniqueChildId, parent, params) {
        super(compilerAssignedUniqueChildId, parent);
        this.appInfo = null;
        this.__slotLst = new SynchedPropertyObjectTwoWay(params.slotLst, this, "slotLst");
        this.updateWithValueParams(params);
    }
    updateWithValueParams(params) {
        if (params.appInfo !== undefined) {
            this.appInfo = params.appInfo;
        }
    }
    aboutToBeDeleted() {
        this.__slotLst.aboutToBeDeleted();
        SubscriberManager.Get().delete(this.id());
    }
    get slotLst() {
        return this.__slotLst.get();
    }
    set slotLst(newValue) {
        this.__slotLst.set(newValue);
    }
    render() {
        Flex.create({ justifyContent: FlexAlign.SpaceBetween });
        Flex.width(constants_1.default.WH_100_100);
        Column.create();
        Row.create();
        Row.height({ "id": 50331753, "type": 10002, params: [] });
        Row.margin({ top: { "id": 50331763, "type": 10002, params: [] } });
        Row.align(Alignment.Start);
        Text.create({ "id": 50331681, "type": 10003, params: [] });
        Text.fontColor({ "id": 125829216, "type": 10001, params: [] });
        Text.fontSize({ "id": 125829685, "type": 10002, params: [] });
        Text.fontWeight(FontWeight.Medium);
        Text.width(constants_1.default.WH_100_100);
        Text.maxLines(constants_1.default.MAX_LINES_1);
        Text.textOverflow({ overflow: TextOverflow.Ellipsis });
        Text.padding({ left: { "id": 125829724, "type": 10002, params: [] }, right: { "id": 125829726, "type": 10002, params: [] } });
        Text.pop();
        Row.pop();
        Row.create();
        Row.padding({ left: { "id": 125829723, "type": 10002, params: [] }, right: { "id": 125829725, "type": 10002, params: [] } });
        Row.margin({ top: { "id": 50331765, "type": 10002, params: [] } });
        Row.align(Alignment.Start);
        List.create();
        List.divider({
            strokeWidth: 1,
            color: { "id": 50331694, "type": 10001, params: [] },
            startMargin: { "id": 50331735, "type": 10002, params: [] },
            endMargin: { "id": 50331737, "type": 10002, params: [] }
        });
        List.width(constants_1.default.WH_100_100);
        List.visibility(Visibility.Visible);
        List.zIndex(0);
        List.border({ width: { "id": 50331728, "type": 10002, params: [] }, color: Color.White, radius: { "id": 50331727, "type": 10002, params: [] } });
        List.backgroundColor(Color.White);
        List.flexShrink(1);
        ForEach.create("2", this, ObservedObject.GetRawObject(this.slotLst), (item) => {
            ListItem.create();
            ListItem.onClick(() => {
                Log_1.default.showInfo(TAG, `onClick`);
                Router.push({ uri: this.appInfo.slotSettingUrl, params: { appInfo: this.appInfo, slotInfo: item } });
            });
            let earlierCreatedChild_1 = this.findChildById("1");
            if (earlierCreatedChild_1 == undefined) {
                View.create(new slotItemComponent_1.default("1", this, { slotType: item.type }));
            }
            else {
                earlierCreatedChild_1.updateWithValueParams({
                    slotType: item.type
                });
                View.create(earlierCreatedChild_1);
            }
            ListItem.pop();
        });
        ForEach.pop();
        List.pop();
        Row.pop();
        Column.pop();
        Flex.pop();
    }
    aboutToAppear() {
        Log_1.default.showInfo(TAG, `aboutToAppear Notification.getSlotsByBundle  bundle:` + 'bundle:' + this.appInfo.appBundleName + 'uid' + this.appInfo.appUid);
    }
    onBackPress() {
        Log_1.default.showDebug(TAG, `onBackPress`);
        Router.back();
    }
}
exports["default"] = SlotLstComponent;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\view\\component\\switchcomponent.ets":
/*!**************************************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\features\managementcomponent\src\main\ets\com\ohos\view\component\switchcomponent.ets ***!
  \**************************************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {


var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
/**
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
const constants_1 = __importDefault(__webpack_require__(/*! ../../common/constants */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\common\\constants.ts"));
const Log_1 = __importDefault(__webpack_require__(/*! ../../../../../../../../../common/src/main/ets/default/Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const TAG = 'ManagementComponent-SwitchComponent';
class SwitchComponent extends View {
    constructor(compilerAssignedUniqueChildId, parent, params) {
        super(compilerAssignedUniqueChildId, parent);
        this.__title = new SynchedPropertyObjectTwoWay(params.title, this, "title");
        this.__describe = new ObservedPropertyObject('', this, "describe");
        this.initializationAction = undefined;
        this.settingAction = undefined;
        this.register = undefined;
        this.__initState = new ObservedPropertySimple(false, this, "initState");
        this.updateWithValueParams(params);
    }
    updateWithValueParams(params) {
        if (params.describe !== undefined) {
            this.describe = params.describe;
        }
        if (params.initializationAction !== undefined) {
            this.initializationAction = params.initializationAction;
        }
        if (params.settingAction !== undefined) {
            this.settingAction = params.settingAction;
        }
        if (params.register !== undefined) {
            this.register = params.register;
        }
        if (params.initState !== undefined) {
            this.initState = params.initState;
        }
    }
    aboutToBeDeleted() {
        this.__title.aboutToBeDeleted();
        this.__describe.aboutToBeDeleted();
        this.__initState.aboutToBeDeleted();
        SubscriberManager.Get().delete(this.id());
    }
    get title() {
        return this.__title.get();
    }
    set title(newValue) {
        this.__title.set(newValue);
    }
    get describe() {
        return this.__describe.get();
    }
    set describe(newValue) {
        this.__describe.set(newValue);
    }
    get initState() {
        return this.__initState.get();
    }
    set initState(newValue) {
        this.__initState.set(newValue);
    }
    render() {
        Flex.create({ justifyContent: FlexAlign.SpaceBetween });
        Flex.width(constants_1.default.WH_100_100);
        Flex.height({ "id": 50331779, "type": 10002, params: [] });
        Flex.border({ width: { "id": 50331728, "type": 10002, params: [] }, color: Color.White, radius: { "id": 50331727, "type": 10002, params: [] } });
        Flex.backgroundColor(Color.White);
        Row.create();
        Row.flexShrink(0);
        Row.height({ "id": 50331779, "type": 10002, params: [] });
        Row.alignItems(VerticalAlign.Center);
        Row.align(Alignment.Start);
        Row.padding({ right: { "id": 50331780, "type": 10002, params: [] } });
        Row.margin({ left: { "id": 50331762, "type": 10002, params: [] } });
        Column.create();
        Column.alignItems(HorizontalAlign.Start);
        Text.create(this.title);
        Text.fontColor({ "id": 125829210, "type": 10001, params: [] });
        Text.fontSize({ "id": 125829684, "type": 10002, params: [] });
        Text.fontWeight(FontWeight.Medium);
        Text.align(Alignment.Start);
        Text.pop();
        Text.create(this.describe);
        Text.fontColor({ "id": 125829210, "type": 10001, params: [] });
        Text.fontSize({ "id": 125829684, "type": 10002, params: [] });
        Text.align(Alignment.Start);
        Text.visibility((this.describe ? true : false) ? Visibility.Visible : Visibility.None);
        Text.pop();
        Column.pop();
        Row.pop();
        Row.create();
        Row.alignItems(VerticalAlign.Center);
        Row.align(Alignment.End);
        Row.padding({ right: { "id": 50331780, "type": 10002, params: [] } });
        Toggle.create({ type: ToggleType.Switch, isOn: this.initState });
        Toggle.align(Alignment.End);
        Toggle.width({ "id": 50331786, "type": 10002, params: [] });
        Toggle.height({ "id": 50331785, "type": 10002, params: [] });
        Toggle.onChange((data) => {
            Log_1.default.showInfo(TAG, `Toggle onChange data:${data}`);
            this.initState = data ? true : false;
            this.settingAction(data);
        });
        Toggle.pop();
        Row.pop();
        Flex.pop();
    }
    aboutToAppear() {
        Log_1.default.showInfo(TAG, `aboutToAppear`);
        if (this.register) {
            Log_1.default.showInfo(TAG, `aboutToAppear register listener`);
            this.register((stateValue) => {
                Log_1.default.showInfo(TAG, `aboutToAppear listener call`);
                this.initState = stateValue;
            });
        }
        this.initializationAction().then((data) => {
            Log_1.default.showInfo(TAG, `initializationAction:${data}`);
            this.initState = data;
        });
    }
}
exports["default"] = SwitchComponent;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\product\\default\\notificationmanagement\\src\\main\\ets\\common\\constants.ts":
/*!************************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\product\default\notificationmanagement\src\main\ets\common\constants.ts ***!
  \************************************************************************************************************************/
/***/ ((__unused_webpack_module, exports) => {


/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", ({ value: true }));
class Constants {
}
exports["default"] = Constants;
Constants.WH_50_100 = '50%';
Constants.WH_70_100 = '70%';
Constants.WH_90_100 = '90%';
Constants.WH_100_100 = '100%';
Constants.TOPMOST_INDEX = 999;


/***/ }),

/***/ "D:\\code\\release\\my\\applications_systemui\\product\\default\\notificationmanagement\\src\\main\\ets\\pages\\setEnable.ets?entry":
/*!******************************************************************************************************************************!*\
  !*** D:\code\release\my\applications_systemui\product\default\notificationmanagement\src\main\ets\pages\setEnable.ets?entry ***!
  \******************************************************************************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {


var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
/*
 * Copyright (c) 2021-2022 Huawei Device Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
//var Window = globalThis.requireNapi('window') || (isSystemplugin('window', 'ohos') ? globalThis.ohosplugin.window : isSystemplugin('window', 'system') ? globalThis.systemplugin.window : undefined);
const Log_1 = __importDefault(__webpack_require__(/*! ../../../../../../../common/src/main/ets/default/Log */ "D:\\code\\release\\my\\applications_systemui\\common\\src\\main\\ets\\default\\Log.ts"));
const headcomponent_1 = __importDefault(__webpack_require__(/*! ../../../../../../../features/managementcomponent/src/main/ets/com/ohos/view/component/headcomponent */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\view\\component\\headcomponent.ets"));
const appitemcomponent_1 = __importDefault(__webpack_require__(/*! ../../../../../../../features/managementcomponent/src/main/ets/com/ohos/view/component/appitemcomponent */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\view\\component\\appitemcomponent.ets"));
const switchcomponent_1 = __importDefault(__webpack_require__(/*! ../../../../../../../features/managementcomponent/src/main/ets/com/ohos/view/component/switchcomponent */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\view\\component\\switchcomponent.ets"));
const slotlstcomponent_1 = __importDefault(__webpack_require__(/*! ../../../../../../../features/managementcomponent/src/main/ets/com/ohos/view/component/slotlstcomponent */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\view\\component\\slotlstcomponent.ets"));
const constants_1 = __importDefault(__webpack_require__(/*! ../common/constants */ "D:\\code\\release\\my\\applications_systemui\\product\\default\\notificationmanagement\\src\\main\\ets\\common\\constants.ts"));
var Router = globalThis.requireNativeModule('system.router');
const notificationlistener_1 = __importDefault(__webpack_require__(/*! ../../../../../../../features/managementcomponent/src/main/ets/com/ohos/model/notificationlistener */ "D:\\code\\release\\my\\applications_systemui\\features\\managementcomponent\\src\\main\\ets\\com\\ohos\\model\\notificationlistener.ts"));
var Notification = globalThis.requireNapi('notification') || (isSystemplugin('notification', 'ohos') ? globalThis.ohosplugin.notification : isSystemplugin('notification', 'system') ? globalThis.systemplugin.notification : undefined);
const TAG = 'NotificationManagement-SetEnable';
let appInfo;
class SetEnable extends View {
    constructor(compilerAssignedUniqueChildId, parent, params) {
        super(compilerAssignedUniqueChildId, parent);
        this.listeners = [];
        this.__headName = new ObservedPropertyObject({ "id": 50331676, "type": 10003, params: [] }, this, "headName");
        this.__allowNotice = new ObservedPropertyObject({ "id": 50331658, "type": 10003, params: [] }, this, "allowNotice");
        this.__slotLst = new ObservedPropertyObject([], this, "slotLst");
        this.updateWithValueParams(params);
    }
    updateWithValueParams(params) {
        if (params.listeners !== undefined) {
            this.listeners = params.listeners;
        }
        if (params.headName !== undefined) {
            this.headName = params.headName;
        }
        if (params.allowNotice !== undefined) {
            this.allowNotice = params.allowNotice;
        }
        if (params.slotLst !== undefined) {
            this.slotLst = params.slotLst;
        }
    }
    aboutToBeDeleted() {
        this.__headName.aboutToBeDeleted();
        this.__allowNotice.aboutToBeDeleted();
        this.__slotLst.aboutToBeDeleted();
        SubscriberManager.Get().delete(this.id());
    }
    get headName() {
        return this.__headName.get();
    }
    set headName(newValue) {
        this.__headName.set(newValue);
    }
    get allowNotice() {
        return this.__allowNotice.get();
    }
    set allowNotice(newValue) {
        this.__allowNotice.set(newValue);
    }
    get slotLst() {
        return this.__slotLst.get();
    }
    set slotLst(newValue) {
        this.__slotLst.set(newValue);
    }
    render() {
        Flex.create({ justifyContent: FlexAlign.SpaceBetween });
        Flex.width(constants_1.default.WH_100_100);
        Column.create();
        Column.backgroundColor({ "id": 125829132, "type": 10001, params: [] });
        Column.width(constants_1.default.WH_100_100);
        Column.height(constants_1.default.WH_100_100);
        GridContainer.create({ columns: 12, sizeType: SizeType.Auto, gutter: vp2px(1) === 2 ? '12vp' : '0vp', margin: vp2px(1) === 2 ? '12vp' : '0vp' });
        Row.create();
        Row.width(constants_1.default.WH_100_100);
        Row.height(constants_1.default.WH_100_100);
        Column.create();
        Column.width(constants_1.default.WH_100_100);
        Column.height(constants_1.default.WH_100_100);
        Column.useSizeType({
            xs: { span: 12, offset: 0 }, sm: { span: 12, offset: 0 },
            md: { span: 12, offset: 0 }, lg: { span: 8, offset: 2 }
        });
        let earlierCreatedChild_2 = this.findChildById("2");
        if (earlierCreatedChild_2 == undefined) {
            View.create(new headcomponent_1.default("2", this, { headName: this.__headName, isActive: true }));
        }
        else {
            earlierCreatedChild_2.updateWithValueParams({
                isActive: true
            });
            View.create(earlierCreatedChild_2);
        }
        Row.create();
        Row.margin({ top: { "id": 50331763, "type": 10002, params: [] }, right: { "id": 50331759, "type": 10002, params: [] } });
        Row.padding({ left: { "id": 125829724, "type": 10002, params: [] }, right: { "id": 125829725, "type": 10002, params: [] } });
        let earlierCreatedChild_3 = this.findChildById("3");
        if (earlierCreatedChild_3 == undefined) {
            View.create(new appitemcomponent_1.default("3", this, {
                appIcon: appInfo.appIcon,
                appTitle: appInfo.appTitle,
                appSummary: appInfo.appSummary,
                appValue: '',
                appArrow: appInfo.appArrow,
                appArrowStyle: '',
                appUri: appInfo.appUri,
                appBundleName: appInfo.appBundleName,
                appUid: appInfo.appUid,
                appSwitch: 2
            }));
        }
        else {
            earlierCreatedChild_3.updateWithValueParams({
                appIcon: appInfo.appIcon,
                appTitle: appInfo.appTitle,
                appSummary: appInfo.appSummary,
                appValue: '',
                appArrow: appInfo.appArrow,
                appArrowStyle: '',
                appUri: appInfo.appUri,
                appBundleName: appInfo.appBundleName,
                appUid: appInfo.appUid,
                appSwitch: 2
            });
            View.create(earlierCreatedChild_3);
        }
        Row.pop();
        Row.create();
        Row.margin({ top: { "id": 50331765, "type": 10002, params: [] } });
        Row.padding({ left: { "id": 125829723, "type": 10002, params: [] }, right: { "id": 125829725, "type": 10002, params: [] } });
        Row.height({ "id": 50331752, "type": 10002, params: [] });
        let earlierCreatedChild_4 = this.findChildById("4");
        if (earlierCreatedChild_4 == undefined) {
            View.create(new switchcomponent_1.default("4", this, {
                title: this.__allowNotice,
                initializationAction: () => this.switchComponentInit(),
                settingAction: (params) => this.switchComponentSet(params),
                register: (listener) => notificationlistener_1.default.register({ bundle: appInfo.appBundleName, onEnableChanged: listener })
            }));
        }
        else {
            earlierCreatedChild_4.updateWithValueParams({
                initializationAction: () => this.switchComponentInit(),
                settingAction: (params) => this.switchComponentSet(params),
                register: (listener) => notificationlistener_1.default.register({ bundle: appInfo.appBundleName, onEnableChanged: listener })
            });
            View.create(earlierCreatedChild_4);
        }
        Row.pop();
        Row.create();
        Row.align(Alignment.Start);
        let earlierCreatedChild_5 = this.findChildById("5");
        if (earlierCreatedChild_5 == undefined) {
            View.create(new slotlstcomponent_1.default("5", this, { appInfo: appInfo, slotLst: this.__slotLst }));
        }
        else {
            earlierCreatedChild_5.updateWithValueParams({
                appInfo: appInfo
            });
            View.create(earlierCreatedChild_5);
        }
        Row.pop();
        Column.pop();
        Row.pop();
        GridContainer.pop();
        Column.pop();
        Flex.pop();
    }
    aboutToAppear() {
        Log_1.default.showInfo(TAG, `aboutToAppear`);
        appInfo = Router.getParams();
        appInfo.slotSettingUrl = 'pages/slotSetting';
        notificationlistener_1.default.subscribeEnableChanged();
        Log_1.default.showInfo(TAG, `aboutToAppear end`);
    }
    onPageShow() {
        Log_1.default.showInfo(TAG, `onPageShow`);
        Notification.getSlotsByBundle({ bundle: appInfo.appBundleName, uid: appInfo.appUid }, (err, data) => {
            this.slotLst = [];
            data.forEach((val, idx, array) => {
                this.slotLst.push(val);
            });
        });
    }
    aboutToDisappear() {
        Log_1.default.showInfo(TAG, `aboutToDisappear`);
        this.slotLst = [];
        notificationlistener_1.default.unsubscribeEnableChanged();
    }
    onBackPress() {
        Log_1.default.showInfo(TAG, `onBackPress`);
    }
    switchComponentInit() {
        Log_1.default.showDebug(TAG, `switchComponentInit`);
        return notificationlistener_1.default.isNotificationEnabled({ bundle: appInfo.appBundleName, uid: appInfo.appUid });
    }
    switchComponentSet(params) {
        Log_1.default.showDebug(TAG, `switchComponentSet`);
        notificationlistener_1.default.enableNotification({ bundle: appInfo.appBundleName, uid: appInfo.appUid }, params);
    }
}
exports["default"] = SetEnable;
loadDocument(new SetEnable("1", undefined, {}));


/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		var commonCachedModule = globalThis["__common_module_cache__"] ? globalThis["__common_module_cache__"][moduleId]: null;
/******/ 		if (commonCachedModule) { return commonCachedModule.exports; }
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		if (globalThis["__common_module_cache__"] && moduleId.indexOf("?name=") < 0 && Object.keys(globalThis["__common_module_cache__"]).indexOf(moduleId) >= 0) {
/******/ 		  globalThis["__common_module_cache__"][moduleId] = module;
/******/ 		}
/******/ 		__webpack_modules__[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	
/******/ 	// startup
/******/ 	// Load entry module and return exports
/******/ 	// This entry module is referenced by other modules so it can't be inlined
/******/ 	var __webpack_exports__ = __webpack_require__("D:\\code\\release\\my\\applications_systemui\\product\\default\\notificationmanagement\\src\\main\\ets\\pages\\setEnable.ets?entry");
/******/ 	
/******/ })()
;
//# sourceMappingURL=setEnable.js.map